Search.setIndex({"docnames": ["index", "introduction/advanced_topics", "introduction/custom_modifiers", "introduction/data_manipulation", "introduction/data_model", "introduction/examples", "introduction/examples/batch_scripts/cna_bond_indices", "introduction/examples/batch_scripts/creating_particles", "introduction/examples/batch_scripts/trajectory_viewer", "introduction/examples/batch_scripts/voronoi_indices", "introduction/examples/modifiers/calculate_displacement_vectors", "introduction/examples/modifiers/calculate_local_entropy", "introduction/examples/modifiers/custom_time_average", "introduction/examples/modifiers/msd_calculation", "introduction/examples/modifiers/order_parameter_calculation", "introduction/examples/modifiers/select_overlapping_particles", "introduction/examples/modifiers/shrink_wrap_box", "introduction/examples/modifiers/visualize_local_lattice_orientation", "introduction/examples/overlays/data_plot", "introduction/examples/overlays/highlight_particle", "introduction/examples/overlays/scale_bar", "introduction/file_io", "introduction/installation", "introduction/introduction", "introduction/overview", "introduction/pipelines", "introduction/rendering", "modules/ovito", "modules/ovito_data", "modules/ovito_io", "modules/ovito_io_ase", "modules/ovito_io_lammps", "modules/ovito_modifiers", "modules/ovito_pipeline", "modules/ovito_traits", "modules/ovito_vis"], "filenames": ["index.rst", "introduction\\advanced_topics.rst", "introduction\\custom_modifiers.rst", "introduction\\data_manipulation.rst", "introduction\\data_model.rst", "introduction\\examples.rst", "introduction\\examples\\batch_scripts\\cna_bond_indices.rst", "introduction\\examples\\batch_scripts\\creating_particles.rst", "introduction\\examples\\batch_scripts\\trajectory_viewer.rst", "introduction\\examples\\batch_scripts\\voronoi_indices.rst", "introduction\\examples\\modifiers\\calculate_displacement_vectors.rst", "introduction\\examples\\modifiers\\calculate_local_entropy.rst", "introduction\\examples\\modifiers\\custom_time_average.rst", "introduction\\examples\\modifiers\\msd_calculation.rst", "introduction\\examples\\modifiers\\order_parameter_calculation.rst", "introduction\\examples\\modifiers\\select_overlapping_particles.rst", "introduction\\examples\\modifiers\\shrink_wrap_box.rst", "introduction\\examples\\modifiers\\visualize_local_lattice_orientation.rst", "introduction\\examples\\overlays\\data_plot.rst", "introduction\\examples\\overlays\\highlight_particle.rst", "introduction\\examples\\overlays\\scale_bar.rst", "introduction\\file_io.rst", "introduction\\installation.rst", "introduction\\introduction.rst", "introduction\\overview.rst", "introduction\\pipelines.rst", "introduction\\rendering.rst", "modules\\ovito.rst", "modules\\ovito_data.rst", "modules\\ovito_io.rst", "modules\\ovito_io_ase.rst", "modules\\ovito_io_lammps.rst", "modules\\ovito_modifiers.rst", "modules\\ovito_pipeline.rst", "modules\\ovito_traits.rst", "modules\\ovito_vis.rst"], "titles": ["OVITO Python Reference", "Advanced topics", "User-defined modifiers", "Manipulating data", "Data model", "Code examples", "Example B2: Computing CNA bond indices", "Example B3: Creating particles and bonds programmatically", "Example B4: Standalone trajectory viewer", "Example B1: Computing Voronoi indices", "Example M7: Displacement vectors with reference configuration", "Example M6: Calculate local entropy", "Example M8: Compute trajectory average of a global attribute", "Example M1: Calculating mean square displacement", "Example M2: Custom order parameter calculation", "Example M4: Finding overlapping particles", "Example M5: Shrink-wrap simulation box", "Example M3: Color mapping to visualize local lattice orientation", "Example O2: Including data plots in rendered images", "Example O3: Highlight a particle", "Example O1: Scale bar", "File I/O", "Installation", "Introduction", "High-level API overview", "Data pipelines", "Rendering &amp; visualization", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.data</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.ase</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.lammps</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.modifiers</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.pipeline</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.traits</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.vis</span></code>"], "terms": {"thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "manual": [0, 2, 4, 11, 16, 28, 32, 35], "describ": [0, 2, 3, 5, 21, 22, 23, 28, 32, 35], "program": [0, 2, 3, 4, 5, 9, 10, 12, 13, 21, 22, 23, 24, 26, 27, 32, 33, 35], "interfac": [0, 1, 3, 4, 8, 10, 12, 21, 22, 23, 24, 25, 28, 29, 32, 33, 35], "pro": [0, 2, 5, 12, 18, 23, 30, 33, 35], "desktop": [0, 2, 5, 22, 23, 27, 31, 35], "applic": [0, 1, 2, 4, 5, 8, 22, 23, 27, 31, 32, 35], "standalon": [0, 2, 22, 35], "packag": [0, 2, 22, 30, 31, 34, 35], "let": [0, 1, 2, 3, 4, 6, 8, 9, 10, 12, 13, 14, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32, 33, 35], "you": [0, 1, 2, 3, 4, 5, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35], "integr": [0, 2, 11, 23, 32, 35], "": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 13, 16, 21, 22, 23, 25, 26, 27, 28, 29, 31, 32, 33, 35], "comput": [0, 1, 3, 4, 5, 10, 11, 13, 14, 16, 17, 18, 19, 20, 21, 22, 25, 26, 27, 28, 29, 30, 32, 33, 35], "render": [0, 1, 2, 4, 5, 10, 19, 20, 21, 23, 25, 27, 28, 29, 31, 32, 33, 35], "capabl": [0, 3, 22, 23], "extern": [0, 1, 5, 7, 21, 22, 23, 24, 25, 28, 29, 30, 33, 35], "extend": [0, 2, 23, 25, 28, 29, 32, 35], "new": [0, 1, 2, 4, 5, 7, 10, 11, 12, 16, 17, 21, 23, 24, 25, 26, 28, 29, 30, 31, 32, 33, 34, 35], "user": [0, 3, 4, 7, 8, 10, 11, 12, 13, 15, 16, 17, 18, 21, 22, 23, 24, 25, 28, 29, 32, 33, 35], "defin": [0, 3, 4, 7, 10, 13, 14, 15, 16, 17, 18, 20, 21, 23, 24, 26, 27, 28, 29, 31, 32, 33, 34, 35], "data": [0, 1, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 22, 23, 26, 27, 29, 30, 31, 32, 33, 35], "process": [0, 4, 7, 11, 23, 24, 28, 32, 33, 35], "visual": [0, 2, 4, 5, 8, 10, 18, 21, 22, 23, 24, 27, 28, 29, 31, 32, 33, 35], "function": [0, 1, 3, 4, 6, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35], "can": [0, 1, 2, 3, 4, 5, 7, 13, 14, 16, 17, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 32, 33, 35], "access": [0, 2, 3, 4, 5, 6, 8, 9, 13, 14, 21, 26, 27, 28, 29, 31, 32, 33, 35], "from": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "help": [0, 2, 6, 28, 32, 35], "menu": [0, 23, 29], "basic": [0, 22, 27, 28, 32], "onlin": 0, "go": [0, 2, 28, 32, 33, 35], "http": [0, 22, 29], "doc": [0, 2], "org": [0, 22, 35], "introduct": [0, 5, 32], "instal": [0, 18, 23, 30, 31, 35], "high": [0, 21, 28, 29, 30, 32], "level": [0, 2, 4, 21, 27, 28, 29, 30, 32, 35], "api": [0, 2, 5, 8, 10, 11, 12, 23], "overview": [0, 29], "file": [0, 1, 2, 3, 4, 6, 7, 9, 10, 13, 22, 23, 24, 25, 27, 28, 29, 30, 31, 32, 33, 35], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "o": [0, 1, 2, 22, 23, 24, 25, 27, 28, 29, 32, 33, 35], "pipelin": [0, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 17, 18, 19, 21, 22, 23, 26, 27, 28, 29, 30, 32, 35], "model": [0, 3, 8, 21, 25, 28, 29, 30, 31, 35], "manipul": [0, 2, 23, 24, 27, 28, 33, 35], "modifi": [0, 1, 4, 6, 9, 10, 11, 12, 13, 14, 15, 16, 17, 21, 22, 23, 25, 26, 27, 28, 29, 31, 33, 34, 35], "advanc": [0, 3, 10, 12, 32, 33], "code": [0, 1, 2, 3, 11, 17, 20, 21, 22, 23, 25, 28, 29, 31, 32, 33, 35], "exampl": [0, 1, 2, 3, 4, 21, 23, 24, 25, 26, 28, 29, 30, 31, 32, 33, 35], "io": [0, 1, 6, 8, 9, 13, 21, 23, 24, 25, 27, 28, 32, 33, 35], "ase": 0, "lammp": [0, 9, 21, 24, 28, 29, 32, 33], "trait": [0, 2, 10, 12, 33], "vi": [0, 2, 7, 8, 10, 19, 20, 24, 26, 28, 32], "section": [1, 2, 3, 4, 21, 23, 24, 25, 27, 28, 29, 32], "cover": [1, 23, 28, 32], "sever": [1, 2, 4, 24, 25, 26, 28, 29, 32, 33, 35], "relat": [1, 4, 26, 35], "ovito": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 23, 25, 26], "script": [1, 2, 6, 7, 8, 9, 13, 17, 20, 22, 23, 24, 25, 26, 27, 28, 31, 32, 33, 35], "The": [1, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35], "export_fil": [1, 2, 13, 21, 23, 24, 25, 28, 29, 31, 32, 33], "output": [1, 3, 4, 5, 6, 9, 10, 11, 12, 13, 14, 15, 17, 19, 21, 23, 24, 25, 27, 28, 29, 31, 32, 33, 35], "disk": [1, 2, 3, 21, 27, 29, 32, 33, 35], "But": [1, 2, 3, 28], "how": [1, 3, 5, 6, 15, 18, 21, 23, 24, 25, 28, 29, 32, 33, 35], "do": [1, 2, 6, 10, 12, 13, 16, 21, 23, 24, 25, 28, 29, 31, 32, 33, 35], "definit": [1, 21, 27, 28, 32, 35], "itself": [1, 2, 27, 28, 32, 35], "includ": [1, 2, 3, 5, 22, 24, 27, 28, 30, 31, 32, 33, 35], "paramet": [1, 5, 10, 11, 12, 15, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "entir": [1, 2, 3, 4, 8, 27, 28, 29, 32, 35], "scene": [1, 2, 3, 7, 8, 18, 19, 21, 22, 24, 26, 27, 28, 29, 32, 33, 35], "state": [1, 2, 3, 24, 27, 28, 31, 32, 35], "us": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 13, 15, 18, 21, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "method": [1, 3, 4, 8, 10, 11, 21, 24, 25, 26, 27, 28, 29, 32, 33, 35], "thu": [1, 2, 3, 4, 9, 10, 21, 24, 28, 32, 33, 35], "order": [1, 2, 3, 5, 9, 10, 25, 28, 29, 32, 35], "need": [1, 2, 3, 13, 14, 20, 21, 22, 23, 24, 26, 27, 28, 29, 32, 33, 35], "first": [1, 2, 3, 4, 7, 9, 18, 19, 21, 23, 24, 25, 26, 28, 29, 32, 33, 35], "make": [1, 2, 3, 7, 8, 10, 11, 13, 14, 15, 21, 22, 25, 28, 29, 30, 31, 32, 33, 35], "part": [1, 2, 3, 21, 24, 25, 27, 28, 32, 33, 35], "call": [1, 2, 3, 4, 5, 10, 11, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 31, 32, 33, 35], "its": [1, 2, 3, 4, 7, 8, 10, 13, 14, 23, 24, 25, 26, 27, 28, 29, 32, 33, 35], "add_to_scen": [1, 2, 7, 8, 21, 22, 24, 27, 28, 29, 32, 33, 35], "import": [1, 2, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35], "import_fil": [1, 2, 6, 8, 9, 13, 21, 23, 24, 25, 27, 28, 29, 30, 32, 33, 35], "coordinationanalysismodifi": [1, 18, 25, 28, 32], "input": [1, 3, 4, 6, 9, 10, 11, 12, 13, 14, 16, 17, 20, 21, 23, 25, 27, 28, 29, 30, 32, 33, 35], "simul": [1, 2, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 20, 21, 23, 24, 26, 27, 28, 29, 30, 31, 32, 33, 35], "dump": [1, 2, 6, 8, 9, 13, 21, 24, 25, 27, 28, 29, 30, 31, 32, 33, 35], "append": [1, 2, 3, 6, 7, 9, 13, 19, 21, 23, 24, 25, 26, 27, 28, 29, 32, 33, 35], "cutoff": [1, 6, 11, 15, 24, 25, 28, 32, 33, 35], "3": [1, 2, 3, 4, 6, 7, 9, 11, 14, 16, 17, 19, 21, 22, 23, 24, 25, 26, 28, 29, 32, 33, 34, 35], "4": [1, 2, 3, 6, 7, 9, 11, 16, 17, 18, 20, 28, 32, 33, 35], "mypipelin": 1, "restor": [1, 27], "all": [1, 2, 3, 4, 11, 12, 13, 14, 15, 21, 22, 23, 24, 25, 26, 27, 28, 29, 31, 32, 33, 35], "them": [1, 3, 4, 5, 6, 7, 17, 21, 22, 23, 26, 28, 32, 33, 35], "avail": [1, 2, 13, 22, 25, 26, 28, 29, 30, 31, 32, 33, 35], "list": [1, 2, 4, 6, 9, 14, 17, 21, 22, 24, 25, 26, 27, 28, 29, 32, 33, 35], "0": [1, 2, 3, 4, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 24, 25, 26, 28, 29, 30, 31, 32, 33, 34, 35], "Of": 1, "cours": [1, 28], "also": [1, 2, 3, 4, 5, 8, 21, 22, 23, 24, 27, 28, 29, 32, 33, 35], "possibl": [1, 2, 3, 14, 21, 22, 23, 24, 25, 28, 29, 32, 33, 35], "open": [1, 4, 27, 28, 32, 35], "graphic": [1, 2, 4, 5, 8, 13, 14, 17, 21, 24, 25, 27, 28, 32, 33, 35], "convers": [1, 28], "creat": [1, 2, 3, 4, 5, 6, 8, 11, 13, 14, 15, 16, 18, 21, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35], "hand": [1, 2, 23, 31, 32], "futur": [1, 2, 8, 33, 35], "either": [1, 2, 14, 24, 25, 26, 27, 28, 32, 33, 35], "runtim": [1, 28], "preload": [1, 2], "when": [1, 2, 3, 4, 8, 10, 13, 14, 21, 23, 24, 25, 27, 28, 29, 32, 33, 35], "run": [1, 12, 13, 14, 22, 23, 24, 27, 28, 29, 30, 31, 32, 33, 35], "interpret": [1, 2, 5, 13, 18, 23, 27, 29, 30, 31, 32, 35], "done": [1, 3, 5, 21, 24, 26, 28, 32], "command": [1, 22, 27, 29, 31, 32, 35], "line": [1, 3, 4, 6, 21, 22, 26, 27, 28, 29, 31, 32, 35], "option": [1, 2, 3, 4, 18, 21, 22, 24, 26, 27, 28, 29, 32, 33, 35], "py": [1, 22, 23, 28, 31, 35], "now": [1, 2, 3, 9, 12, 25, 27, 28, 30, 32, 33], "execut": [1, 2, 5, 15, 22, 23, 25, 27, 28, 31, 32, 33, 35], "an": [1, 2, 3, 4, 5, 7, 8, 9, 12, 14, 17, 18, 19, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "environ": [1, 2, 6, 22, 30, 32, 35], "where": [1, 2, 3, 4, 9, 11, 17, 25, 28, 29, 32, 33, 35], "wa": [1, 3, 4, 21, 27, 28, 32, 33, 35], "alreadi": [1, 2, 3, 12, 16, 22, 24, 25, 28, 29, 32, 35], "popul": [1, 25, 27, 28, 33, 35], "instead": [1, 2, 24, 25, 28, 29, 32, 33, 35], "set": [1, 2, 3, 4, 7, 8, 9, 22, 24, 25, 26, 28, 29, 32, 33, 35], "up": [1, 2, 4, 9, 13, 14, 18, 22, 23, 24, 25, 27, 28, 32, 33, 35], "scratch": [1, 28], "work": [1, 2, 3, 4, 6, 20, 21, 22, 23, 24, 27, 28, 29, 32, 33], "exist": [1, 3, 12, 21, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35], "were": [1, 2, 24, 27, 32, 35], "replac": [1, 3, 21, 24, 28, 29, 32, 33, 35], "serv": [1, 4, 27, 28, 32, 33, 35], "differ": [1, 2, 4, 7, 11, 24, 26, 28, 29, 32, 33, 35], "one": [1, 2, 3, 4, 14, 15, 16, 21, 24, 25, 27, 28, 29, 32, 33, 35], "sourc": [1, 2, 4, 7, 8, 17, 20, 21, 22, 24, 25, 28, 29, 30, 31, 32, 33, 35], "second_fil": [1, 32, 33], "adjust": [1, 2, 8, 20, 28, 32, 35], "1": [1, 2, 3, 4, 6, 7, 8, 9, 11, 14, 15, 17, 18, 19, 21, 22, 24, 25, 26, 28, 30, 31, 32, 33, 34, 35], "some": [1, 2, 3, 4, 5, 6, 7, 9, 10, 14, 21, 24, 26, 27, 28, 29, 32, 33, 35], "have": [1, 2, 3, 4, 5, 10, 13, 21, 22, 23, 24, 25, 26, 27, 28, 29, 32, 33, 35], "been": [1, 2, 3, 4, 8, 15, 21, 22, 24, 25, 27, 28, 29, 32, 33, 35], "parallel": [1, 22, 24, 26, 28, 31, 32, 35], "computation": 1, "expens": [1, 2, 3, 32], "polyhedraltemplatematchingmodifi": [1, 32, 35], "clusteranalysismodifi": [1, 4, 28, 32], "computepropertymodifi": [1, 11, 28, 32, 35], "softwar": [1, 2, 35], "base": [1, 2, 4, 6, 10, 12, 23, 26, 28, 29, 32, 33, 35], "engin": [1, 26, 35], "tachyonrender": [1, 26, 28, 32, 35], "osprayrender": [1, 32, 35], "By": [1, 2, 28, 29, 32, 33], "default": [1, 2, 10, 22, 26, 28, 29, 30, 32, 33, 34, 35], "algorithm": [1, 4, 28, 32, 35], "your": [1, 2, 3, 5, 22, 23, 24, 27, 28, 29, 30, 31, 32, 33, 35], "cpu": 1, "determin": [1, 12, 14, 18, 19, 28, 29, 32, 33, 35], "qthread": 1, "idealthreadcount": 1, "which": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 31, 32, 33, 34, 35], "queri": [1, 2, 4, 28, 32, 35], "follow": [1, 2, 3, 5, 6, 7, 8, 11, 14, 17, 20, 21, 22, 23, 24, 25, 28, 29, 31, 32, 33, 35], "qt_compat": [1, 18, 19, 20, 35], "qtcore": [1, 8, 19, 20, 35], "print": [1, 2, 4, 6, 9, 12, 21, 22, 24, 27, 28, 29, 31, 32, 33], "sometim": [1, 24, 25, 33], "desir": [1, 24, 26, 28, 29, 32, 33], "restrict": [1, 22, 32, 35], "singl": [1, 2, 4, 21, 23, 28, 29, 32, 35], "onli": [1, 2, 3, 4, 9, 14, 15, 20, 21, 22, 24, 25, 27, 28, 29, 31, 32, 33, 35], "multipl": [1, 2, 3, 24, 25, 28, 29, 32, 33, 35], "instanc": [1, 2, 3, 4, 21, 24, 25, 26, 27, 28, 29, 32, 33, 34, 35], "achiev": [1, 3, 17, 28], "two": [1, 2, 3, 4, 6, 7, 9, 10, 14, 15, 21, 23, 24, 26, 28, 29, 30, 32, 33, 35], "wai": [1, 2, 21, 23, 24, 26, 28, 32, 33, 35], "both": [1, 2, 3, 9, 22, 28, 29, 32], "support": [1, 2, 4, 14, 21, 26, 28, 29, 32, 35], "nthread": [1, 22], "allow": [1, 2, 3, 5, 15, 17, 22, 23, 24, 26, 28, 29, 31, 32, 33, 35], "overrid": [1, 2, 28, 29, 35], "second": [1, 2, 3, 7, 10, 21, 25, 28, 32, 33, 35], "ovito_thread_count": 1, "variabl": [1, 2, 4, 24, 27, 28, 32, 35], "prior": [1, 32, 33, 35], "invok": [1, 2, 3, 11, 21, 22, 24, 28, 31, 32, 33], "approach": [1, 7, 22, 25, 28, 32], "alwai": [1, 2, 3, 4, 15, 24, 28, 32, 33, 35], "gui": [1, 2, 8, 32, 35], "python": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 17, 18, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "modul": [1, 2, 3, 4, 6, 8, 9, 18, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "export": [1, 2, 4, 6, 7, 13, 25, 28, 29, 32, 33], "come": [2, 3, 22, 28, 35], "collect": [2, 3, 4, 7, 12, 19, 28, 29, 30, 31, 32, 33, 35], "built": [2, 3, 4, 10, 11, 12, 13, 22, 23, 24, 28, 32, 33], "case": [2, 3, 4, 9, 21, 22, 23, 26, 28, 29, 32, 33, 35], "toolkit": [2, 35], "enough": [2, 28, 32, 35], "solv": 2, "specif": [2, 4, 25, 26, 28, 29, 31, 32, 33, 34, 35], "problem": [2, 35], "give": [2, 3, 10, 14, 24, 26, 28, 32, 35], "write": [2, 4, 5, 6, 14, 15, 21, 23, 24, 28, 29, 32, 33, 35], "own": [2, 3, 5, 8, 24, 28, 30, 32, 33, 35], "languag": [2, 32], "ar": [2, 3, 4, 5, 9, 12, 14, 15, 16, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "reusabl": 2, "compos": [2, 4, 25, 35], "build": [2, 3, 16, 22, 23, 24, 28], "block": [2, 28, 33], "particip": [2, 23, 32], "system": [2, 3, 4, 5, 6, 10, 13, 14, 15, 21, 22, 23, 25, 28, 32, 33, 35], "mean": [2, 3, 4, 5, 12, 14, 21, 24, 25, 28, 29, 32, 33, 35], "thei": [2, 3, 4, 22, 25, 28, 29, 32, 34, 35], "just": [2, 3, 4, 23, 25, 28, 29, 32, 35], "like": [2, 3, 4, 8, 21, 22, 23, 27, 28, 29, 32, 33, 35], "nativ": [2, 22, 32], "provid": [2, 3, 4, 10, 12, 13, 14, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "In": [2, 4, 5, 9, 14, 17, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32, 35], "develop": [2, 8, 14, 22, 23, 31, 35], "appli": [2, 3, 11, 15, 21, 22, 28, 31, 32, 33, 35], "mai": [2, 3, 4, 13, 15, 17, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 32, 33, 35], "expos": [2, 28], "control": [2, 8, 10, 15, 24, 26, 28, 29, 32, 33, 35], "interact": [2, 5, 13, 21, 22, 23, 24, 25, 26, 27, 29, 32, 33, 35], "direct": [2, 3, 28, 30, 31, 32, 35], "updat": [2, 8, 14, 15, 20, 25, 28, 32, 33, 35], "implement": [2, 3, 5, 7, 8, 10, 12, 26, 28, 32, 33, 35], "If": [2, 3, 11, 12, 22, 24, 27, 28, 29, 32, 33, 35], "oper": [2, 3, 4, 27, 28, 32, 33, 35], "structur": [2, 3, 4, 6, 7, 9, 23, 24, 25, 28, 29, 32, 33, 35], "individu": [2, 3, 4, 13, 21, 28, 29, 32, 33, 35], "snapshot": [2, 3, 9, 21, 28, 29, 31, 32, 33], "ha": [2, 3, 4, 6, 8, 9, 24, 25, 26, 27, 28, 29, 32, 33, 35], "sinc": [2, 23, 25, 28, 29, 32, 33], "8": [2, 3, 7, 9, 17, 22, 25, 26, 28, 29, 32, 33, 34, 35], "more": [2, 3, 4, 11, 16, 21, 23, 24, 27, 28, 29, 31, 32, 33, 35], "than": [2, 3, 4, 28, 32, 33, 35], "frame": [2, 4, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 21, 25, 26, 28, 29, 32, 33, 35], "same": [2, 3, 4, 6, 10, 21, 24, 25, 28, 29, 32, 33], "want": [2, 3, 21, 22, 24, 28, 29, 32, 33, 35], "involv": [2, 14, 28, 32, 35], "over": [2, 6, 11, 12, 14, 15, 25, 28, 29, 31, 32, 35], "e": [2, 3, 4, 5, 10, 12, 17, 20, 21, 22, 24, 25, 27, 28, 29, 32, 33, 35], "g": [2, 3, 4, 5, 11, 20, 21, 22, 25, 27, 28, 29, 32, 33, 35], "inform": [2, 3, 4, 5, 9, 21, 22, 23, 24, 25, 26, 27, 28, 29, 32, 33, 35], "calcul": [2, 3, 5, 9, 19, 21, 28, 32, 33], "onc": [2, 15, 21, 24, 25, 28, 29, 33], "ani": [2, 3, 14, 15, 21, 22, 23, 24, 25, 26, 27, 28, 29, 32, 33, 35], "should": [2, 21, 22, 24, 25, 26, 28, 29, 31, 32, 33, 35], "read": [2, 3, 10, 21, 25, 28, 29, 33, 35], "descript": [2, 28, 29, 32], "becaus": [2, 3, 22, 26, 28, 32, 33, 35], "introduc": [2, 3, 28, 33], "gener": [2, 4, 6, 7, 18, 21, 23, 24, 26, 28, 29, 32, 33, 34, 35], "concept": [2, 24, 25], "simplest": 2, "form": [2, 4, 10, 25, 28, 29, 32, 33, 35], "typic": [2, 3, 4, 5, 21, 24, 25, 26, 27, 28, 29, 31, 32, 33, 35], "name": [2, 3, 4, 7, 9, 12, 17, 21, 22, 28, 29, 32, 33, 35], "accept": [2, 3, 21, 28, 33, 35], "def": [2, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 28, 31, 32, 33, 35], "int": [2, 8, 10, 11, 16, 27, 28, 31, 32, 33, 35], "datacollect": [2, 3, 4, 6, 7, 10, 11, 12, 16, 21, 24, 25, 28, 29, 30, 31, 32, 33, 35], "after": [2, 8, 24, 25, 27, 28, 32, 33, 35], "we": [2, 3, 9, 12, 13, 14, 15, 16, 21, 24, 25, 26, 27, 28, 30, 32, 33, 35], "ll": 2, "minut": 2, "whenev": [2, 21, 23, 24, 28, 32, 33, 35], "dure": [2, 22, 23, 28, 29, 31, 32, 33, 35], "each": [2, 3, 4, 6, 9, 10, 11, 13, 14, 17, 21, 24, 25, 28, 32, 33, 35], "invoc": [2, 35], "receiv": [2, 4, 28, 32, 33], "A": [2, 4, 9, 10, 11, 23, 24, 25, 26, 27, 28, 30, 31, 32, 33, 34, 35], "zero": [2, 3, 11, 17, 28, 29, 32, 33, 35], "integ": [2, 28, 32, 35], "valu": [2, 4, 8, 11, 12, 13, 17, 21, 24, 26, 28, 29, 32, 34, 35], "specifi": [2, 12, 14, 15, 21, 22, 26, 28, 29, 32, 33, 35], "current": [2, 3, 4, 6, 8, 10, 12, 14, 15, 18, 21, 22, 23, 24, 25, 27, 28, 29, 30, 31, 32, 33, 35], "being": [2, 3, 4, 5, 18, 22, 28, 31, 32, 33, 35], "contain": [2, 3, 4, 6, 7, 9, 21, 23, 24, 25, 27, 28, 29, 30, 31, 32, 33, 35], "particl": [2, 5, 6, 9, 10, 11, 13, 14, 16, 17, 21, 23, 24, 25, 26, 28, 29, 30, 31, 32, 33, 35], "bond": [2, 4, 5, 21, 25, 28, 29, 32, 33, 35], "etc": [2, 4, 5, 21, 25, 26, 28, 29, 32, 35], "produc": [2, 3, 4, 15, 21, 26, 27, 28, 29, 32, 33, 35], "upstream": [2, 10, 12, 32, 33], "must": [2, 3, 17, 21, 24, 28, 29, 32, 33, 35], "return": [2, 3, 4, 6, 9, 10, 12, 16, 17, 19, 21, 24, 25, 28, 29, 30, 31, 32, 33, 35], "place": [2, 21, 24, 28, 29, 32, 33, 35], "alter": [2, 3, 4, 25, 28, 33], "object": [2, 7, 8, 16, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35], "store": [2, 3, 4, 11, 12, 13, 14, 17, 21, 24, 26, 27, 28, 29, 32, 33, 35], "insid": [2, 25, 28, 32, 35], "find": [2, 4, 5, 14, 21, 28, 32, 35], "coupl": 2, "m2": [2, 5], "m4": [2, 5], "overlap": [2, 5, 32], "m3": [2, 5], "color": [2, 3, 4, 5, 7, 25, 26, 28, 32, 34, 35], "map": [2, 5, 21, 28, 29, 32, 33, 35], "local": [2, 5, 6, 28, 29, 32, 33, 35], "lattic": [2, 5, 14, 28, 31, 32], "orient": [2, 5, 14, 24, 26, 28, 32, 35], "python_script": [], "featur": [2, 13, 24, 29, 32, 35], "otherwis": [2, 3, 8, 23, 27, 28, 32, 35], "context": [2, 22, 23, 24, 27, 28, 31, 33, 34, 35], "non": [2, 3, 4, 5, 8, 13, 20, 23, 25, 28, 29, 32, 33, 35], "editor": [2, 35], "type": [2, 3, 4, 5, 6, 7, 8, 9, 21, 23, 24, 25, 26, 28, 29, 32, 33, 34, 35], "directli": [2, 3, 14, 21, 22, 23, 24, 26, 27, 28, 32, 35], "It": [2, 3, 4, 6, 9, 11, 12, 13, 14, 18, 22, 24, 27, 28, 29, 30, 31, 32, 33, 35], "embed": [2, 18, 22, 23, 28, 30, 35], "immedi": [2, 25, 28], "see": [2, 3, 4, 14, 18, 21, 22, 23, 24, 25, 26, 27, 28, 29, 31, 32, 33, 35], "simpli": [2, 17, 22, 24, 28, 30, 32, 33, 35], "custom_modifi": 2, "often": [2, 6, 28, 33, 35], "while": [2, 15, 22, 28, 29, 32, 35], "evalu": [2, 3, 5, 21, 23, 24, 25, 29, 30, 32, 33], "routin": [2, 11, 28], "occur": [2, 3, 6, 28, 35], "refresh": [2, 35], "viewport": [2, 8, 18, 20, 21, 22, 23, 24, 25, 27, 28, 29, 32, 33, 35], "trigger": [2, 25, 32, 33, 35], "implicitli": [2, 3, 25, 28, 32], "render_imag": [2, 24, 26, 28, 35], "request": [2, 3, 10, 11, 14, 18, 21, 24, 25, 28, 29, 32, 33, 35], "subject": [2, 32], "certain": [2, 4, 15, 21, 22, 28, 32, 33], "rule": [2, 32], "get": [2, 4, 5, 10, 11, 19, 22, 23, 24, 25, 27, 28, 29, 32, 33, 35], "basi": [2, 4, 6, 28, 32, 35], "other": [2, 3, 4, 5, 21, 22, 24, 25, 26, 28, 29, 31, 32, 33, 34, 35], "action": [2, 5, 22, 23, 27], "asid": [2, 32], "through": [2, 3, 4, 21, 22, 24, 26, 27, 28, 29, 32, 33, 35], "particular": [2, 3, 4, 24, 28, 29, 32], "ad": [2, 25, 27, 28, 32, 33, 35], "remov": [2, 3, 15, 24, 27, 28, 32, 33], "side": [2, 3, 28, 32], "effect": [2, 3, 28, 29, 32, 33, 35], "global": [2, 5, 8, 13, 14, 21, 24, 27, 28, 29, 32, 35], "here": [2, 3, 25, 28, 29, 32], "few": [2, 22, 28], "notabl": 2, "thing": [2, 5, 10, 22, 24, 28, 33], "never": [2, 28, 32], "don": [2, 22, 26, 28, 33, 35], "t": [2, 8, 9, 15, 16, 22, 26, 28, 29, 32, 33, 35], "add": [2, 3, 4, 7, 8, 22, 24, 27, 28, 32, 33, 35], "flight": 2, "lead": [2, 28, 32, 35], "infinit": [2, 28, 32], "loop": [2, 6, 8, 14, 21, 25, 28, 29, 32, 35], "within": [2, 3, 4, 7, 11, 13, 15, 17, 21, 22, 23, 28, 31, 32, 33, 35], "another_pipelin": 2, "know": [2, 24], "total_energi": 2, "numpi": [2, 3, 4, 6, 9, 11, 13, 14, 16, 17, 22, 28, 32, 33, 35], "sum": [2, 11, 12, 13, 14, 32], "potenti": [2, 15, 24, 28, 32, 35], "energi": [2, 24, 28, 32, 35], "common": [2, 4, 21, 23, 28, 32, 33], "analyz": [2, 6, 23, 25, 32], "variou": [2, 4, 5, 24, 26, 28, 32, 33, 35], "quantiti": [2, 21, 28, 29, 32], "post": [2, 11, 23, 32, 35], "workflow": [2, 23, 25], "back": [2, 4, 21, 23, 27, 28, 30, 32, 35], "auxiliari": [2, 28, 32], "info": [2, 12], "debug": [2, 22], "messag": [2, 11, 27, 35], "displai": [2, 5, 8, 12, 15, 19, 22, 24, 26, 27, 28, 32, 35], "downstream": [2, 33], "subsequ": [2, 15, 21, 22, 27, 28, 32, 33, 35], "stage": [2, 32], "later": [2, 23, 28, 29, 31, 32, 33, 35], "outsid": [2, 28, 32, 35], "inspector": [2, 4, 28], "panel": [2, 4, 28, 35], "moreov": 2, "associ": [2, 3, 4, 8, 21, 28, 32, 35], "attribut": [2, 5, 13, 21, 24, 26, 27, 28, 29, 31, 32, 33, 35], "dictionari": [2, 3, 4, 28, 32, 33], "totalenergi": 2, "newli": [2, 3, 5, 28, 32, 35], "appear": [2, 5, 21, 26, 28, 29, 32, 33, 35], "tab": 2, "To": [2, 4, 8, 11, 14, 21, 22, 24, 26, 28, 29, 32, 33, 35], "sai": [2, 22], "tabul": [2, 4, 28, 32], "dat": 2, "txt": [2, 13, 21, 28, 29, 32], "attr": [2, 13, 21, 28, 29, 32], "column": [2, 3, 4, 13, 21, 23, 24, 28, 29, 32, 33], "sourcefram": [2, 29, 32], "multiple_fram": [2, 13, 21, 28, 29, 32, 33], "true": [2, 3, 6, 9, 10, 13, 21, 24, 26, 28, 29, 32, 33, 35], "per": [2, 3, 4, 11, 13, 14, 17, 21, 28, 29, 32, 33, 35], "properti": [2, 5, 6, 7, 10, 11, 13, 14, 15, 17, 21, 23, 24, 25, 26, 27, 28, 29, 31, 32, 33, 35], "momenta": 2, "veloc": [2, 28, 29, 32, 35], "mass": [2, 4, 28, 29, 32], "newaxi": 2, "particles_": [2, 3, 9, 10, 11, 14, 15, 17, 28, 32, 33, 35], "create_properti": [2, 3, 7, 10, 11, 14, 15, 17, 28, 32, 33, 35], "momentum": [2, 28], "compon": [2, 3, 14, 28, 29, 32, 35], "x": [2, 3, 9, 17, 21, 23, 24, 28, 29, 32, 33, 35], "y": [2, 17, 21, 23, 24, 28, 29, 32, 33, 35], "z": [2, 3, 17, 21, 23, 24, 28, 29, 32, 33, 35], "xyz": [2, 3, 4, 7, 21, 23, 28, 29, 32, 33], "keep": [2, 3, 10, 22, 24, 25, 28, 32, 33], "mind": [2, 22, 24, 28, 32], "least": [2, 28, 29], "sens": [2, 28, 29, 32], "move": [2, 3, 8, 13, 32, 35], "out": [2, 4, 8, 17, 23, 27, 28, 32, 35], "depend": [2, 21, 24, 28, 29, 32, 33, 35], "prepar": [2, 14, 15, 22], "load": [2, 3, 4, 6, 7, 9, 10, 13, 21, 22, 23, 24, 27, 28, 29, 31, 32, 33, 35], "pre": [2, 22, 35], "happen": [2, 21, 24, 25, 28, 29, 32, 33], "As": [2, 5, 21, 24, 25, 26, 27, 28, 29, 32, 35], "consid": [2, 3, 28, 31, 32], "displac": [2, 3, 5, 26, 28, 32, 33, 35], "respect": [2, 6, 10, 13, 14, 28, 29, 32, 35], "fix": [2, 20, 28, 31, 32, 33, 35], "refer": [2, 3, 4, 5, 11, 14, 16, 22, 28, 32, 33, 35], "configur": [2, 5, 22, 24, 26, 28, 32, 33, 35], "separ": [2, 10, 11, 15, 21, 24, 25, 26, 28, 29, 32, 33, 35], "coordin": [2, 3, 4, 5, 7, 9, 16, 18, 28, 29, 31, 32, 33, 35], "befor": [2, 3, 22, 24, 25, 26, 28, 32, 33, 35], "readabl": [2, 28], "filesourc": [2, 3, 10, 21, 24, 25, 28, 29, 32, 33, 35], "temporari": 2, "src": 2, "index_map": 2, "remap_indic": [2, 10, 28], "posit": [2, 3, 4, 7, 10, 14, 16, 19, 21, 23, 24, 26, 28, 29, 30, 32, 33, 35], "top": [2, 4, 18, 26, 28, 35], "statement": [2, 3, 14, 27, 28, 32, 35], "enter": [2, 24, 25, 33], "main": [2, 8, 22, 25, 33, 35], "soon": [2, 32], "press": 2, "commit": 2, "button": 2, "scroll": 2, "drag": 2, "slider": [2, 8, 33], "relev": [2, 4], "thread": [2, 22], "respons": [2, 24, 26, 28, 32, 35], "event": [2, 8, 35], "That": [2, 3, 9, 21, 24, 25, 26, 28, 29, 32, 33, 35], "take": [2, 6, 9, 14, 17, 24, 25, 26, 27, 28, 32, 33, 35], "cannot": [2, 5, 27, 28, 32], "mous": [2, 35], "keyboard": 2, "period": [2, 10, 26, 28, 32, 33, 35], "freez": [2, 32], "prevent": [2, 3, 35], "asynchron": 2, "yield": [2, 11, 12, 14, 15, 25, 28, 32, 35], "interv": [2, 28, 31, 32, 35], "pend": 2, "manner": [2, 5, 32], "temporarili": 2, "paus": 2, "host": [2, 22], "chanc": 2, "wait": 2, "3d": [2, 23, 28, 32, 35], "rang": [2, 6, 8, 9, 11, 12, 14, 15, 16, 21, 25, 28, 29, 32, 33, 35], "count": [2, 3, 4, 6, 9, 11, 14, 15, 16, 21, 28, 29, 32, 33, 35], "step": [2, 3, 4, 11, 21, 25, 28, 29, 31, 32, 33, 35], "frequent": [2, 9], "abort": 2, "interrupt": [2, 14], "restart": 2, "chang": [2, 3, 8, 10, 21, 24, 25, 26, 28, 29, 32, 33, 35], "mechan": [2, 22, 29, 33], "report": [2, 4, 12, 21, 27, 28, 29, 32, 33, 35], "progress": [2, 12, 14, 15, 35], "pass": [2, 21, 22, 24, 25, 26, 28, 29, 32, 33, 35], "fraction": [2, 28, 32, 35], "bar": [2, 5, 11, 12, 14, 15, 18, 28, 32, 35], "window": [2, 8, 17, 20, 22, 32, 35], "altern": [2, 3, 13, 24, 28, 29, 30, 32, 35], "string": [2, 3, 4, 12, 27, 28, 29, 32, 35], "statu": [2, 11, 12, 14, 15], "ii": [2, 25], "sub": [2, 3, 4, 11, 28, 32, 35], "express": [2, 3, 9, 11, 21, 28, 32, 33, 35], "subroutin": 2, "10000": 2, "nstep": 2, "explan": 2, "bodi": [2, 25, 32], "turn": [2, 4, 26, 28, 32, 33, 35], "Then": [2, 3, 13, 15, 21, 24, 28, 29, 32], "deleg": [2, 32], "extra": [2, 22, 28, 29, 32], "keyword": [2, 21, 24, 28, 29, 33], "num_iter": 2, "10": [2, 3, 7, 9, 11, 19, 20, 28, 29, 32, 33, 35], "numer": [2, 3, 4, 9, 11, 28, 29, 32, 33, 35], "via": [2, 4, 5, 11, 22, 26, 28, 32, 35], "widget": [2, 8, 35], "rerun": 2, "float": [2, 9, 14, 28, 29, 32, 33, 34, 35], "bool": [2, 10, 28, 35], "str": [2, 10, 12, 27, 28, 29, 32, 33, 35], "most": [2, 8, 9, 21, 24, 28, 35], "printabl": 2, "enable_opt": 2, "type_nam": 2, "cu": [2, 7, 9, 28, 32, 33], "5": [2, 3, 4, 6, 7, 9, 11, 14, 15, 19, 24, 25, 28, 32, 33, 35], "save": [2, 21, 22, 24, 27, 29, 32, 35], "session": [2, 23, 27, 33, 35], "along": [2, 3, 24, 28, 32, 33, 35], "pickl": 2, "emploi": [2, 3, 8, 11, 28, 31, 32, 33], "behind": [2, 3, 32, 35], "element": [2, 3, 4, 9, 10, 27, 28, 32, 35], "treat": [2, 32], "special": [2, 4, 28, 32], "vectorvi": [2, 10, 26, 32, 35], "prop": [2, 28], "my": [2, 7, 21, 28, 32, 35], "vector": [2, 3, 4, 5, 9, 13, 14, 17, 24, 26, 28, 29, 32, 33, 35], "instanti": [2, 24, 32], "vectori": [2, 28, 29, 32, 35], "arrow": [2, 10, 19, 26, 28, 32, 35], "glyph": [2, 35], "visual_el": [], "width": [2, 8, 28, 32, 35], "preserv": [2, 28, 32, 35], "across": [2, 28], "automat": [2, 4, 8, 21, 24, 26, 28, 29, 32, 33, 35], "present": [2, 4, 5, 13, 28, 32, 35], "opt": 2, "complex": [2, 32], "behavior": [2, 28, 29, 32, 35], "requir": [2, 8, 9, 22, 24, 28, 29, 31, 32, 33, 35], "begin": [2, 27, 28, 32, 33, 35], "familiar": [2, 24], "look": [2, 4, 18, 23, 25, 28, 32], "did": [2, 28, 32], "class": [2, 3, 4, 6, 10, 12, 14, 15, 21, 24, 25, 26, 27, 28, 32, 33, 34, 35], "modifierinterfac": [2, 10, 12, 32, 33], "mymodifi": 2, "self": [2, 10, 12, 32, 33], "kwarg": [2, 10, 12, 32, 33], "freeli": [2, 26], "choos": [2, 26], "pick": [2, 32, 35], "deriv": [2, 4, 26, 32], "usual": [2, 22, 25, 26, 28, 32, 35], "note": [2, 3, 4, 8, 14, 17, 21, 24, 25, 28, 29, 32, 33, 35], "signatur": [2, 32, 33], "our": [2, 10, 13, 22, 32, 33, 35], "Its": [2, 32], "formal": 2, "mandatori": [2, 4], "argument": [2, 3, 20, 21, 22, 24, 28, 29, 33, 35], "pack": [2, 32], "thank": [2, 23], "doubl": 2, "asterisk": 2, "content": [2, 3, 22, 27, 28, 29, 32], "input_slot": [2, 10, 12, 33], "inputslot": [2, 10, 12, 33], "num_fram": [2, 8, 12, 21, 25, 29, 32, 33, 35], "100": [2, 9, 24, 26, 28, 29, 32, 35], "data_cach": [2, 12, 33], "discuss": [2, 3, 28, 35], "explicitli": [2, 3, 9, 21, 22, 24, 25, 28, 29, 32, 33, 35], "bind": 2, "easili": [2, 5, 22, 23, 32], "trail": 2, "remain": [2, 28, 32, 33], "further": [2, 4, 7, 21, 22, 28, 32, 33, 35], "ensur": [2, 3, 15, 28, 33], "forward": [2, 28, 33], "compat": [2, 22, 33], "version": [2, 3, 8, 14, 17, 22, 27, 28, 32, 33, 34, 35], "number": [2, 4, 6, 8, 9, 11, 13, 14, 21, 24, 25, 27, 28, 29, 32, 33, 35], "suppos": [2, 32, 33, 35], "fact": [2, 28], "hold": [2, 4, 25, 28, 32], "timestep": [2, 4, 13, 21, 28, 29, 31, 32], "what": [2, 12, 16, 23, 26, 28, 32], "simultan": [2, 3, 32], "taken": [2, 28, 32, 33, 35], "technic": [2, 28, 35], "term": [2, 9, 26, 28, 32, 35], "connect": [2, 8, 21, 28, 32, 33, 35], "preced": [2, 3, 13, 25, 28, 32, 33], "exactli": [2, 27, 28, 32, 35], "linear": [2, 28, 32, 35], "sequenc": [2, 21, 24, 25, 28, 29, 32, 33, 35], "node": [2, 28], "deliv": 2, "ask": 2, "gain": 2, "dict": [2, 10, 12, 28, 33], "entri": [2, 9, 21, 28, 29, 32, 35], "so": [2, 3, 13, 23, 28, 32, 33, 35], "repres": [2, 3, 4, 24, 25, 27, 28, 32, 33, 34, 35], "locat": [2, 22, 28, 29, 32, 33, 35], "next_fram": 2, "next_data": 2, "togeth": [2, 3, 4, 28, 32], "increment": [2, 28, 33], "next": [2, 28, 35], "naiv": 2, "assum": [2, 28, 29, 32], "storag": [2, 10, 28, 29], "furthermor": [2, 3, 4, 24, 27, 28, 29, 32, 33, 35], "continu": [2, 28, 32, 35], "boundari": [2, 3, 4, 10, 26, 28, 31, 32, 33, 35], "condit": [2, 3, 4, 28, 31, 32, 33, 35], "For": [2, 3, 4, 14, 21, 22, 23, 24, 25, 26, 28, 29, 32, 33, 35], "robust": [2, 32], "delta_vector": [2, 10, 28], "curr_posit": 2, "next_posit": 2, "cell": [2, 7, 10, 11, 16, 24, 25, 26, 28, 29, 31, 32, 33, 35], "maintain": [2, 28, 32, 35], "speed": [2, 26, 28, 35], "answer": 2, "retriev": [2, 27, 28, 32, 33], "intern": [2, 3, 8, 21, 28, 32, 33], "effici": [2, 28, 32], "announc": [2, 28], "ahead": 2, "input_caching_hint": [2, 10, 33], "calcincrementaldisplac": 2, "accordingli": [2, 10, 32], "kept": 2, "memori": [2, 3, 4, 10, 18, 21, 24, 28, 29, 32, 33], "advantag": [2, 28, 35], "fine": 2, "tune": 2, "imagin": 2, "would": [2, 3, 21, 23, 24, 28, 32, 33, 35], "2": [2, 3, 4, 6, 7, 8, 9, 11, 13, 14, 15, 17, 19, 21, 22, 24, 25, 26, 28, 32, 33, 35], "without": [2, 3, 7, 21, 22, 28, 29, 32, 33, 35], "everi": [2, 5, 14, 20, 25, 28, 31, 32, 33, 35], "ineffici": [2, 3], "twice": [2, 28], "With": [2, 23], "enabl": [2, 3, 23, 25, 26, 28, 32, 33, 35], "contrast": [2, 28], "And": [2, 33], "given": [2, 3, 14, 21, 24, 28, 29, 32, 33, 35], "length": [2, 3, 4, 6, 9, 17, 20, 26, 28, 31, 32, 35], "tell": [2, 10, 21, 22, 25, 32, 35], "last": [2, 25, 27, 28, 32, 33, 35], "influenc": 2, "framework": [2, 8, 35], "third": [2, 7, 18, 21, 28, 32, 35], "parti": [2, 18, 35], "infrastructur": 2, "strongli": 2, "valid": [2, 3, 11, 25, 28, 32, 35], "assign": [2, 9, 10, 16, 24, 28, 32, 33, 35], "notif": 2, "notifi": 2, "magnitud": [2, 13, 28, 32], "point": [2, 19, 27, 28, 29, 32, 35], "predefin": [2, 28, 32], "perturbparticlesmodifi": 2, "positions_": [2, 3, 28], "random": [2, 3, 28, 32, 35], "default_rng": 2, "standard_norm": 2, "shape": [2, 4, 6, 9, 17, 26, 28, 32, 33, 35], "construct": [2, 4, 24, 28, 30, 31, 32, 35], "hard": 2, "dynam": [2, 4, 5, 7, 18, 21, 24, 25, 28, 29, 31, 32, 33, 35], "data1": [2, 25, 33], "200": [2, 29, 32], "data2": [2, 3, 25, 33], "detect": [2, 3, 10, 21, 28, 29, 32], "discard": [2, 32], "recomput": [2, 25, 32], "metadata": [2, 34], "ui": [2, 35], "label": [2, 10, 12, 14, 18, 20, 28, 35], "pertub": 2, "standard": [2, 4, 6, 13, 15, 26, 27, 28, 29, 32, 33, 35], "enum": 2, "colortrait": [2, 34], "ovitoobjecttrait": [2, 10, 33, 34], "abov": [2, 3, 9, 14, 21, 23, 24, 28, 29, 32, 33, 35], "text": [2, 3, 4, 5, 6, 13, 14, 15, 20, 21, 28, 29, 32, 35], "essenti": [2, 23, 24, 28], "underli": [2, 28], "show": [2, 3, 8, 11, 14, 15, 22, 24, 27, 28, 32, 33, 35], "manag": [2, 4, 10, 24, 27, 28, 32, 33, 35], "computevectorsmodifi": 2, "vector_vi": [2, 10, 35], "vec": [2, 28], "dtype": [2, 4, 6, 9, 14, 28], "imag": [2, 4, 5, 10, 21, 25, 26, 27, 28, 29, 32, 33, 35], "style": [2, 29, 35], "possibli": [2, 28], "displacement_vector": [], "declar": 2, "displacementswithreferencemodifi": 2, "ref_data": [2, 10], "path": [2, 21, 27, 29, 32, 33, 35], "reference_configur": 2, "m7": [2, 5], "repeatedli": [2, 25, 33], "consum": 2, "avoid": [2, 3, 11, 28, 33, 35], "outcom": [2, 22, 23], "independ": [2, 28, 32, 33], "motiv": [2, 32], "averag": [2, 5, 11, 28, 29, 32], "select": [2, 3, 13, 15, 21, 23, 24, 26, 27, 28, 29, 32, 33, 35], "similar": [2, 12, 21, 28, 29, 32, 35], "time_averag": [], "averageselectioncount": 2, "compute_time_averag": 2, "iter": [2, 11, 12, 15, 25, 28, 32, 35], "accumul": [2, 32, 35], "count_nonzero": [2, 28, 32], "doe": [2, 12, 16, 21, 25, 28, 30, 32, 33, 35], "howev": [2, 3, 21, 22, 28, 29, 32, 33, 35], "again": [2, 3, 24, 25, 27, 28, 29, 33], "lengthi": 2, "even": [2, 10, 24, 28, 29, 32, 33, 35], "though": [2, 28, 32, 35], "obvious": [2, 24], "could": [2, 17, 21, 28, 32, 33, 35], "purpos": [2, 4, 21, 22, 25, 28, 32], "check": [2, 3, 12, 22, 28], "copi": [2, 3, 12, 17, 20, 27, 28, 32, 33], "actual": [2, 3, 10, 12, 14, 21, 26, 28, 29, 32, 33, 35], "arbitrari": [2, 4, 28, 32, 35], "transient": [2, 28, 33], "empti": [2, 11, 16, 28, 32, 33, 35], "put": 2, "clear": [2, 32], "invalid": [2, 28, 32, 33], "word": [2, 3, 21, 25, 28, 32], "lifetim": 2, "yourself": [2, 23, 33], "m8": [2, 5], "chapter": 3, "amend": [3, 28, 33], "addit": [3, 4, 5, 10, 21, 22, 24, 25, 28, 29, 32, 33, 34, 35], "pleas": [3, 4, 11, 12, 16, 22, 28, 31, 32, 33, 35], "sure": [3, 10, 22, 25, 28, 29, 32, 35], "organ": [3, 4], "tri": [3, 10, 28], "unnecessari": [3, 33], "far": 3, "goal": 3, "share": [3, 22, 24, 28, 32, 33, 35], "time": [3, 4, 5, 8, 10, 12, 13, 18, 21, 22, 24, 25, 27, 28, 29, 31, 32, 33, 35], "duplic": [3, 28, 32], "clone": [3, 28], "obtain": [3, 28, 30, 32, 33, 35], "exact": [3, 27, 28], "origin": [3, 24, 28, 29, 32, 33], "assert": [3, 11, 27, 28, 32], "physic": [3, 28, 32, 35], "rather": [3, 4, 28], "insert": [3, 4, 7, 13, 17, 21, 22, 24, 25, 27, 28, 29, 32, 33, 35], "too": [3, 28], "shallow": [3, 28], "mani": [3, 21, 24, 25, 28, 32], "situat": [3, 28, 29], "field": [3, 4, 20, 24, 26, 27, 28, 32, 33, 35], "unmodifi": [3, 24, 33], "master": [3, 33], "quick": [3, 28, 32], "re": [3, 21, 25, 29, 32], "reload": 3, "final": [3, 7, 24, 28, 32, 33], "caller": [3, 24], "fulli": [3, 8, 23, 24, 28, 32, 33, 35], "small": [3, 28, 32, 33], "portion": 3, "dataset": [3, 4, 6, 9, 21, 24, 25, 28, 29, 30, 32, 33, 35], "plai": [3, 32, 35], "okai": [3, 28, 33], "between": [3, 4, 6, 7, 28, 29, 30, 31, 32, 33, 35], "long": [3, 12, 14, 27, 28, 29, 32, 35], "intend": [3, 24, 28, 32, 33], "exclus": [3, 28], "unwant": [3, 28], "affect": [3, 28, 32, 35], "anoth": [3, 27, 28, 29, 32, 33], "someon": 3, "els": [3, 10, 11, 28, 35], "result": [3, 4, 8, 9, 12, 13, 14, 18, 21, 23, 25, 26, 28, 32, 33, 35], "unexpect": [3, 28], "safeguard": 3, "accident": 3, "attempt": [3, 28, 35], "flag": [3, 10, 26, 28, 32, 33, 35], "simulationcel": [3, 4, 7, 10, 16, 24, 26, 28, 32, 33, 35], "pbc": [3, 7, 28, 33, 35], "fals": [3, 7, 10, 11, 16, 26, 28, 32, 33, 35], "runtimeerror": [3, 17, 18, 33], "owner": 3, "mutabl": [3, 28], "_": 3, "notat": [3, 9, 28, 35], "rais": [3, 17, 18, 20, 28, 30, 33, 35], "error": [3, 28, 33, 35], "caus": 3, "solut": [3, 8], "uniqu": [3, 4, 6, 9, 28, 29, 32], "handi": 3, "shortcut": 3, "cell_": [3, 28], "underscor": [3, 28, 32], "suffix": [3, 29, 32], "signal": 3, "whether": [3, 10, 12, 28, 32, 33, 35], "safe": [3, 28], "referenc": [3, 28, 32, 35], "parent": [3, 4, 28, 35], "child": [3, 4, 28, 32], "perform": [3, 4, 5, 11, 12, 21, 22, 23, 24, 25, 27, 28, 31, 32, 33, 35], "intent": 3, "propertycontain": [3, 4, 28, 32, 35], "arrai": [3, 4, 6, 9, 10, 11, 14, 17, 28, 32, 35], "initi": [3, 11, 13, 21, 24, 25, 28, 32, 33, 35], "color_valu": 3, "random_sampl": [3, 28, 35], "size": [3, 4, 18, 19, 24, 26, 28, 32, 35], "necessari": [3, 18, 22, 24, 25, 28, 32, 33, 35], "previou": [3, 28, 32], "overwritten": [3, 32], "detail": [3, 4, 14, 24, 32, 35], "document": [3, 4, 11, 16, 21, 24, 28, 29, 32, 33, 35], "nest": [3, 4, 14, 28, 35], "well": [3, 22, 27, 28, 32, 35], "therefor": 3, "bonds_": [3, 28], "easi": [3, 28], "unit": [3, 4, 20, 26, 28, 32, 35], "axi": [3, 11, 14, 16, 17, 28, 32, 33, 35], "index": [3, 6, 9, 15, 19, 28, 29, 32], "subset": [3, 28, 32, 35], "those": [3, 28, 32, 33, 35], "whose": [3, 15, 28, 32, 34, 35], "primit": [3, 26], "whole": [3, 4, 16, 21, 28], "analysi": [3, 5, 9, 11, 14, 23, 24, 28, 31, 32, 33], "simpl": [3, 4, 8, 22, 28, 29, 32], "dislocation_dens": 3, "dislocationanalysi": [3, 28, 31, 32], "total_line_length": [3, 28, 31, 32], "volum": [3, 11, 28, 32, 35], "ratio": [3, 32, 35], "total": [3, 4, 28, 31, 32, 33], "disloc": [3, 28, 29, 31, 32, 35], "crystal": [3, 14, 17, 28, 31, 32], "previous": [3, 22, 28, 32, 33], "dislocationanalysismodifi": [3, 28, 31, 32, 35], "ever": 3, "demonstr": [3, 5, 6, 7, 8, 9, 18, 28, 29, 32, 35], "three": [3, 4, 6, 7, 18, 21, 24, 26, 27, 28, 29, 32, 33, 34, 35], "span": [3, 28], "3x4": [3, 16, 28, 32, 35], "matrix": [3, 11, 16, 24, 28, 32, 35], "15": 3, "b": [3, 28, 32], "30": [3, 28, 32], "c": [3, 22, 28, 32], "dimens": [3, 4, 28, 32, 35], "rescal": [3, 14], "affinetransformationmodifi": [3, 32], "normal": [3, 11, 17, 24, 28, 29, 32, 33, 35], "upon": [3, 33], "trajectori": [3, 4, 5, 10, 21, 28, 29, 32, 33, 35], "threshold": [3, 28, 32], "6": [3, 7, 9, 14, 28, 32, 35], "expressionselectionmodifi": [3, 21, 28, 32, 33, 35], "f": [3, 12, 20, 28, 29, 31, 32], "potentialenergi": [3, 21, 32], "deleteselectedmodifi": [3, 15, 23, 28, 32], "hoc": 3, "act": [3, 14, 24, 32, 33], "easier": [3, 32, 35], "fragment": [4, 28], "box": [4, 5, 7, 26, 28, 32, 35], "correspond": [4, 9, 17, 21, 25, 26, 28, 29, 32, 33, 35], "dataobject": [4, 26, 28, 29, 35], "relationship": 4, "topmost": 4, "hierarchi": [4, 28], "fundament": [4, 17, 32], "complet": [4, 25, 26, 28, 32, 35], "kind": [4, 24, 28, 29, 32, 33, 35], "anim": [4, 8, 18, 21, 25, 26, 28, 29, 32, 33, 35], "seri": [4, 21, 28, 29, 32, 35], "molecul": [4, 28, 32], "center": [4, 15, 19, 28, 32, 35], "represent": [4, 26, 28, 30, 31, 32, 33, 35], "uniform": [4, 28, 32, 35], "n": [4, 6, 9, 17, 28, 32], "voxel": [4, 25, 28, 32, 35], "grid": [4, 28, 29, 32, 35], "noth": [4, 16, 31], "loos": 4, "held": 4, "identifi": [4, 28, 29, 31, 32, 35], "prescrib": [4, 28], "format": [4, 6, 13, 21, 24, 28, 29, 31, 32, 33, 35], "mimic": [4, 35], "kei": [4, 28, 32], "color_properti": [4, 32], "conveni": [4, 24, 28], "getter": [4, 28], "datat": [4, 18, 28, 29, 32], "voxelgrid": [4, 28, 29, 32, 35], "behav": [4, 22, 23, 28], "pretti": 4, "much": [4, 28, 32], "73": [4, 24, 28], "24230194": [4, 24], "77583981": [4, 24], "87618297": [4, 24], "49": [4, 24], "00170135": [4, 24], "35": [4, 9, 24, 28, 33], "47610092": [4, 24], "27": [4, 24], "92519951": [4, 24], "50": [4, 24, 28, 32, 33], "36349869": [4, 24], "39": [4, 24], "02569962": [4, 24], "25": [4, 24], "61310005": [4, 24], "42": [4, 24], "71210098": [4, 24], "59": [4, 24], "44919968": [4, 24], "38": [4, 24], "6432991": [4, 24], "9917984": [4, 24], "63": [4, 24], "53770065": [4, 24], "36": [4, 9, 24], "33330154": [4, 24], "44": [4, 24], "17670059": [4, 24], "61": [4, 24, 28], "49860001": [4, 24], "37": [4, 24, 28], "5401001": [4, 24], "dimension": [4, 6, 9, 17, 18, 21, 24, 26, 27, 28, 29, 32, 33, 35], "scalar": [4, 28, 32, 35], "equal": [4, 9, 28, 32], "28655": 4, "dim": [4, 28], "float64": [4, 28], "int32": [4, 28], "int64": [4, 28], "chosen": [4, 28, 32], "token": [4, 28], "pair": [4, 11, 15, 28, 29, 32, 35], "reader": [4, 23, 28, 29, 32, 33], "inspect": [4, 32], "clusteranalysi": [4, 28, 32], "cluster_count": [4, 28, 32], "reflect": [4, 8, 32, 33, 35], "cluster": [4, 22, 28, 32, 35], "found": [4, 18, 21, 22, 28, 29, 32, 33, 35], "emb": [4, 35], "textlabeloverlai": [4, 35], "consist": [4, 25, 28, 32, 33, 35], "row": [4, 6, 9, 28, 32], "histogrammodifi": [4, 28, 32], "commonneighboranalysismodifi": [4, 6, 24, 28, 29, 32], "graph": [4, 28, 32], "chart": [4, 21, 28, 32], "scatter": [4, 28, 32], "histogram": [4, 6, 9, 18, 28, 32], "plot": [4, 5, 21, 28, 32], "lookup": [4, 28, 32], "constructsurfacemodifi": [4, 28, 32, 35], "triangul": [4, 35], "spatial": [4, 11, 28, 32], "region": [4, 11, 28, 32, 35], "fill": [4, 28, 30, 31, 32, 33, 35], "surfacemesh": [4, 28, 29, 32, 35], "vertic": [4, 9, 26, 28, 32, 35], "face": [4, 9, 28, 32, 35], "page": [5, 11, 16, 21, 28, 32, 35], "group": [5, 28, 32], "categori": [5, 32], "termin": [5, 22, 23, 28, 32, 35], "task": [5, 23, 31, 32], "accomplish": [5, 32, 33], "b1": [5, 32], "voronoi": [5, 32], "indic": [5, 12, 14, 27, 28, 32, 35], "b2": [5, 32], "cna": [5, 32], "b3": 5, "programmat": [5, 13, 22, 24, 28, 33], "b4": [5, 35], "viewer": [5, 28, 35], "m1": 5, "squar": [5, 14, 26, 28, 32, 35], "custom": [5, 7, 13, 17, 23, 28, 29, 32, 33, 34, 35], "m5": 5, "shrink": 5, "wrap": [5, 28, 32, 33, 35], "m6": 5, "entropi": 5, "enrich": 5, "movi": [5, 21, 25, 26, 35], "live": 5, "o1": 5, "scale": [5, 19, 28, 32, 35], "o2": 5, "o3": 5, "highlight": [5, 28, 32, 35], "createbondsmodifi": [6, 28, 32, 33, 35], "character": [6, 32], "triplet": [6, 28, 35], "topologi": [6, 7, 21, 28, 29, 32, 33], "surround": [6, 32, 35], "network": [6, 28], "modif": [6, 24, 25, 28, 32, 33], "enumer": [6, 28, 32], "bondsenumer": [6, 28], "helper": [6, 9, 28, 32], "atom": [6, 7, 9, 11, 14, 17, 21, 23, 28, 29, 30, 32, 33, 35], "cna_pair_typ": 6, "number_of_such_pair": 6, "sy": [6, 8, 22, 32, 35], "mode": [6, 28, 32, 33, 35], "bondbas": [6, 32], "heavi": 6, "cna_indic": 6, "frequenc": [6, 9], "magic": [6, 9], "occurr": [6, 9], "row_histogram": [6, 9], "ca": [6, 9, 28, 29, 31, 32], "ascontiguousarrai": [6, 9], "view": [6, 9, 24, 26, 27, 28, 35], "invers": [6, 9, 28, 32], "return_index": [6, 9], "return_invers": [6, 9], "bincount": [6, 9], "below": [6, 15, 22, 28, 29, 31, 32], "bond_enumer": 6, "particle_index": [6, 11, 28], "stdout": 6, "bond_index_list": 6, "bonds_of_particl": [6, 28], "local_cna_indic": 6, "unique_triplet": 6, "triplet_count": 6, "zip": [6, 32], "end": [6, 25, 28, 29, 32, 33, 35], "creation": [7, 32, 33], "fly": [7, 24, 32], "staticsourc": [7, 30, 33], "create_particl": [7, 28, 33], "po": [7, 28], "7": [7, 9, 28, 32, 35], "9": [7, 9, 17, 21, 28, 32, 35], "pos_prop": 7, "type_prop": 7, "particletyp": [7, 28, 29, 32, 35], "id": [7, 9, 28, 29, 32, 35], "ni": [7, 28], "my_data": 7, "141": 7, "23": 7, "my_prop": 7, "line_width": [7, 28, 35], "bond_topologi": [7, 28], "create_bond": [7, 28], "create_qt_widget": [8, 35], "pyside6": [8, 35], "cross": [8, 10, 28, 32, 33, 35], "platform": [8, 35], "qslider": 8, "shown": [8, 20, 28, 32, 33, 35], "yet": [8, 15, 28, 29, 35], "flesh": 8, "area": [8, 26, 28, 32, 35], "inoffici": 8, "undocu": 8, "public": 8, "qt": [8, 19, 20, 35], "qtwidget": [8, 35], "qapplic": [8, 35], "qmainwindow": 8, "qwidget": [8, 35], "qvboxlayout": 8, "app": [8, 22, 35], "argv": [8, 22, 32, 35], "qcoreappl": [8, 35], "wouldn": [8, 35], "u": [8, 14, 22, 32, 35], "mainwin": 8, "setwindowtitl": [8, 35], "central_widget": 8, "central_layout": 8, "setcentralwidget": 8, "virtual": [8, 24, 32, 35], "vp": [8, 24, 26, 28, 35], "perspect": [8, 20, 23, 24, 26, 35], "camera_dir": [8, 24, 26, 28, 35], "vp_widget": 8, "addwidget": 8, "time_slid": 8, "horizont": [8, 35], "settickinterv": 8, "settickposit": 8, "ticksbothsid": 8, "on_time_slid": 8, "current_fram": 8, "valuechang": 8, "resiz": [8, 28, 32, 35], "800": [8, 24, 26], "600": [8, 24, 26], "animation1": 8, "setmaximum": 8, "camera": [8, 22, 24, 26, 35], "zoom_al": [8, 24, 26, 28, 35], "height": [8, 20, 35], "start": [8, 14, 21, 22, 25, 28, 35], "exit": [8, 35], "exec": [8, 35], "voronoianalysismodifi": [9, 28, 32], "distribut": [9, 18, 28, 32], "polyhedra": [9, 32], "amorph": 9, "polyhedron": [9, 32], "schlaefli": 9, "edg": [9, 28, 32, 35], "64": [9, 28], "zr": [9, 28, 33], "bulk": [9, 32], "metal": 9, "glass": 9, "icosahedron": 9, "12": [9, 14, 28, 32, 35], "five": 9, "chemic": [9, 28, 32], "radiu": [9, 19, 28, 32, 33, 35], "why": [9, 35], "radii": [9, 28, 32, 33, 35], "polydispers": 9, "tessel": [9, 32], "assign_particle_radii": 9, "atom_typ": 9, "particle_types_": [9, 28, 33], "type_by_id_": [9, 28, 33], "55": [9, 28, 33], "voro": 9, "compute_indic": [9, 32], "use_radii": [9, 32], "edge_threshold": [9, 32], "m": [9, 22, 28, 30, 32], "maximum": [9, 17, 28, 29, 32, 35], "voro_indic": 9, "sort": [9, 28, 29, 32], "descend": [9, 32], "sort_indic": 9, "argsort": [9, 28], "unique_indic": 9, "ten": 9, "1f": 9, "tupl": [9, 27, 28, 32, 34, 35], "len": [9, 11, 13, 14, 17, 28, 32], "12274": 9, "11": [9, 28], "7485": 9, "5637": 9, "4857": 9, "3415": 9, "2927": 9, "2900": 9, "2068": 9, "2063": 9, "1662": 9, "replic": [10, 32], "calculatedisplacementsmodifi": [10, 13, 26, 32, 33, 35], "inherit": [10, 12, 28, 32], "cach": [10, 12, 33], "slot": [10, 12, 33], "calculatedisplacementswithrefer": 10, "config": [10, 33], "static": [10, 12, 29, 32], "reference_fram": [10, 33], "default_valu": [10, 12], "correct": [10, 25, 28, 32], "minimum_image_convent": [10, 32, 33], "minimum": [10, 28, 32, 33], "convent": [10, 28, 29, 32, 33], "align": [10, 32, 35], "head": [10, 28, 33, 35], "flat_shad": [10, 28, 35], "titl": [10, 18, 28, 35], "current_posit": 10, "reference_posit": 10, "correctli": [10, 28, 32, 35], "handl": [10, 32, 33], "fingerprint": 11, "r": [11, 14, 17, 28, 32, 35], "visit": [11, 28, 32], "neighbor": [11, 14, 15, 28, 32, 35], "spheric": [11, 28], "around": [11, 15, 19, 28, 32, 35], "learn": [11, 16, 28, 32, 35], "about": [11, 16, 32, 35], "cutoffneighborfind": [11, 15, 28], "distanc": [11, 14, 15, 28, 32, 33, 35], "central": [11, 14, 15, 28, 32], "neighborhood": [11, 32], "np": [11, 14, 17, 28, 32], "sigma": 11, "use_local_dens": 11, "compute_averag": 11, "average_cutoff": 11, "overal": [11, 28, 35], "densiti": [11, 28, 32, 35], "global_rho": 11, "finder": [11, 15, 28], "local_entropi": 11, "bin": [11, 22, 28, 29, 32], "nbin": 11, "tabl": [11, 13, 18, 21, 28, 29, 32], "integrand": 11, "linspac": [11, 28, 33], "num": 11, "rsq": 11, "precomput": 11, "factor": [11, 32, 35], "g_m": 11, "prefactor": 11, "pi": 11, "sqrt": [11, 32], "divis": 11, "r_ij": 11, "neighbor_dist": [11, 28], "r_ji": 11, "r_diff": 11, "expand_dim": 11, "exp": 11, "estim": [11, 32], "local_volum": 11, "rho": 11, "1e": [11, 17, 28], "log": [11, 27, 29], "trapz": 11, "math": [11, 17, 24, 26, 32], "divid": [11, 13, 17, 28, 32], "output_properti": [11, 28, 32], "operate_on": [11, 28, 32], "cutoff_radiu": [11, 32], "numneighbor": 11, "neighbor_express": [11, 32], "timeaveragingmodifi": [12, 28, 32], "timeaverageofattribut": 12, "input_attribut": 12, "elif": 12, "output_attribut": 12, "sampl": [12, 28, 32, 35], "instantan": [12, 32], "frame_data": 12, "percentag": 12, "msd": 13, "displacement_magnitud": 13, "batch": [13, 24, 28, 32], "calculate_msd": 13, "rest": 13, "msd_data": 13, "paper": [14, 32], "phy": 14, "rev": 14, "lett": 14, "86": 14, "5530": 14, "belong": [14, 21, 28, 32], "liquid": 14, "solid": [14, 28, 32, 35], "fcc": [14, 28, 29, 31, 32], "phase": [14, 22, 32], "nearest": [14, 28, 32], "ideal": [14, 32], "denot": [14, 28], "phi": [14, 28], "closest": [14, 28, 32], "nearestneighborfind": [14, 28], "util": [14, 15, 28, 35], "scope": 14, "constant": [14, 28, 32, 33, 35], "lattice_paramet": 14, "110": 14, "reference_vector": 14, "asarrai": [14, 28], "account": [14, 28, 32], "num_neighbor": [14, 32], "order_param": 14, "neigh_find": 14, "oparam": 14, "neigh": [14, 15, 28], "deviat": [14, 32], "squared_devi": 14, "linalg": [14, 17, 28], "norm": [14, 17, 28], "delta": [14, 28, 33], "contribut": 14, "best": [14, 28], "match": [14, 17, 21, 28, 29, 32, 35], "min": [14, 16, 28, 32], "feedback": 14, "search": [15, 28], "elimin": 15, "among": [15, 28], "overlap_dist": 15, "nearbi": [15, 28, 32], "hasn": 15, "mark": [15, 28, 35], "test": [15, 28, 32], "close": [15, 18, 28, 32, 35], "break": 15, "There": [16, 35], "max": [16, 28, 32], "coords_min": 16, "amin": [16, 32], "coords_max": 16, "amax": [16, 32], "x_max": 16, "x_min": 16, "y_max": 16, "y_min": 16, "z_max": 16, "z_min": 16, "diag": 16, "isn": [16, 28], "create_cel": [16, 28], "polyhedredr": 17, "templat": [17, 29, 32], "ptm": [17, 28, 32], "poli": [17, 32], "quaternion": [17, 28, 32], "rotat": [17, 19, 28, 32, 35], "zone": [17, 32], "translat": [17, 19, 28, 32, 35], "rgb": [17, 28, 32, 34, 35], "past": [17, 20], "quaternions_to_color": 17, "q": 17, "nx4": 17, "nx3": [17, 28, 32], "project": [17, 19, 22, 24, 26, 28, 35], "rodrigu": 17, "space": [17, 19, 20, 24, 26, 28, 29, 32, 35], "w": [17, 28, 32, 35], "zeros_lik": 17, "rr": 17, "hack": 17, "theta": [17, 28, 32], "arctan": 17, "radian": [17, 24, 26, 32, 35], "62": 17, "overlai": [18, 20, 35], "matplotlib": [18, 22, 35], "radial": [18, 28, 32], "agg": 18, "activ": [18, 27, 28, 31, 32, 33, 35], "backend": [18, 35], "off": [18, 26, 28, 32, 33, 35], "screen": [18, 19, 20, 35], "pyplot": 18, "plt": 18, "qtgui": [18, 19, 20, 35], "arg": [18, 19, 20, 22, 35], "selected_pipelin": [18, 27], "rdf": [18, 28, 32], "No": [18, 32, 35], "rdf_data": 18, "xy": [18, 19, 28, 29, 32], "inch": 18, "dpi": 18, "80": [18, 32], "plot_width": 18, "plot_height": 18, "figur": [18, 26, 28], "fig": 18, "ax": [18, 32, 35], "subplot": 18, "figsiz": 18, "patch": 18, "set_alpha": 18, "tight_layout": 18, "buffer": [18, 32], "buf": 18, "canva": [18, 35], "print_to_buff": 18, "qimag": [18, 35], "res_x": 18, "res_i": 18, "img": 18, "format_rgba8888": 18, "paint": [18, 35], "onto": [18, 28], "painter": [18, 19, 20, 35], "drawimag": 18, "particlesvi": [19, 26, 28, 32, 35], "pindex": 19, "project_point": [19, 35], "none": [19, 27, 28, 29, 30, 31, 32, 33, 34, 35], "particle_typ": [19, 28, 32], "type_by_id": [19, 28, 32], "pixel": [19, 32, 35], "screen_radiu": 19, "project_s": [19, 20, 35], "draw": [19, 28, 35], "dash": 19, "circl": [19, 28, 35], "pen": 19, "qpen": [19, 20], "dashlin": 19, "setwidth": 19, "setcolor": 19, "qcolor": [19, 20], "255": [19, 20], "setpen": [19, 20], "drawellips": 19, "qpointf": 19, "arrow_shap": 19, "qpolygonf": 19, "40": [19, 20, 32, 35], "setbrush": 19, "qbrush": 19, "45": 19, "drawpolygon": 19, "nm": 20, "pictur": [20, 26, 28, 32, 35], "pythonviewportoverlai": [20, 35], "bar_length": 20, "angstrom": 20, "bar_color": 20, "label_text": 20, "label_color": 20, "is_perspect": [20, 35], "except": [20, 32, 35], "screen_length": 20, "geometri": [20, 26, 28, 31, 32, 35], "07": [20, 35], "margin": [20, 35], "02": [20, 35], "rect": 20, "qrectf": 20, "rectangl": [20, 35], "fillrect": 20, "font": [20, 35], "setpixels": 20, "setfont": 20, "drawtext": [20, 35], "aligncent": 20, "earlier": [21, 24], "other_simul": 21, "unlik": [21, 25, 28], "visibl": [21, 24, 26, 27, 28, 32, 33, 35], "topic": [21, 24, 28], "pattern": [21, 29], "1000": [21, 31], "2000": 21, "wildcard": [21, 29], "directori": [21, 22, 29, 32], "file_list": 21, "dir_a": [21, 29], "dir_b": [21, 29], "dir_c": 21, "quickli": [21, 28], "scan": 21, "multi": [21, 32, 35], "discov": [21, 32], "demand": 21, "jump": [21, 32], "md": [21, 29, 31, 32, 33], "molecular": [21, 28, 31, 32], "loadtrajectorymodifi": [21, 29, 32, 33], "traj_mod": [21, 32], "fetch": 21, "suffici": [21, 28, 32, 35], "legaci": [21, 29], "outputfil": 21, "filenam": [21, 22, 24, 26, 27, 28, 29, 35], "One": [21, 28, 32, 33], "expressionselect": [21, 32, 35], "criterion": [21, 32], "Such": [21, 25, 28], "evolut": [21, 32], "potenergi": 21, "531": 21, "540": 21, "522": 21, "502": 21, "regular": [22, 28, 31, 32, 35], "anaconda": 22, "pypi": 22, "repositori": 22, "miniconda": 22, "strict": 22, "channel": 22, "prioriti": 22, "forg": 22, "latter": [22, 28, 29, 32], "paid": 22, "licens": 22, "confus": 22, "popular": 22, "ve": [22, 33], "right": [22, 24, 28, 32, 35], "preconfigur": 22, "commonli": 22, "equip": 22, "subdirectori": 22, "linux": [22, 35], "maco": 22, "launch": [22, 35], "written": [22, 23, 27, 28, 29, 32], "hello": [22, 35], "x86_64": 22, "consol": [22, 29, 32], "almost": 22, "remot": [22, 29, 33, 35], "machin": 22, "possess": [22, 28, 35], "setup": 22, "everyth": [22, 27, 32], "anymor": 22, "observ": [22, 23], "processor": [22, 28, 31], "smaller": [22, 28, 32, 35], "myscript": 22, "cpython": 22, "tool": [22, 32, 35], "ship": 22, "veri": [22, 28, 32, 33, 35], "package_nam": 22, "www": [22, 35], "extens": [22, 28, 34], "fail": [22, 29, 32, 35], "recommend": [22, 24], "straightforward": 22, "autom": 23, "layer": [23, 32, 35], "labori": 23, "carri": [23, 32, 35], "remove_hydrogen": 23, "hydrogen": [23, 32], "delet": [23, 28, 32, 33], "selecttypemodifi": [23, 32], "h": [23, 28, 32], "free": [23, 32], "python3": [23, 35], "explain": 23, "viewport_lay": [], "wire": [24, 29, 33], "care": [24, 28, 33], "0x7f9ea70aefb0": 24, "reconfigur": 24, "reus": 24, "colorcodingmodifi": [24, 28, 32, 35], "slicemodifi": [24, 28, 32, 33], "constructor": [24, 28, 32], "only_select": [24, 32, 35], "equival": [24, 28, 29, 32], "known": [24, 26, 28, 32, 35], "sequenti": [24, 25], "outputdata": 24, "pipe": 24, "leav": [24, 28, 32], "heterogen": 24, "attributedataobject": 24, "148": 24, "147995": 24, "74": [24, 28], "0739975": 24, "07200623": 24, "03600311": 24, "0756073": 24, "03780365": 24, "input_data": 24, "output_data": 24, "mention": [24, 25], "viewpoint": 24, "seen": [24, 33, 35], "camera_po": [24, 26, 35], "150": [24, 26], "fov": [24, 26, 35], "60": [24, 26], "angl": [24, 26, 28, 29, 32, 35], "myimag": 24, "png": [24, 26, 28, 35], "aspect": [24, 29, 35], "arrang": [25, 32], "filter": [25, 32, 35], "flow": 25, "down": [25, 32, 35], "triangl": [25, 28, 35], "mesh": [25, 28, 29, 32, 35], "destruct": [25, 28], "repeat": 25, "ident": [25, 28], "attach": [25, 26, 28, 29, 32, 33, 35], "assigncolormodifi": [25, 28, 32], "left": [25, 27, 28, 35], "closer": [25, 32, 35], "trajectory_": 25, "data_frame0": 25, "data_frame1": 25, "data_frame2": 25, "wrong": [25, 33], "atomicstrainmodifi": [25, 32, 33], "longer": [25, 28, 32], "simulationcellvi": [26, 28, 35], "0x7f9a414c8060": 26, "0x7fc3650a1c20": 26, "rendering_color": [26, 28, 35], "red": [26, 28, 32], "datavi": [26, 28, 35], "hide": 26, "cubic": [26, 32, 35], "blue": 26, "front": [26, 28, 35], "ortho": [26, 35], "forget": 26, "reset": [26, 28, 35], "reason": [26, 28, 29, 33], "zoom": 26, "becom": [26, 28, 32, 35], "render_anim": [26, 35], "background": [26, 35], "avi": [26, 35], "fp": [26, 35], "20": [26, 28, 32, 33, 35], "qualiti": [26, 35], "openglrender": [26, 32, 35], "fast": [26, 28, 33], "hardwar": [26, 35], "acceler": [26, 35], "opengl": [26, 32, 35], "tachyon": [26, 35], "shadow": [26, 35], "direct_light_intens": [26, 35], "univers": 27, "video": [27, 35], "version_str": 27, "encompass": 27, "remove_from_scen": [27, 33], "del": [27, 28, 33, 35], "compris": [27, 28, 32], "macro": 27, "enable_log": [27, 28, 32], "unnotic": 27, "stderr": 27, "2d": [28, 32, 35], "volumetr": [28, 32, 35], "trajectorylin": [28, 32, 35], "polyhedr": [28, 32], "trianglemesh": [28, 32, 35], "made": [28, 32], "triangular": [28, 32], "dislocationnetwork": [28, 29, 32, 35], "discret": [28, 32, 35], "burger": [28, 32, 35], "elementtyp": [28, 32], "bondtyp": [28, 32], "dislocationseg": 28, "bond_typ": [28, 32], "bond_type_list": 28, "length_prop": 28, "bondsvi": [28, 32, 35], "bond_vector": 28, "subtract": 28, "opposit": [28, 32], "track": [28, 29], "shift": 28, "product": 28, "dot": [28, 32], "pbc_vector": 28, "transpos": 28, "facilit": 28, "transform": [28, 32, 33, 35], "3x3": [28, 32], "summar": [28, 32], "snippet": [28, 32], "unwrap": [28, 32, 33], "mathbf": [28, 32], "v": 28, "_b": 28, "_a": 28, "cdot": [28, 32], "n_x": 28, "n_y": 28, "n_z": 28, "transpar": [28, 32, 35], "add_bond": 28, "pbcvec": 28, "pbc_shift": 28, "undefin": 28, "permit": 28, "unord": 28, "warn": 28, "usag": [28, 30, 31, 32, 33], "gz": [28, 29, 32, 35], "atom_styl": [28, 29, 32, 33, 35], "bondlength": 28, "bond_length": 28, "bonds_enum": 28, "bond_index": 28, "data_collect": [28, 30, 31], "prefetch": 28, "ptype": 28, "type_of_neighbor": 28, "distance_squar": 28, "find_al": 28, "sort_bi": 28, "slow": 28, "core": [28, 32], "cartesian": [28, 29, 32, 35], "larg": [28, 32, 35], "unsort": 28, "contigu": [28, 29, 32], "intermingl": 28, "ascend": 28, "still": [28, 31, 35], "addition": [28, 29, 32, 35], "increas": [28, 32], "neigh_idx": 28, "symmetr": [28, 32], "reach": 28, "neigh_vec": 28, "unspecifi": 28, "incur": 28, "cost": 28, "faster": [28, 32], "find_at": 28, "coord": [28, 32], "coincid": 28, "offset": [28, 32, 33, 35], "lot": 28, "better": [28, 32, 35], "neighbor_vector": 28, "piec": 28, "elementari": 28, "entiti": 28, "bunch": 28, "accessor": 28, "surfac": [28, 32, 35], "success": [28, 32], "idx": 28, "arang": [28, 32], "constructsurfacemesh": [28, 32], "surface_area": [28, 32], "snapshot_140000": 28, "140000": 28, "ncluster": 28, "commonneighboranalysi": [28, 29, 32], "fcc_fraction": 28, "compute_fcc_fract": 28, "n_fcc": 28, "might": 28, "retain": 28, "inexpens": 28, "protect": 28, "against": 28, "make_mut": 28, "deep": 28, "vis_param": 28, "condition": 28, "boolean": [28, 32, 35], "logic": [28, 32], "roughli": [28, 32, 35], "item": 28, "setattr": 28, "param": [28, 29, 30, 33, 34], "06": [28, 35], "83": 28, "81": 28, "79": 28, "88": 28, "77": 28, "charge_density_grid": 28, "charg": [28, 29, 32, 35], "flat": [28, 32, 35], "flavor": 28, "expect": [28, 32, 35], "x_interv": 28, "x_coord": 28, "plot_mod": 28, "plotmod": 28, "axis_label_x": 28, "trace": [28, 32, 35], "generatetrajectorylinesmodifi": [28, 32, 35], "triangle_mesh": 28, "abstract": [28, 32, 33, 35], "concret": [28, 32, 33], "themselv": [28, 32], "target": [28, 32], "meaning": 28, "subobj": 28, "ownership": 28, "convert": [28, 30, 31, 32, 35], "doesn": [28, 33], "synchron": 28, "subclass": [28, 32], "evenli": 28, "equis": 28, "techniqu": [28, 32, 35], "co": [28, 30, 32, 33], "These": [28, 29, 32, 35], "trigonometr": 28, "14": [28, 32, 35], "sin": [28, 32, 33], "y1y2": 28, "stack": [28, 32], "barchart": 28, "hcp": [28, 32], "bcc": [28, 32], "65": 28, "97": 28, "75": [28, 35], "four": 28, "trig": 28, "func": 28, "explicit": [28, 29, 33, 35], "absenc": 28, "equispac": 28, "implicit": [28, 32], "noplot": 28, "famili": 28, "extract": [28, 32, 35], "dislocationvi": [28, 32, 35], "diamond": [28, 32], "input_crystal_structur": [28, 31, 32], "cubicdiamond": [28, 32], "cell_volum": [28, 32], "segment": [28, 32, 35], "true_burgers_vector": [28, 32], "Or": [28, 32], "paraview": [28, 29, 32], "vtk": [28, 29, 32], "polylin": 28, "clip": [28, 35], "domain": [28, 32, 35], "set_seg": 28, "cluster_id": 28, "custom_color": 28, "crystallit": [28, 32], "flip": [28, 35], "seg": 28, "dislocations_": 28, "neg": [28, 32, 33], "flipud": 28, "121": 28, "allclos": 28, "scheme": [28, 29, 32, 35], "impos": 28, "coloring_mod": [28, 35], "is_infinite_lin": 28, "is_loop": 28, "spatial_burgers_vector": 28, "type_by_nam": [28, 32], "inact": 28, "identif": [28, 32], "structureidentificationmodifi": [28, 32], "symbol": 28, "greater": [28, 35], "less": [28, 32], "xyz_coord": 28, "wise": [28, 32], "skip": [28, 32, 33, 35], "atomist": [28, 30, 35], "establish": [28, 35], "tid": 28, "si": 28, "backface_cul": [28, 35], "cull": 28, "polygon": [28, 32, 35], "awai": [28, 32, 33, 35], "load_shap": 28, "highlight_edg": [28, 32, 35], "load_default": 28, "vdw_radiu": [28, 32], "databas": [28, 29], "filepath": 28, "obj": [28, 29], "stl": [28, 29], "tetrahedron": 28, "gsd": [28, 29, 32], "aspherix": 28, "site": [28, 32], "ignor": [28, 29, 32, 33, 35], "unless": [28, 29, 32, 33, 35], "setup_particle_typ": 28, "geometr": [28, 32, 33], "sphere": [28, 32, 35], "cylind": [28, 35], "spherocylind": [28, 35], "ellipsoid": [28, 35], "superquadr": [28, 35], "presenc": [28, 35], "aspher": [28, 35], "round": [28, 35], "switch": [28, 35], "perman": [28, 35], "nylon": 28, "320": [28, 35], "240": [28, 35], "use_mesh_color": 28, "intrins": [28, 32], "van": [28, 32], "der": [28, 32], "waal": [28, 32], "decid": 28, "layout": [28, 35], "role": [28, 32, 35], "angular": [28, 35], "centrosymmetri": [28, 32], "deform": [28, 32, 33], "gradient": [28, 32, 35], "xx": [28, 32], "yx": 28, "zx": 28, "yy": [28, 32], "zy": 28, "xz": [28, 32], "yz": [28, 32], "zz": [28, 32], "dipol": [28, 32, 35], "dna": 28, "strand": 28, "elast": [28, 32], "strain": [28, 29, 32], "forc": [28, 32, 35], "kinet": 28, "nucleobas": 28, "nucleotid": 28, "spin": 28, "tensor": [28, 32], "stress": [28, 32], "stretch": [28, 32], "torqu": 28, "liter": [28, 32, 35], "mol_id": 28, "add_particl": 28, "return_pbcvec": 28, "wrapper": [28, 32, 35], "r_a": 28, "r_b": 28, "shortest": 28, "dihedr": [28, 29], "bit": 28, "delete_el": 28, "stai": 28, "stabl": 28, "vari": [28, 29, 32], "throughout": 28, "query_indic": 28, "revers": [28, 32, 33, 35], "nor": 28, "contig": 28, "query_id": 28, "argwher": 28, "effort": 28, "pai": 28, "searchsort": 28, "sorter": 28, "array_equ": 28, "illustr": 28, "improp": [28, 29], "under": [28, 31, 32, 33, 35], "circumst": 28, "new_coordin": 28, "overwrit": 28, "ndarrai": 28, "slice": [28, 32, 33], "101": 28, "99": 28, "compar": [28, 32], "permut": 28, "optim": [28, 32], "remap": 28, "suppli": 28, "hydrogen_typ": 28, "hydrogen_indic": 28, "flatnonzero": 28, "structure_typ": 28, "th": [28, 32], "d": [28, 32], "modifiable_posit": 28, "position_": 28, "encod": [28, 32, 35], "tprop": 28, "fe": 28, "human": 28, "188": 28, "313": 28, "972": 28, "564": 28, "050": 28, "consecut": [28, 29, 33], "similarli": 28, "fe_type_id": 28, "957": 28, "classif": [28, 32], "component_count": 28, "component_nam": [28, 29, 32], "digit": [28, 29, 32], "charact": [28, 29, 32], "delimit": 28, "raise_error": 28, "keyerror": 28, "type_id": [28, 32], "id_si": 28, "si_atom_count": 28, "type_by_name_": [28, 32], "renam": 28, "structure_types_": 28, "hexagon": [28, 32], "wurtzit": 28, "abc": 28, "has_select": 28, "name_list": 28, "myint": 28, "infer": 28, "myvector": 28, "old": [28, 32], "mask": [28, 32], "delete_indic": 28, "cast": [28, 32, 35], "parallelepip": 28, "fourth": [28, 32, 35], "pmatrix": 28, "a_x": 28, "b_x": 28, "c_x": 28, "o_x": 28, "a_i": 28, "b_y": 28, "c_y": 28, "o_i": 28, "a_z": 28, "b_z": 28, "c_z": 28, "o_z": 28, "major": [28, 32], "is2d": 28, "orthogon": [28, 35], "l_x": 28, "l_y": 28, "l_z": 28, "lx": 28, "ly": [28, 32], "lz": 28, "reduc": [28, 29, 32, 35], "p": 28, "quadruplet": 28, "multipli": 28, "p_cartesian": 28, "p_reduc": 28, "shorthand": 28, "matmul": 28, "affin": [28, 32, 33, 35], "oppos": 28, "somewhat": 28, "v_cartesian": 28, "vx": 28, "vy": 28, "vz": 28, "v_reduc": 28, "v_cartesian_out": 28, "forth": [28, 30, 33], "cartesian_posit": 28, "reduced_posit": 28, "cartesian_positions_out": 28, "wirefram": [28, 35], "ra": 28, "rb": 28, "short": [28, 32, 35], "abl": [28, 32], "bring": 28, "reciproc": [28, 32], "bmatrix": 28, "real": [28, 32, 35], "frac": 28, "qquad": 28, "mathrm": [28, 32], "absolut": [28, 32], "submatrix": 28, "tripl": 28, "ab": 28, "det": 28, "volume2d": 28, "v_": 28, "manifold": [28, 32, 35], "planar": [28, 32], "createisosurfacemodifi": [28, 32, 35], "coordinationpolyhedramodifi": [28, 32], "isolevel": [28, 32], "05": [28, 32], "isosurfac": [28, 32], "halfedg": 28, "circular": 28, "surfacemeshtopologi": [28, 35], "vertex": [28, 32, 35], "vertex_coord": 28, "surfacemeshvi": [28, 32, 35], "color_mapping_mod": [28, 35], "colormappingmod": [28, 35], "color_mapping_properti": [28, 32, 35], "color_mapping_interv": [28, 32, 35], "isosurface_": 28, "vertices_": 28, "xoffset": 28, "yoffset": 28, "zoffset": 28, "intersect": [28, 35], "to_triangle_mesh": 28, "subdivid": 28, "enclos": [28, 32, 35], "interior": [28, 32, 35], "exterior": [28, 32, 35], "locate_point": 28, "degener": 28, "unabl": 28, "discrimin": 28, "space_filling_region": 28, "truncat": [28, 32], "cap": [28, 35], "hole": 28, "trimesh": [28, 29], "surface_mesh": [28, 32], "plane": [28, 32], "cut": [28, 32, 33, 35], "get_clipping_plan": 28, "set_clipping_plan": 28, "connect_opposite_halfedg": 28, "link": [28, 35], "bound": [28, 32, 35], "adjac": [28, 32], "successfulli": [28, 33], "said": 28, "wind": 28, "counter": 28, "clockwis": 28, "is_clos": [28, 35], "opposite_edg": 28, "has_opposite_edg": 28, "create_fac": 28, "convex": [28, 32], "incorrectli": [28, 35], "quad": 28, "adopt": [28, 35], "quadrilater": 28, "vert": 28, "create_vertic": 28, "vertex_list": 28, "3n": 28, "triangle_list": 28, "reshap": 28, "prefix": [28, 32], "face_count": 28, "vertex_count": 28, "sign": [28, 32], "get_face_vertic": 28, "ep": 28, "reserv": 28, "precis": [28, 29, 32], "disabl": [28, 32, 33, 35], "unstabl": 28, "facemap": 28, "Will": [28, 32], "interpol": [28, 32, 35], "topolog": 28, "edge_count": 28, "depict": [28, 35], "half": [28, 32], "first_vertex_edg": 28, "next_vertex_edg": 28, "first_face_edg": 28, "next_face_edg": 28, "prev_face_edg": 28, "adjacent_fac": 28, "count_face_edg": 28, "count_manifold": 28, "count_vertex_edg": 28, "find_edg": 28, "vertex1": 28, "vertex2": 28, "first_edge_vertex": 28, "second_edge_vertex": 28, "first_face_vertex": 28, "has_opposite_fac": 28, "partner": 28, "opposite_fac": 28, "border": [28, 35], "show_cap": [28, 32, 35], "backward": 28, "rememb": 28, "count_edg": 28, "start_edg": 28, "next_manifold_edg": 28, "outgo": 28, "get_neighboring_fac": 28, "opp_edg": 28, "trajectoryvi": [28, 32, 35], "particle_id": 28, "time_stamp": 28, "stamp": 28, "someth": 28, "low": 28, "sent": 28, "gpu": [28, 32, 35], "trianglemeshvi": [28, 32, 35], "n_": 28, "get_fac": 28, "get_vertic": 28, "set_fac": 28, "vertex_indic": 28, "set_vertic": 28, "parallelogram": 28, "uniformili": 28, "grid_typ": 28, "chgcar": [28, 32, 35], "electron": 28, "vasp": [28, 29, 32, 35], "spatialbinningmodifi": [28, 32, 35], "unstructur": 28, "outer": [28, 35], "03": [28, 35], "nx": 28, "ny": 28, "nz": 28, "field_data": 28, "voxelgridvi": [28, 32, 35], "gridtyp": 28, "celldata": 28, "slowest": 28, "fortran": 28, "flatten": 28, "pointdata": 28, "pathlik": 29, "pov": 29, "rai": [29, 35], "compress": 29, "zlib": 29, "librari": 29, "conjunct": [29, 32, 33], "imd": 29, "poscar": 29, "fhi": 29, "aim": 29, "hoomd": 29, "netcdf": 29, "amber": 29, "binari": [29, 32], "povrai": 29, "refin": [29, 35], "start_fram": [29, 33], "end_fram": [29, 33], "every_nth_fram": 29, "prefer": 29, "17": 29, "hybrid": 29, "atom_substyl": 29, "suppress": 29, "omit_mass": 29, "ignore_identifi": 29, "consecutive_type_id": 29, "export_type_nam": 29, "sftp": 29, "url": [29, 33], "won": [29, 32], "animat": 29, "variant": 29, "combin": [29, 32, 33, 35], "sim": 29, "sim_a": 29, "sim_b": 29, "frame_index": 29, "sourcefil": 29, "hint": 29, "write_data": 29, "full_model": 29, "full": [29, 32], "hybrid_model": 29, "tag": 29, "appropri": [29, 32], "touch": 29, "reorder": 29, "sort_particl": 29, "former": 29, "primarili": 29, "rare": 29, "auto": 29, "input_format": 29, "castep": 29, "cfg": 29, "cif": 29, "dlpoli": 29, "galamost": 29, "gaussian": [29, 32], "cube": 29, "gro": [29, 32], "mmcif": 29, "oxdna": 29, "paradi": 29, "parca": 29, "pdb": 29, "quantumespresso": 29, "reaxff": 29, "pvd": 29, "vti": 29, "vtm": 29, "vtp": 29, "vt": 29, "xsf": 29, "xtc": 29, "file_format": [], "ase_databas": [], "cfg_atomey": [], "lammps_data": [], "lammps_dump": [], "lammps_dump_grid": [], "lammps_dump_loc": [], "exchang": [30, 31], "ASE": [29, 30], "ovito_to_as": 30, "ase_to_ovito": 30, "importerror": 30, "pip": 30, "pip3": 30, "ase_atom": 30, "deal": 31, "lammps_to_ovito": 31, "lmp": 31, "rank": 31, "On": [31, 35], "experiment": 31, "contact": 31, "transfer": [31, 32, 35], "perform_dxa": 31, "end_of_step": 31, "defect": [31, 32], "lammps_ptr": 31, "ptr": 31, "mpi": 31, "dxa": [31, 32], "get_thermo": 31, "consult": 32, "depth": [32, 35], "acklandjonesmodifi": 32, "ackland": 32, "jone": 32, "ambientocclusionmodifi": 32, "ambient": [32, 35], "occlus": [32, 35], "bondanalysismodifi": 32, "centrosymmetrymodifi": 32, "chillplusmodifi": 32, "chill": 32, "clearselectionmodifi": 32, "colorbytypemodifi": 32, "combinedatasetsmodifi": 32, "elasticstrainmodifi": 32, "expandselectionmodifi": 32, "expand": 32, "freezepropertymodifi": 32, "grainsegmentationmodifi": 32, "grain": 32, "identifyfccplanarfaultsmodifi": 32, "fault": 32, "identifydiamondmodifi": 32, "invertselectionmodifi": 32, "invert": 32, "pythonscriptmodifi": 32, "renderlammpsregionsmodifi": 32, "replicatemodifi": 32, "smoothtrajectorymodifi": 32, "smooth": [32, 35], "spatialcorrelationfunctionmodifi": 32, "correl": 32, "timeseriesmodifi": 32, "unwraptrajectoriesmodifi": 32, "vorotopmodifi": 32, "vorotop": 32, "wignerseitzanalysismodifi": [32, 33], "wigner": 32, "seitz": 32, "wrapperiodicimagesmodifi": [32, 33], "miss": 32, "crystallin": 32, "propos": 32, "ico": 32, "color_by_typ": 32, "acklandjon": 32, "recogn": [32, 35], "icosahedr": 32, "shear": 32, "vector_properti": 32, "ones": 32, "diagon": 32, "xy_shear": 32, "mod": [32, 33], "deg2rad": 32, "tm": 32, "reduced_coord": 32, "relative_mod": 32, "target_cel": 32, "rel": [32, 33, 35], "light": [32, 35], "bright": [32, 35], "accord": [32, 35], "degre": [32, 35], "improv": 32, "acceller": 32, "buffer_resolut": 32, "resolut": [32, 35], "higher": [32, 35], "intens": [32, 35], "strength": [32, 35], "shade": [32, 35], "sample_count": 32, "exposur": 32, "surface_vertic": 32, "surface_fac": 32, "surface_region": 32, "particularli": 32, "displacementmagnitud": 32, "referenceconfigurationmodifi": [32, 33], "von": 32, "mise": 32, "invari": 32, "green": 32, "lagrangian": 32, "six": 32, "output_strain_tensor": 32, "nine": 32, "output_deformation_gradi": 32, "polar": 32, "decomposit": 32, "ru": 32, "output_stretch_tensor": 32, "microrot": 32, "output_rot": 32, "nonaffin": 32, "measur": [32, 35], "falk": 32, "langer": 32, "output_nonaffine_squared_displac": 32, "select_invalid_particl": 32, "atomicstrain": 32, "invalid_particle_count": 32, "insuffici": 32, "partit": 32, "byparticletyp": 32, "byparticleselect": 32, "bybondtyp": [32, 35], "bybondselect": 32, "distr": 32, "bond_angl": 32, "traj": 32, "avg_bond_angl": 32, "180": 32, "cosine_mod": 32, "cosin": 32, "length_cutoff": 32, "exce": 32, "instruct": 32, "split": 32, "partial": 32, "hidden": [32, 35], "csp": 32, "disord": 32, "centrosymmetr": 32, "perfect": 32, "speci": 32, "water": 32, "hexagonal_ic": 32, "cubic_ic": 32, "interfacial_ic": 32, "hydrat": 32, "interfacial_hydr": 32, "chillplu": 32, "ic": 32, "interfaci": 32, "disconnect": 32, "largest_s": 32, "largest": 32, "sort_by_s": 32, "compute_com": 32, "gyrat": 32, "compute_gyr": 32, "cluster_t": 32, "cluster_color": 32, "neighbor_mod": 32, "cutoffrang": 32, "neighbormod": 32, "unwrap_particl": 32, "residu": 32, "gromac": 32, "1aki": 32, "residue_typ": 32, "prepend": 32, "setup_residue_color": 32, "type_": 32, "glu": 32, "property_nam": 32, "input_properti": 32, "output_color": 32, "element_typ": 32, "clear_select": 32, "reveal": 32, "unselect": 32, "hot": 32, "start_valu": [32, 35], "end_valu": [32, 35], "colorlegendoverlai": [32, 35], "legend": [32, 35], "auto_adjust_rang": 32, "adapt": [32, 35], "irrespect": [32, 33], "bluewhit": 32, "grayscal": 32, "jet": 32, "magma": 32, "rainbow": [32, 35], "viridi": 32, "linearli": 32, "color_t": 32, "yellow": 32, "white": 32, "merg": 32, "primari": [32, 35], "first_fil": [32, 33], "fixedcutoff": 32, "adaptivecutoff": 32, "intervalcutoff": 32, "cellsiz": 32, "choic": [32, 35], "snip": 32, "compute_particle_color": 32, "cell_size_x": 32, "syntax": 32, "parser": 32, "alphanumer": 32, "mangl": 32, "c_abc": 32, "c_abc_1_averag": 32, "pore": 32, "alphashap": 32, "delaunai": 32, "accommod": 32, "probe": 32, "classifi": 32, "morphologi": 32, "resolv": [32, 35], "larger": [32, 35], "fewer": 32, "coars": 32, "finer": 32, "gaussiandens": 32, "smear": 32, "radius_sc": 32, "quantit": 32, "caviti": 32, "identify_region": 32, "aggreg": 32, "poros": 32, "agreg": 32, "filled_volum": 32, "vol": 32, "specific_surface_area": 32, "empty_volum": 32, "finit": [32, 35], "void_volum": 32, "filled_fract": 32, "unitless": 32, "empty_fract": 32, "filled_region_count": 32, "empty_region_count": 32, "void_region_count": 32, "isol": 32, "select_surface_particl": 32, "compute_dist": 32, "map_particles_to_region": 32, "grid_resolut": 32, "longest": 32, "construct_surface_mesh": [], "slightli": 32, "procedur": 32, "smoothing_level": 32, "try": 32, "particle_region": 32, "regions_t": 32, "method_comparison": [], "alpha": [32, 35], "thumb": 32, "extent": 32, "transfer_properti": 32, "blend": 32, "number_of_bin": 32, "total_rdf": 32, "savetxt": 32, "rdf_tabl": 32, "rdf_name": 32, "everth": 32, "hull": 32, "semi": [32, 35], "surface_transpar": [32, 35], "vdwradiu": 32, "pairwis": 32, "intra_molecule_onli": 32, "transit": 32, "createbond": 32, "num_bond": 32, "upper": [32, 35], "get_pairwise_cutoff": 32, "type_a": 32, "type_b": 32, "set_pairwise_cutoff": 32, "lower_cutoff": 32, "prevent_hh_bond": 32, "nospin": [32, 35], "00014": 32, "bin_count": 32, "reduction_oper": 32, "transfer_valu": 32, "trilinear": 32, "secondari": [32, 33], "msmse": 32, "2012": 32, "085007": 32, "ijk": 32, "broken": 32, "112": 32, "shocklei": 32, "unusu": 32, "hexagonaldiamond": 32, "circuit_stretch": 32, "circuit": 32, "defect_mesh_smoothing_level": 32, "defect_vi": 32, "disloc_vi": 32, "line_coarsening_en": 32, "coarsen": 32, "line_point_separ": 32, "interatom": 32, "amount": 32, "line_smoothing_en": 32, "line_smoothing_level": 32, "only_perfect_disloc": 32, "dissoci": 32, "wide": 32, "trial_circuit_length": 32, "trial": 32, "calculate_deformation_gradi": 32, "null": 32, "calculate_strain_tensor": 32, "axial_ratio": 32, "symmetri": 32, "lattice_const": 32, "push_strain_tensors_forward": 32, "eulerian": 32, "almansi": 32, "materi": [32, 35], "expansionmod": 32, "recurs": [32, 35], "ev": [32, 35], "got": 32, "reimplement": 32, "select_high_energy_atom": 32, "limit": [32, 35], "therebi": 32, "fulfil": 32, "pars": 32, "mupars": 32, "incorpor": [32, 35], "shearstrain": 32, "pl": 32, "source_properti": 32, "destination_properti": 32, "coord0": 32, "freeze_at": 32, "comapr": 32, "frozen": 32, "exhibit": [32, 35], "destin": 32, "motion": 32, "curv": 32, "frame_interv": 32, "sample_particle_properti": [32, 35], "pseudo": [32, 35], "velocity_magnitud": 32, "sampling_frequ": 32, "unwrap_trajectori": 32, "polycrystallin": 32, "microstructur": 32, "color_particl": 32, "grainsegment": 32, "grain_count": 32, "graphclusteringauto": 32, "graphclusteringmanu": 32, "minimumspanningtre": 32, "handle_stacking_fault": 32, "coher": 32, "twin": 32, "merging_threshold": 32, "contract": 32, "lower": [32, 35], "min_grain_s": 32, "dissolv": 32, "orphan_adopt": 32, "fix_xrang": 32, "xrange_start": 32, "xrange_end": 32, "peatom": [32, 35], "cubic_diamond": 32, "cubic_diamond_first_neighbor": 32, "cubic_diamond_second_neighbor": 32, "hex_diamond": 32, "hex_diamond_first_neighbor": 32, "hex_diamond_second_neighbor": 32, "identifydiamond": 32, "111": 32, "reli": 32, "intermedi": [32, 33], "output_orient": 32, "output_interatomic_dist": 32, "indetermin": 32, "multilay": 32, "planar_fault": 32, "num_atoms_isf": 32, "isf": 32, "num_atoms_twin": 32, "area_isf": 32, "area_twin": 32, "nonhcp": 32, "color_isf": 32, "color_multi": 32, "color_oth": 32, "color_twin": 32, "bonds_mod": 32, "btype": 32, "batom1": 32, "batom2": 32, "dist": 32, "engpot": 32, "c_1": 32, "c_2": 32, "compound": 32, "output_ord": 32, "sc": 32, "graphen": 32, "rmsd": 32, "output_rmsd": 32, "orderingtyp": 32, "pure": 32, "l10": 32, "l12_a": 32, "l12_b": 32, "zincblende_wurtzit": 32, "boron_nitrid": 32, "polyhedraltemplatematch": 32, "calculate_misorient": 32, "misorient": 32, "disorient": 32, "minimz": 32, "due": [32, 33, 35], "polycryst": 32, "hex": 32, "bicryst": 32, "grain_orient": 32, "disorientation_angl": 32, "rigid": 32, "rmsd_cutoff": 32, "root": 32, "spuriou": 32, "assign_color": 32, "assigncolor": 32, "working_dir": 32, "mainli": 32, "select_atom": 32, "adjust_box": 32, "fit": [32, 35], "num_x": 32, "num_i": 32, "num_z": 32, "unique_id": 32, "replica": 32, "selecttyp": 32, "num_select": 32, "slab": 32, "miller": 32, "gridslice_vi": 32, "hkl": 32, "interplanar": 32, "d_": 32, "slab_width": 32, "plane_vi": 32, "render_plan": 32, "mathemat": 32, "thick": 32, "smoothen": 32, "fluctuat": 32, "thermal": 32, "vibrat": 32, "window_s": 32, "slide": [32, 33], "reduct": 32, "first_deriv": 32, "velocity_profil": 32, "uniti": 32, "sumvol": 32, "perpendicular": 32, "approxim": 32, "grid_vi": [32, 35], "exclud": 32, "pressur": 32, "virial": 32, "fft": 32, "convolut": 32, "summat": 32, "property1": 32, "property2": 32, "real_correlation_funct": 32, "varianc": 32, "c_norm": 32, "mean1": 32, "correlationfunct": 32, "mean2": 32, "covari": 32, "normalized_real_correlation_funct": 32, "apply_window": 32, "hann": 32, "oscil": 32, "power": 32, "law": 32, "rectangular": [32, 35], "direct_summ": 32, "grid_spac": 32, "neighbor_bin": 32, "neighbor_cutoff": 32, "p1": 32, "p2": 32, "autocorrel": 32, "matter": 32, "suitabl": [32, 35], "hierarch": 32, "coarser": 32, "time_attribut": 32, "fold": 32, "unfold": 32, "lazar": 32, "han": 32, "srolovitz": 32, "pna": 32, "43": 32, "2015": 32, "weinberg": 32, "ieee": 32, "tran": 32, "theori": 32, "13": 32, "1966": 32, "websit": [32, 35], "suit": 32, "temperatur": 32, "heat": 32, "melt": 32, "reliev": 32, "quench": 32, "minim": 32, "webpag": 32, "filter_fil": 32, "dispers": 32, "mono": 32, "farthest": 32, "max_face_ord": 32, "fall": 32, "generate_bond": 32, "bonds_vi": [32, 35], "shorter": 32, "face_threshold": 32, "whatev": 32, "relative_face_threshold": 32, "generate_polyhedra": 32, "mesh_vi": 32, "01": [32, 35], "occup": 32, "wignerseitz": 32, "vacancy_count": 32, "vacant": 32, "interstitial_count": 32, "interstiti": 32, "minu": 32, "antisit": 32, "exemplarili": 32, "occupi": 32, "per_type_occup": 32, "affine_map": [32, 33], "affinemap": [32, 33], "torefer": [32, 33], "site_typ": 32, "total_occup": 32, "antisite_count": 32, "output_displac": 32, "throw": 32, "interest": 32, "pertain": 32, "pythonscriptsourc": 33, "encount": [33, 35], "setup_atom_typ": 33, "source_path": 33, "has_trait": 33, "hasstricttrait": 33, "commun": 33, "extra_slot": 33, "union": 33, "encapsul": 33, "chain": 33, "feed": 33, "hood": 33, "recalcul": 33, "until": [33, 35], "foo": 33, "new_data": 33, "add_foo": 33, "disappear": 33, "comparison": [32, 33], "use_frame_offset": 33, "frame_offset": 33, "experienc": 33, "trivial": 33, "slight": 33, "tocurr": 33, "consider": 33, "fed": 33, "supplement": 34, "klass": 34, "factori": 34, "viewportoverlai": 35, "coordinatetripodoverlai": 35, "cylindr": 35, "coloringmod": 35, "byparticl": 35, "natur": 35, "audienc": 35, "underlai": 35, "alignmentflag": 35, "alignleft": 35, "aligntop": 35, "offset_i": 35, "04": 35, "font_siz": 35, "format_str": 35, "2f": 35, "importantli": 35, "spectrum": 35, "color_mapping_sourc": 35, "02186": 35, "05465": 35, "corner": 35, "anchor": 35, "alignhcent": 35, "alignbottom": 35, "aspect_ratio": 35, "narrow": 35, "background_color": 35, "background_en": 35, "drawn": 35, "distinguish": 35, "clutter": 35, "border_color": 35, "border_en": 35, "comma": 35, "understood": 35, "qfont": 35, "fromstr": 35, "arial": 35, "bold": 35, "sprintf": 35, "decim": 35, "text_label": [], "text_format": [], "label1": 35, "label2": 35, "label_s": 35, "tick": 35, "legend_s": 35, "offset_x": 35, "outline_color": 35, "outlin": 35, "outline_en": 35, "slash": 35, "rotate_titl": 35, "text_color": 35, "ticks_en": 35, "ticks_spac": 35, "placement": 35, "tripod": 35, "alignright": 35, "axis1_color": 35, "axis1_dir": 35, "axis1_en": 35, "axis1_label": 35, "axis2_color": 35, "axis2_dir": 35, "axis2_en": 35, "axis2_label": 35, "axis3_color": 35, "axis3_dir": 35, "axis3_en": 35, "axis3_label": 35, "axis4_color": 35, "axis4_dir": 35, "7071": 35, "axis4_en": 35, "axis4_label": 35, "075": 35, "burgers_vector_color": 35, "burgers_vector_sc": 35, "exagger": 35, "burgers_vector_width": 35, "bydislocationtyp": 35, "byburgersvector": 35, "bycharact": 35, "show_burgers_vector": 35, "show_line_direct": 35, "fidel": 35, "osprai": 35, "focal": 35, "blur": 35, "ambient_bright": 35, "radianc": 35, "ambient_light_en": 35, "illumin": 35, "infin": 35, "apertur": 35, "focu": 35, "dof_en": 35, "denoising_en": 35, "denois": 35, "mont": 35, "carlo": 35, "nois": 35, "inher": 35, "stochast": 35, "direct_light_angular_diamet": 35, "appar": 35, "diamet": 35, "soft": 35, "direct_light_en": 35, "focal_length": 35, "sharp": 35, "material_shini": 35, "specular": 35, "phong": 35, "expon": 35, "000": 35, "material_specular_bright": 35, "max_ray_recurs": 35, "raytrac": 35, "refinement_iter": 35, "stop": 35, "samples_per_pixel": 35, "alias": 35, "artifact": 35, "sky_albedo": 35, "ground": 35, "sky": 35, "sun": 35, "sky_light_en": 35, "sky_bright": 35, "outdoor": 35, "sky_turbid": 35, "atmospher": 35, "turbid": 35, "headless": 35, "offscreen": 35, "framebuff": 35, "altogeth": 35, "proper": 35, "ovito_gui_mod": 35, "your_script": 35, "spyder": 35, "unix": 35, "wsl2": 35, "x11": 35, "wayland": 35, "server": 35, "quit": 35, "qpa": 35, "xcb": 35, "plugin": 35, "reinstal": 35, "hpc": 35, "ssh": 35, "xvfb": 35, "antialiasing_level": 35, "supersampl": 35, "vis_el": 35, "usabl": 35, "render_some_text": 35, "world": 35, "qpainter": 35, "issu": 35, "frustum": 35, "proj_tm": 35, "4x4": 35, "world_xyz": 35, "lai": 35, "lie": 35, "view_tm": 35, "repaint": 35, "contextu": 35, "propag": 35, "cell_vi": 35, "render_cel": 35, "cap_color": 35, "cap_transpar": 35, "opaqu": 35, "clip_at_domain_boundari": 35, "beyond": 35, "color_mapping_gradi": 35, "surface_color": 35, "reverse_orient": 35, "smooth_shad": 35, "ambient_occlus": 35, "omnidirect": 35, "diffus": 35, "overcast": 35, "dai": 35, "ambient_occlusion_bright": 35, "ambient_occlusion_sampl": 35, "antialias": 35, "antialiasing_sampl": 35, "depth_of_field": 35, "direct_light": 35, "exponenti": 35, "6g": 35, "source_pipelin": 35, "placehold": 35, "html": 35, "css": 35, "markup": 35, "upto_current_tim": 35, "wrapped_lin": 35, "discontinu": 35, "85": 35, "vector_data": 35, "surviv": 35, "reverv": 35, "reposit": 35, "dialog": 35, "camera_up": 35, "upward": 35, "create_jupyter_widget": 35, "vr_scale": 35, "ipywidget": 35, "400px": 35, "200px": 35, "domwidget": 35, "jupyt": 35, "notebook": 35, "vice": 35, "versa": 35, "multisampl": 35, "anti": 35, "jag": 35, "webgl": 35, "raster": 35, "hover": 35, "cursor": 35, "vr": 35, "webxr": 35, "browser": 35, "meter": 35, "realiti": 35, "nanomet": 35, "centimet": 35, "tracker": 35, "forum": 35, "qeventloop": 35, "500": 35, "400": 35, "demo": 35, "shut": 35, "destroi": 35, "littl": 35, "eventloop": 35, "640": 35, "480": 35, "every_nth": 35, "mp4": 35, "mov": 35, "gif": 35, "jpeg": 35, "playback": 35, "crop": 35, "tiff": 35, "superimpos": 35, "backdrop": 35, "omit": 35, "opportun": 35, "bottom": 35, "highlight_grid_lin": 35, "interpolate_color": 35, "smoothli": 35, "atomey": 29}, "objects": {"": [[27, 0, 0, "-", "ovito"]], "ovito": [[27, 1, 1, "", "Scene"], [28, 0, 0, "-", "data"], [27, 4, 1, "", "enable_logging"], [29, 0, 0, "-", "io"], [32, 0, 0, "-", "modifiers"], [33, 0, 0, "-", "pipeline"], [27, 6, 1, "", "scene"], [34, 0, 0, "-", "traits"], [27, 6, 1, "", "version"], [27, 6, 1, "", "version_string"], [35, 0, 0, "-", "vis"]], "ovito.Scene": [[27, 2, 1, "", "load"], [27, 3, 1, "", "pipelines"], [27, 2, 1, "", "save"], [27, 3, 1, "", "selected_pipeline"]], "ovito.data": [[28, 1, 1, "", "BondType"], [28, 1, 1, "", "Bonds"], [28, 1, 1, "", "BondsEnumerator"], [28, 1, 1, "", "CutoffNeighborFinder"], [28, 1, 1, "", "DataCollection"], [28, 1, 1, "", "DataObject"], [28, 1, 1, "", "DataTable"], [28, 1, 1, "", "DislocationNetwork"], [28, 1, 1, "", "DislocationSegment"], [28, 1, 1, "", "ElementType"], [28, 1, 1, "", "NearestNeighborFinder"], [28, 1, 1, "", "ParticleType"], [28, 1, 1, "", "Particles"], [28, 1, 1, "", "Property"], [28, 1, 1, "", "PropertyContainer"], [28, 1, 1, "", "SimulationCell"], [28, 1, 1, "", "SurfaceMesh"], [28, 1, 1, "", "SurfaceMeshTopology"], [28, 1, 1, "", "TrajectoryLines"], [28, 1, 1, "", "TriangleMesh"], [28, 1, 1, "", "VoxelGrid"]], "ovito.data.Bonds": [[28, 2, 1, "", "add_bond"], [28, 3, 1, "", "bond_types"], [28, 3, 1, "", "colors"], [28, 3, 1, "", "pbc_vectors"], [28, 3, 1, "", "selection"], [28, 3, 1, "", "topology"]], "ovito.data.BondsEnumerator": [[28, 2, 1, "", "bonds_of_particle"]], "ovito.data.CutoffNeighborFinder": [[28, 2, 1, "", "find"], [28, 2, 1, "", "find_all"], [28, 2, 1, "", "find_at"], [28, 2, 1, "", "neighbor_distances"], [28, 2, 1, "", "neighbor_vectors"]], "ovito.data.DataCollection": [[28, 2, 1, "", "apply"], [28, 3, 1, "", "attributes"], [28, 3, 1, "", "cell"], [28, 2, 1, "", "clone"], [28, 2, 1, "", "create_cell"], [28, 2, 1, "", "create_particles"], [28, 3, 1, "", "dislocations"], [28, 3, 1, "", "grids"], [28, 3, 1, "", "objects"], [28, 3, 1, "", "particles"], [28, 3, 1, "", "surfaces"], [28, 3, 1, "", "tables"], [28, 3, 1, "", "trajectories"], [28, 3, 1, "", "triangle_meshes"]], "ovito.data.DataObject": [[28, 3, 1, "", "identifier"], [28, 2, 1, "", "make_mutable"], [28, 3, 1, "", "vis"]], "ovito.data.DataTable": [[28, 3, 1, "", "axis_label_x"], [28, 3, 1, "", "interval"], [28, 3, 1, "", "plot_mode"], [28, 3, 1, "", "x"], [28, 2, 1, "", "xy"], [28, 3, 1, "", "y"]], "ovito.data.DislocationNetwork": [[28, 3, 1, "", "segments"], [28, 2, 1, "", "set_segment"]], "ovito.data.DislocationSegment": [[28, 3, 1, "", "cluster_id"], [28, 3, 1, "", "custom_color"], [28, 3, 1, "", "id"], [28, 3, 1, "", "is_infinite_line"], [28, 3, 1, "", "is_loop"], [28, 3, 1, "", "length"], [28, 3, 1, "", "points"], [28, 3, 1, "", "spatial_burgers_vector"], [28, 3, 1, "", "true_burgers_vector"]], "ovito.data.ElementType": [[28, 3, 1, "", "color"], [28, 3, 1, "", "enabled"], [28, 3, 1, "", "id"], [28, 3, 1, "", "name"]], "ovito.data.NearestNeighborFinder": [[28, 2, 1, "", "find"], [28, 2, 1, "", "find_all"], [28, 2, 1, "", "find_at"]], "ovito.data.ParticleType": [[28, 3, 1, "", "backface_culling"], [28, 3, 1, "", "highlight_edges"], [28, 2, 1, "", "load_defaults"], [28, 2, 1, "", "load_shape"], [28, 3, 1, "", "mass"], [28, 3, 1, "", "mesh"], [28, 3, 1, "", "radius"], [28, 3, 1, "", "shape"], [28, 3, 1, "", "use_mesh_color"], [28, 3, 1, "", "vdw_radius"]], "ovito.data.Particles": [[28, 2, 1, "", "add_particle"], [28, 3, 1, "", "angles"], [28, 3, 1, "", "bonds"], [28, 3, 1, "", "colors"], [28, 2, 1, "", "create_bonds"], [28, 2, 1, "", "delta_vector"], [28, 3, 1, "", "dihedrals"], [28, 3, 1, "", "forces"], [28, 3, 1, "", "identifiers"], [28, 3, 1, "", "impropers"], [28, 3, 1, "", "masses"], [28, 3, 1, "", "orientations"], [28, 3, 1, "", "particle_types"], [28, 3, 1, "", "positions"], [28, 2, 1, "", "remap_indices"], [28, 3, 1, "", "selection"], [28, 3, 1, "", "structure_types"], [28, 3, 1, "", "velocities"]], "ovito.data.Property": [[28, 3, 1, "", "component_count"], [28, 3, 1, "", "component_names"], [28, 3, 1, "", "name"], [28, 2, 1, "", "type_by_id"], [28, 2, 1, "", "type_by_name"], [28, 3, 1, "", "types"]], "ovito.data.PropertyContainer": [[28, 3, 1, "", "count"], [28, 2, 1, "", "create_property"], [28, 2, 1, "", "delete_elements"], [28, 2, 1, "", "delete_indices"], [28, 3, 1, "", "title"]], "ovito.data.SimulationCell": [[28, 2, 1, "", "delta_vector"], [28, 3, 1, "", "inverse"], [28, 3, 1, "", "is2D"], [28, 3, 1, "", "pbc"], [28, 3, 1, "", "volume"], [28, 3, 1, "", "volume2D"]], "ovito.data.SurfaceMesh": [[28, 2, 1, "", "connect_opposite_halfedges"], [28, 2, 1, "", "create_face"], [28, 2, 1, "", "create_faces"], [28, 2, 1, "", "create_vertices"], [28, 3, 1, "", "domain"], [28, 3, 1, "", "faces"], [28, 2, 1, "", "get_clipping_planes"], [28, 2, 1, "", "get_face_vertices"], [28, 2, 1, "", "locate_point"], [28, 3, 1, "", "regions"], [28, 2, 1, "", "set_clipping_planes"], [28, 3, 1, "", "space_filling_region"], [28, 2, 1, "", "to_triangle_mesh"], [28, 3, 1, "", "topology"], [28, 3, 1, "", "vertices"]], "ovito.data.SurfaceMeshTopology": [[28, 2, 1, "", "adjacent_face"], [28, 2, 1, "", "count_face_edges"], [28, 2, 1, "", "count_manifolds"], [28, 2, 1, "", "count_vertex_edges"], [28, 3, 1, "", "edge_count"], [28, 3, 1, "", "face_count"], [28, 2, 1, "", "find_edge"], [28, 2, 1, "", "first_edge_vertex"], [28, 2, 1, "", "first_face_edge"], [28, 2, 1, "", "first_face_vertex"], [28, 2, 1, "", "first_vertex_edge"], [28, 2, 1, "", "has_opposite_edge"], [28, 2, 1, "", "has_opposite_face"], [28, 3, 1, "", "is_closed"], [28, 2, 1, "", "next_face_edge"], [28, 2, 1, "", "next_manifold_edge"], [28, 2, 1, "", "next_vertex_edge"], [28, 2, 1, "", "opposite_edge"], [28, 2, 1, "", "opposite_face"], [28, 2, 1, "", "prev_face_edge"], [28, 2, 1, "", "second_edge_vertex"], [28, 3, 1, "", "vertex_count"]], "ovito.data.TrajectoryLines": [[28, 3, 1, "", "particle_ids"], [28, 3, 1, "", "positions"], [28, 3, 1, "", "time_stamps"]], "ovito.data.TriangleMesh": [[28, 3, 1, "", "face_count"], [28, 2, 1, "", "get_faces"], [28, 2, 1, "", "get_vertices"], [28, 2, 1, "", "set_faces"], [28, 2, 1, "", "set_vertices"], [28, 3, 1, "", "vertex_count"]], "ovito.data.VoxelGrid": [[28, 3, 1, "", "domain"], [28, 3, 1, "", "grid_type"], [28, 3, 1, "", "shape"]], "ovito.io": [[30, 0, 0, "-", "ase"], [29, 4, 1, "", "export_file"], [29, 4, 1, "", "import_file"], [31, 0, 0, "-", "lammps"]], "ovito.io.ase": [[30, 4, 1, "", "ase_to_ovito"], [30, 4, 1, "", "ovito_to_ase"]], "ovito.io.lammps": [[31, 4, 1, "", "lammps_to_ovito"]], "ovito.modifiers": [[32, 1, 1, "", "AcklandJonesModifier"], [32, 1, 1, "", "AffineTransformationModifier"], [32, 1, 1, "", "AmbientOcclusionModifier"], [32, 1, 1, "", "AssignColorModifier"], [32, 1, 1, "", "AtomicStrainModifier"], [32, 1, 1, "", "BondAnalysisModifier"], [32, 1, 1, "", "CalculateDisplacementsModifier"], [32, 1, 1, "", "CentroSymmetryModifier"], [32, 1, 1, "", "ChillPlusModifier"], [32, 1, 1, "", "ClearSelectionModifier"], [32, 1, 1, "", "ClusterAnalysisModifier"], [32, 1, 1, "", "ColorByTypeModifier"], [32, 1, 1, "", "ColorCodingModifier"], [32, 1, 1, "", "CombineDatasetsModifier"], [32, 1, 1, "", "CommonNeighborAnalysisModifier"], [32, 1, 1, "", "ComputePropertyModifier"], [32, 1, 1, "", "ConstructSurfaceModifier"], [32, 1, 1, "", "CoordinationAnalysisModifier"], [32, 1, 1, "", "CoordinationPolyhedraModifier"], [32, 1, 1, "", "CreateBondsModifier"], [32, 1, 1, "", "CreateIsosurfaceModifier"], [32, 1, 1, "", "DeleteSelectedModifier"], [32, 1, 1, "", "DislocationAnalysisModifier"], [32, 1, 1, "", "ElasticStrainModifier"], [32, 1, 1, "", "ExpandSelectionModifier"], [32, 1, 1, "", "ExpressionSelectionModifier"], [32, 1, 1, "", "FreezePropertyModifier"], [32, 1, 1, "", "GenerateTrajectoryLinesModifier"], [32, 1, 1, "", "GrainSegmentationModifier"], [32, 1, 1, "", "HistogramModifier"], [32, 1, 1, "", "IdentifyDiamondModifier"], [32, 1, 1, "", "IdentifyFCCPlanarFaultsModifier"], [32, 1, 1, "", "InvertSelectionModifier"], [32, 1, 1, "", "LoadTrajectoryModifier"], [32, 1, 1, "", "PolyhedralTemplateMatchingModifier"], [32, 1, 1, "", "PythonScriptModifier"], [32, 1, 1, "", "RenderLAMMPSRegionsModifier"], [32, 1, 1, "", "ReplicateModifier"], [32, 1, 1, "", "SelectTypeModifier"], [32, 1, 1, "", "SliceModifier"], [32, 1, 1, "", "SmoothTrajectoryModifier"], [32, 1, 1, "", "SpatialBinningModifier"], [32, 1, 1, "", "SpatialCorrelationFunctionModifier"], [32, 1, 1, "", "StructureIdentificationModifier"], [32, 1, 1, "", "TimeAveragingModifier"], [32, 1, 1, "", "TimeSeriesModifier"], [32, 1, 1, "", "UnwrapTrajectoriesModifier"], [32, 1, 1, "", "VoroTopModifier"], [32, 1, 1, "", "VoronoiAnalysisModifier"], [32, 1, 1, "", "WignerSeitzAnalysisModifier"], [32, 1, 1, "", "WrapPeriodicImagesModifier"]], "ovito.modifiers.AffineTransformationModifier": [[32, 3, 1, "", "only_selected"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "reduced_coords"], [32, 3, 1, "", "relative_mode"], [32, 3, 1, "", "target_cell"], [32, 3, 1, "", "transformation"]], "ovito.modifiers.AmbientOcclusionModifier": [[32, 3, 1, "", "buffer_resolution"], [32, 3, 1, "", "intensity"], [32, 3, 1, "", "sample_count"]], "ovito.modifiers.AssignColorModifier": [[32, 3, 1, "", "color"], [32, 3, 1, "", "operate_on"]], "ovito.modifiers.AtomicStrainModifier": [[32, 3, 1, "", "cutoff"], [32, 3, 1, "", "output_deformation_gradients"], [32, 3, 1, "", "output_nonaffine_squared_displacements"], [32, 3, 1, "", "output_rotations"], [32, 3, 1, "", "output_strain_tensors"], [32, 3, 1, "", "output_stretch_tensors"], [32, 3, 1, "", "select_invalid_particles"]], "ovito.modifiers.BondAnalysisModifier": [[32, 3, 1, "", "bins"], [32, 3, 1, "", "cosine_mode"], [32, 3, 1, "", "length_cutoff"], [32, 3, 1, "", "partition"]], "ovito.modifiers.CalculateDisplacementsModifier": [[32, 3, 1, "", "vis"]], "ovito.modifiers.CentroSymmetryModifier": [[32, 3, 1, "", "mode"], [32, 3, 1, "", "num_neighbors"], [32, 3, 1, "", "only_selected"]], "ovito.modifiers.ChillPlusModifier": [[32, 3, 1, "", "cutoff"]], "ovito.modifiers.ClearSelectionModifier": [[32, 3, 1, "", "operate_on"]], "ovito.modifiers.ClusterAnalysisModifier": [[32, 3, 1, "", "cluster_coloring"], [32, 3, 1, "", "compute_com"], [32, 3, 1, "", "compute_gyration"], [32, 3, 1, "", "cutoff"], [32, 3, 1, "", "neighbor_mode"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "sort_by_size"], [32, 3, 1, "", "unwrap_particles"]], "ovito.modifiers.ColorByTypeModifier": [[32, 3, 1, "", "clear_selection"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "property"]], "ovito.modifiers.ColorCodingModifier": [[32, 3, 1, "", "auto_adjust_range"], [32, 3, 1, "", "end_value"], [32, 3, 1, "", "gradient"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "property"], [32, 3, 1, "", "start_value"]], "ovito.modifiers.CombineDatasetsModifier": [[32, 3, 1, "", "source"]], "ovito.modifiers.CommonNeighborAnalysisModifier": [[32, 3, 1, "", "cutoff"], [32, 3, 1, "", "mode"]], "ovito.modifiers.ComputePropertyModifier": [[32, 3, 1, "", "cutoff_radius"], [32, 3, 1, "", "expressions"], [32, 3, 1, "", "neighbor_expressions"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "output_property"]], "ovito.modifiers.ConstructSurfaceModifier": [[32, 3, 1, "", "compute_distances"], [32, 3, 1, "", "grid_resolution"], [32, 3, 1, "", "identify_regions"], [32, 3, 1, "", "isolevel"], [32, 3, 1, "", "map_particles_to_regions"], [32, 3, 1, "", "method"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "radius"], [32, 3, 1, "", "radius_scaling"], [32, 3, 1, "", "select_surface_particles"], [32, 3, 1, "", "smoothing_level"], [32, 3, 1, "", "transfer_properties"], [32, 3, 1, "", "vis"]], "ovito.modifiers.CoordinationAnalysisModifier": [[32, 3, 1, "", "cutoff"], [32, 3, 1, "", "number_of_bins"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "partial"]], "ovito.modifiers.CoordinationPolyhedraModifier": [[32, 3, 1, "", "vis"]], "ovito.modifiers.CreateBondsModifier": [[32, 3, 1, "", "bond_type"], [32, 3, 1, "", "cutoff"], [32, 2, 1, "", "get_pairwise_cutoff"], [32, 3, 1, "", "intra_molecule_only"], [32, 3, 1, "", "lower_cutoff"], [32, 3, 1, "", "mode"], [32, 3, 1, "", "prevent_hh_bonds"], [32, 2, 1, "", "set_pairwise_cutoff"], [32, 3, 1, "", "vis"]], "ovito.modifiers.CreateIsosurfaceModifier": [[32, 3, 1, "", "isolevel"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "property"], [32, 3, 1, "", "transfer_values"], [32, 3, 1, "", "vis"]], "ovito.modifiers.DeleteSelectedModifier": [[32, 3, 1, "", "operate_on"]], "ovito.modifiers.DislocationAnalysisModifier": [[32, 3, 1, "", "circuit_stretchability"], [32, 3, 1, "", "color_by_type"], [32, 3, 1, "", "defect_mesh_smoothing_level"], [32, 3, 1, "", "defect_vis"], [32, 3, 1, "", "disloc_vis"], [32, 3, 1, "", "input_crystal_structure"], [32, 3, 1, "", "line_coarsening_enabled"], [32, 3, 1, "", "line_point_separation"], [32, 3, 1, "", "line_smoothing_enabled"], [32, 3, 1, "", "line_smoothing_level"], [32, 3, 1, "", "only_perfect_dislocations"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "trial_circuit_length"]], "ovito.modifiers.ElasticStrainModifier": [[32, 3, 1, "", "axial_ratio"], [32, 3, 1, "", "calculate_deformation_gradients"], [32, 3, 1, "", "calculate_strain_tensors"], [32, 3, 1, "", "input_crystal_structure"], [32, 3, 1, "", "lattice_constant"], [32, 3, 1, "", "push_strain_tensors_forward"]], "ovito.modifiers.ExpandSelectionModifier": [[32, 3, 1, "", "cutoff"], [32, 3, 1, "", "iterations"], [32, 3, 1, "", "mode"], [32, 3, 1, "", "num_neighbors"]], "ovito.modifiers.ExpressionSelectionModifier": [[32, 3, 1, "", "expression"], [32, 3, 1, "", "operate_on"]], "ovito.modifiers.FreezePropertyModifier": [[32, 3, 1, "", "destination_property"], [32, 3, 1, "", "freeze_at"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "source_property"]], "ovito.modifiers.GenerateTrajectoryLinesModifier": [[32, 3, 1, "", "frame_interval"], [32, 2, 1, "", "generate"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "sample_particle_property"], [32, 3, 1, "", "sampling_frequency"], [32, 3, 1, "", "unwrap_trajectories"], [32, 3, 1, "", "vis"]], "ovito.modifiers.GrainSegmentationModifier": [[32, 3, 1, "", "algorithm"], [32, 3, 1, "", "color_particles"], [32, 3, 1, "", "handle_stacking_faults"], [32, 3, 1, "", "merging_threshold"], [32, 3, 1, "", "min_grain_size"], [32, 3, 1, "", "orphan_adoption"]], "ovito.modifiers.HistogramModifier": [[32, 3, 1, "", "bin_count"], [32, 3, 1, "", "fix_xrange"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "property"], [32, 3, 1, "", "xrange_end"], [32, 3, 1, "", "xrange_start"]], "ovito.modifiers.IdentifyFCCPlanarFaultsModifier": [[32, 1, 1, "", "Types"], [32, 5, 1, "", "color_isf"], [32, 5, 1, "", "color_multi"], [32, 5, 1, "", "color_other"], [32, 5, 1, "", "color_twin"]], "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types": [[32, 5, 1, "", "ISF"], [32, 5, 1, "", "MULTI"], [32, 5, 1, "", "NONHCP"], [32, 5, 1, "", "OTHER"], [32, 5, 1, "", "TWIN"]], "ovito.modifiers.InvertSelectionModifier": [[32, 3, 1, "", "operate_on"]], "ovito.modifiers.LoadTrajectoryModifier": [[32, 3, 1, "", "source"]], "ovito.modifiers.PolyhedralTemplateMatchingModifier": [[32, 2, 1, "", "calculate_misorientation"], [32, 3, 1, "", "output_deformation_gradient"], [32, 3, 1, "", "output_interatomic_distance"], [32, 3, 1, "", "output_ordering"], [32, 3, 1, "", "output_orientation"], [32, 3, 1, "", "output_rmsd"], [32, 3, 1, "", "rmsd_cutoff"]], "ovito.modifiers.PythonScriptModifier": [[32, 3, 1, "", "delegate"], [32, 3, 1, "", "function"], [32, 3, 1, "", "working_dir"]], "ovito.modifiers.RenderLAMMPSRegionsModifier": [[32, 5, 1, "", "commands"], [32, 5, 1, "", "select_atoms"], [32, 5, 1, "", "vis"]], "ovito.modifiers.ReplicateModifier": [[32, 3, 1, "", "adjust_box"], [32, 3, 1, "", "num_x"], [32, 3, 1, "", "num_y"], [32, 3, 1, "", "num_z"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "unique_ids"]], "ovito.modifiers.SelectTypeModifier": [[32, 3, 1, "", "operate_on"], [32, 3, 1, "", "property"], [32, 3, 1, "", "types"]], "ovito.modifiers.SliceModifier": [[32, 3, 1, "", "distance"], [32, 3, 1, "", "gridslice_vis"], [32, 3, 1, "", "inverse"], [32, 3, 1, "", "miller"], [32, 3, 1, "", "normal"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "plane_vis"], [32, 3, 1, "", "render_plane"], [32, 3, 1, "", "select"], [32, 3, 1, "", "slab_width"]], "ovito.modifiers.SmoothTrajectoryModifier": [[32, 3, 1, "", "minimum_image_convention"], [32, 3, 1, "", "window_size"]], "ovito.modifiers.SpatialBinningModifier": [[32, 3, 1, "", "bin_count"], [32, 3, 1, "", "direction"], [32, 3, 1, "", "first_derivative"], [32, 3, 1, "", "grid_vis"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "property"], [32, 3, 1, "", "reduction_operation"]], "ovito.modifiers.SpatialCorrelationFunctionModifier": [[32, 3, 1, "", "apply_window"], [32, 3, 1, "", "direct_summation"], [32, 3, 1, "", "grid_spacing"], [32, 3, 1, "", "neighbor_bins"], [32, 3, 1, "", "neighbor_cutoff"], [32, 3, 1, "", "property1"], [32, 3, 1, "", "property2"]], "ovito.modifiers.StructureIdentificationModifier": [[32, 3, 1, "", "color_by_type"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "structures"]], "ovito.modifiers.TimeAveragingModifier": [[32, 3, 1, "", "interval"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "sampling_frequency"]], "ovito.modifiers.TimeSeriesModifier": [[32, 3, 1, "", "interval"], [32, 3, 1, "", "operate_on"], [32, 3, 1, "", "sampling_frequency"], [32, 3, 1, "", "time_attribute"]], "ovito.modifiers.VoroTopModifier": [[32, 3, 1, "", "filter_file"], [32, 3, 1, "", "use_radii"]], "ovito.modifiers.VoronoiAnalysisModifier": [[32, 3, 1, "", "bonds_vis"], [32, 3, 1, "", "compute_indices"], [32, 3, 1, "", "edge_threshold"], [32, 3, 1, "", "face_threshold"], [32, 3, 1, "", "generate_bonds"], [32, 3, 1, "", "generate_polyhedra"], [32, 3, 1, "", "mesh_vis"], [32, 3, 1, "", "only_selected"], [32, 3, 1, "", "relative_face_threshold"], [32, 3, 1, "", "use_radii"]], "ovito.modifiers.WignerSeitzAnalysisModifier": [[32, 3, 1, "", "output_displaced"], [32, 3, 1, "", "per_type_occupancies"]], "ovito.pipeline": [[33, 1, 1, "", "FileSource"], [33, 1, 1, "", "Modifier"], [33, 1, 1, "", "ModifierInterface"], [33, 1, 1, "", "Pipeline"], [33, 1, 1, "", "PythonScriptSource"], [33, 1, 1, "", "ReferenceConfigurationModifier"], [33, 1, 1, "", "StaticSource"]], "ovito.pipeline.FileSource": [[33, 2, 1, "", "compute"], [33, 3, 1, "", "data"], [33, 2, 1, "", "load"], [33, 3, 1, "", "num_frames"], [33, 3, 1, "", "source_path"]], "ovito.pipeline.Modifier": [[33, 3, 1, "", "enabled"]], "ovito.pipeline.ModifierInterface": [[33, 1, 1, "", "InputSlot"], [33, 2, 1, "", "input_caching_hints"], [33, 2, 1, "", "modify"]], "ovito.pipeline.ModifierInterface.InputSlot": [[33, 2, 1, "", "compute"], [33, 3, 1, "", "num_frames"]], "ovito.pipeline.Pipeline": [[33, 2, 1, "", "add_to_scene"], [33, 2, 1, "", "compute"], [33, 3, 1, "", "modifiers"], [33, 2, 1, "", "remove_from_scene"], [33, 3, 1, "", "source"]], "ovito.pipeline.PythonScriptSource": [[33, 3, 1, "", "function"]], "ovito.pipeline.ReferenceConfigurationModifier": [[33, 3, 1, "", "affine_mapping"], [33, 3, 1, "", "frame_offset"], [33, 3, 1, "", "minimum_image_convention"], [33, 3, 1, "", "reference"], [33, 3, 1, "", "reference_frame"], [33, 3, 1, "", "use_frame_offset"]], "ovito.pipeline.StaticSource": [[33, 2, 1, "", "compute"], [33, 3, 1, "", "data"]], "ovito.traits": [[34, 1, 1, "", "ColorTrait"], [34, 1, 1, "", "OvitoObjectTrait"]], "ovito.vis": [[35, 1, 1, "", "BondsVis"], [35, 1, 1, "", "ColorLegendOverlay"], [35, 1, 1, "", "CoordinateTripodOverlay"], [35, 1, 1, "", "DataVis"], [35, 1, 1, "", "DislocationVis"], [35, 1, 1, "", "OSPRayRenderer"], [35, 1, 1, "", "OpenGLRenderer"], [35, 1, 1, "", "ParticlesVis"], [35, 1, 1, "", "PythonViewportOverlay"], [35, 1, 1, "", "SimulationCellVis"], [35, 1, 1, "", "SurfaceMeshVis"], [35, 1, 1, "", "TachyonRenderer"], [35, 1, 1, "", "TextLabelOverlay"], [35, 1, 1, "", "TrajectoryVis"], [35, 1, 1, "", "TriangleMeshVis"], [35, 1, 1, "", "VectorVis"], [35, 1, 1, "", "Viewport"], [35, 1, 1, "", "ViewportOverlay"], [35, 1, 1, "", "VoxelGridVis"]], "ovito.vis.BondsVis": [[35, 3, 1, "", "color"], [35, 3, 1, "", "coloring_mode"], [35, 3, 1, "", "flat_shading"], [35, 3, 1, "", "width"]], "ovito.vis.ColorLegendOverlay": [[35, 3, 1, "", "alignment"], [35, 3, 1, "", "aspect_ratio"], [35, 3, 1, "", "background_color"], [35, 3, 1, "", "background_enabled"], [35, 3, 1, "", "border_color"], [35, 3, 1, "", "border_enabled"], [35, 3, 1, "", "color_mapping_source"], [35, 3, 1, "", "font"], [35, 3, 1, "", "font_size"], [35, 3, 1, "", "format_string"], [35, 3, 1, "", "label1"], [35, 3, 1, "", "label2"], [35, 3, 1, "", "label_size"], [35, 3, 1, "", "legend_size"], [35, 3, 1, "", "modifier"], [35, 3, 1, "", "offset_x"], [35, 3, 1, "", "offset_y"], [35, 3, 1, "", "orientation"], [35, 3, 1, "", "outline_color"], [35, 3, 1, "", "outline_enabled"], [35, 3, 1, "", "property"], [35, 3, 1, "", "rotate_title"], [35, 3, 1, "", "text_color"], [35, 3, 1, "", "ticks_enabled"], [35, 3, 1, "", "ticks_spacing"], [35, 3, 1, "", "title"]], "ovito.vis.CoordinateTripodOverlay": [[35, 3, 1, "", "alignment"], [35, 3, 1, "", "axis1_color"], [35, 3, 1, "", "axis1_dir"], [35, 3, 1, "", "axis1_enabled"], [35, 3, 1, "", "axis1_label"], [35, 3, 1, "", "axis2_color"], [35, 3, 1, "", "axis2_dir"], [35, 3, 1, "", "axis2_enabled"], [35, 3, 1, "", "axis2_label"], [35, 3, 1, "", "axis3_color"], [35, 3, 1, "", "axis3_dir"], [35, 3, 1, "", "axis3_enabled"], [35, 3, 1, "", "axis3_label"], [35, 3, 1, "", "axis4_color"], [35, 3, 1, "", "axis4_dir"], [35, 3, 1, "", "axis4_enabled"], [35, 3, 1, "", "axis4_label"], [35, 3, 1, "", "font"], [35, 3, 1, "", "font_size"], [35, 3, 1, "", "line_width"], [35, 3, 1, "", "offset_x"], [35, 3, 1, "", "offset_y"], [35, 3, 1, "", "outline_color"], [35, 3, 1, "", "outline_enabled"], [35, 3, 1, "", "size"], [35, 3, 1, "", "style"]], "ovito.vis.DataVis": [[35, 3, 1, "", "enabled"], [35, 3, 1, "", "title"]], "ovito.vis.DislocationVis": [[35, 3, 1, "", "burgers_vector_color"], [35, 3, 1, "", "burgers_vector_scaling"], [35, 3, 1, "", "burgers_vector_width"], [35, 3, 1, "", "coloring_mode"], [35, 3, 1, "", "line_width"], [35, 3, 1, "", "shading"], [35, 3, 1, "", "show_burgers_vectors"], [35, 3, 1, "", "show_line_directions"]], "ovito.vis.OSPRayRenderer": [[35, 3, 1, "", "ambient_brightness"], [35, 3, 1, "", "ambient_light_enabled"], [35, 3, 1, "", "aperture"], [35, 3, 1, "", "denoising_enabled"], [35, 3, 1, "", "direct_light_angular_diameter"], [35, 3, 1, "", "direct_light_enabled"], [35, 3, 1, "", "direct_light_intensity"], [35, 3, 1, "", "dof_enabled"], [35, 3, 1, "", "focal_length"], [35, 3, 1, "", "material_shininess"], [35, 3, 1, "", "material_specular_brightness"], [35, 3, 1, "", "max_ray_recursion"], [35, 3, 1, "", "refinement_iterations"], [35, 3, 1, "", "samples_per_pixel"], [35, 3, 1, "", "sky_albedo"], [35, 3, 1, "", "sky_brightness"], [35, 3, 1, "", "sky_light_enabled"], [35, 3, 1, "", "sky_turbidity"]], "ovito.vis.OpenGLRenderer": [[35, 3, 1, "", "antialiasing_level"]], "ovito.vis.ParticlesVis": [[35, 3, 1, "", "radius"], [35, 3, 1, "", "scaling"], [35, 3, 1, "", "shape"]], "ovito.vis.PythonViewportOverlay": [[35, 1, 1, "", "Arguments"], [35, 3, 1, "", "function"]], "ovito.vis.PythonViewportOverlay.Arguments": [[35, 3, 1, "", "fov"], [35, 3, 1, "", "frame"], [35, 3, 1, "", "is_perspective"], [35, 3, 1, "", "painter"], [35, 3, 1, "", "proj_tm"], [35, 2, 1, "", "project_point"], [35, 2, 1, "", "project_size"], [35, 3, 1, "", "scene"], [35, 3, 1, "", "size"], [35, 3, 1, "", "view_tm"], [35, 3, 1, "", "viewport"]], "ovito.vis.SimulationCellVis": [[35, 3, 1, "", "line_width"], [35, 3, 1, "", "render_cell"], [35, 3, 1, "", "rendering_color"]], "ovito.vis.SurfaceMeshVis": [[35, 3, 1, "", "cap_color"], [35, 3, 1, "", "cap_transparency"], [35, 3, 1, "", "clip_at_domain_boundaries"], [35, 3, 1, "", "color_mapping_gradient"], [35, 3, 1, "", "color_mapping_interval"], [35, 3, 1, "", "color_mapping_mode"], [35, 3, 1, "", "color_mapping_property"], [35, 3, 1, "", "highlight_edges"], [35, 3, 1, "", "reverse_orientation"], [35, 3, 1, "", "show_cap"], [35, 3, 1, "", "smooth_shading"], [35, 3, 1, "", "surface_color"], [35, 3, 1, "", "surface_transparency"]], "ovito.vis.TachyonRenderer": [[35, 3, 1, "", "ambient_occlusion"], [35, 3, 1, "", "ambient_occlusion_brightness"], [35, 3, 1, "", "ambient_occlusion_samples"], [35, 3, 1, "", "antialiasing"], [35, 3, 1, "", "antialiasing_samples"], [35, 3, 1, "", "aperture"], [35, 3, 1, "", "depth_of_field"], [35, 3, 1, "", "direct_light"], [35, 3, 1, "", "direct_light_intensity"], [35, 3, 1, "", "focal_length"], [35, 3, 1, "", "shadows"]], "ovito.vis.TextLabelOverlay": [[35, 3, 1, "", "alignment"], [35, 3, 1, "", "font"], [35, 3, 1, "", "font_size"], [35, 3, 1, "", "format_string"], [35, 3, 1, "", "offset_x"], [35, 3, 1, "", "offset_y"], [35, 3, 1, "", "outline_color"], [35, 3, 1, "", "outline_enabled"], [35, 3, 1, "", "source_pipeline"], [35, 3, 1, "", "text"], [35, 3, 1, "", "text_color"]], "ovito.vis.TrajectoryVis": [[35, 3, 1, "", "color"], [35, 3, 1, "", "color_mapping_gradient"], [35, 3, 1, "", "color_mapping_interval"], [35, 3, 1, "", "color_mapping_property"], [35, 3, 1, "", "shading"], [35, 3, 1, "", "upto_current_time"], [35, 3, 1, "", "width"], [35, 3, 1, "", "wrapped_lines"]], "ovito.vis.TriangleMeshVis": [[35, 3, 1, "", "backface_culling"], [35, 3, 1, "", "color"], [35, 3, 1, "", "highlight_edges"], [35, 3, 1, "", "transparency"]], "ovito.vis.VectorVis": [[35, 3, 1, "", "alignment"], [35, 3, 1, "", "color"], [35, 3, 1, "", "color_mapping_gradient"], [35, 3, 1, "", "color_mapping_interval"], [35, 3, 1, "", "color_mapping_property"], [35, 3, 1, "", "flat_shading"], [35, 3, 1, "", "offset"], [35, 3, 1, "", "reverse"], [35, 3, 1, "", "scaling"], [35, 3, 1, "", "transparency"], [35, 3, 1, "", "width"]], "ovito.vis.Viewport": [[35, 3, 1, "", "camera_dir"], [35, 3, 1, "", "camera_pos"], [35, 3, 1, "", "camera_up"], [35, 2, 1, "", "create_jupyter_widget"], [35, 2, 1, "", "create_qt_widget"], [35, 3, 1, "", "fov"], [35, 3, 1, "", "overlays"], [35, 2, 1, "", "render_anim"], [35, 2, 1, "", "render_image"], [35, 3, 1, "", "type"], [35, 3, 1, "", "underlays"], [35, 2, 1, "", "zoom_all"]], "ovito.vis.ViewportOverlay": [[35, 3, 1, "", "enabled"]], "ovito.vis.VoxelGridVis": [[35, 3, 1, "", "color_mapping_gradient"], [35, 3, 1, "", "color_mapping_interval"], [35, 3, 1, "", "color_mapping_property"], [35, 3, 1, "", "highlight_grid_lines"], [35, 3, 1, "", "interpolate_colors"], [35, 3, 1, "", "transparency"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:attribute", "6": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "attribute", "Python attribute"], "6": ["py", "data", "Python data"]}, "titleterms": {"ovito": [0, 22, 24, 27, 28, 29, 30, 31, 32, 33, 34, 35], "python": [0, 22], "refer": [0, 10], "topic": [0, 1], "modul": [0, 22], "advanc": [1, 2], "save": 1, "load": 1, "pipelin": [1, 2, 24, 25, 33], "specifi": 1, "number": [1, 22], "processor": 1, "core": [1, 22], "user": [2, 5], "defin": [2, 5], "modifi": [2, 3, 5, 24, 32], "simpl": 2, "interfac": 2, "insert": 2, "custom": [2, 14], "function": [2, 5], "well": 2, "behav": 2, "how": 2, "output": 2, "comput": [2, 6, 9, 12, 24], "result": [2, 24], "One": 2, "time": 2, "initi": 2, "perform": 2, "long": 2, "run": 2, "paramet": [2, 14], "The": 2, "method": 2, "trajectori": [2, 8, 12, 25], "process": [2, 25], "input": [2, 24], "data": [2, 3, 4, 18, 21, 24, 25, 28], "cach": 2, "addit": 2, "slot": 2, "static": 2, "manipul": 3, "ownership": 3, "announc": 3, "object": [3, 4], "modif": 3, "assign": 3, "new": 3, "particl": [3, 4, 7, 15, 19], "properti": [3, 4], "bond": [3, 6, 7], "valu": 3, "ad": 3, "global": [3, 4, 12], "attribut": [3, 4, 12], "simul": [3, 16, 25], "cell": 3, "In": 3, "place": 3, "applic": 3, "model": 4, "tabl": 4, "surfac": 4, "mesh": 4, "code": 5, "exampl": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20], "standalon": [5, 8], "autom": 5, "script": 5, "viewport": [5, 26], "layer": 5, "b2": 6, "cna": 6, "indic": [6, 9], "b3": 7, "creat": 7, "programmat": 7, "b4": 8, "viewer": 8, "b1": 9, "voronoi": 9, "m7": 10, "displac": [10, 13], "vector": 10, "configur": 10, "m6": 11, "calcul": [11, 13, 14], "local": [11, 17], "entropi": 11, "m8": 12, "averag": 12, "m1": 13, "mean": 13, "squar": 13, "m2": 14, "order": 14, "m4": 15, "find": 15, "overlap": 15, "m5": 16, "shrink": 16, "wrap": 16, "box": 16, "m3": 17, "color": 17, "map": 17, "visual": [17, 26], "lattic": 17, "orient": 17, "o2": 18, "includ": 18, "plot": 18, "render": [18, 24, 26], "imag": [18, 24], "o3": 19, "highlight": 19, "o1": 20, "scale": 20, "bar": 20, "file": 21, "i": 21, "o": 21, "import": [21, 24], "export": [21, 24], "instal": 22, "us": 22, "pip": 22, "conda": 22, "pro": 22, "integr": 22, "interpret": 22, "preload": 22, "session": 22, "state": 22, "graphic": 22, "mode": 22, "cpu": 22, "third": 22, "parti": 22, "introduct": 23, "high": 24, "level": 24, "api": 24, "overview": 24, "": 24, "architectur": 24, "from": 24, "disk": 24, "appli": 24, "access": 24, "movi": 24, "further": 24, "read": 24, "element": 26, "io": [29, 30, 31], "ase": 30, "lammp": 31, "trait": 34, "vi": 35}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 57}, "alltitles": {"OVITO Python Reference": [[0, "ovito-python-reference"]], "Topics": [[0, "topics"]], "Python Module Reference": [[0, "python-module-reference"]], "Advanced topics": [[1, "advanced-topics"]], "Saving and loading pipelines": [[1, "saving-and-loading-pipelines"]], "Specifying the number of processor cores": [[1, "specifying-the-number-of-processor-cores"]], "User-defined modifiers": [[2, "user-defined-modifiers"]], "Simple interface": [[2, "simple-interface"]], "Inserting the custom modifier function into a pipeline": [[2, "inserting-the-custom-modifier-function-into-a-pipeline"]], "Well-behaved modifier functions": [[2, "well-behaved-modifier-functions"]], "How to output computational results": [[2, "how-to-output-computational-results"]], "One-time initialization": [[2, "one-time-initialization"]], "Performing long-running computations": [[2, "performing-long-running-computations"]], "Modifier parameters": [[2, "modifier-parameters"]], "Advanced interface": [[2, "advanced-interface"]], "The modify method": [[2, "the-modify-method"]], "Trajectory processing": [[2, "trajectory-processing"]], "Input data caching": [[2, "input-data-caching"]], "User parameters": [[2, "user-parameters"]], "Defining additional input slots": [[2, "defining-additional-input-slots"]], "Caching static computation results": [[2, "caching-static-computation-results"]], "Manipulating data": [[3, "manipulating-data"]], "Data ownership": [[3, "data-ownership"]], "Announcing object modification": [[3, "announcing-object-modification"]], "Assigning new particle properties": [[3, "assigning-new-particle-properties"]], "Assigning new bond properties": [[3, "assigning-new-bond-properties"]], "Modifying property values": [[3, "modifying-property-values"]], "Adding global attributes": [[3, "adding-global-attributes"]], "Modifying the simulation cell": [[3, "modifying-the-simulation-cell"]], "In-place application of modifiers": [[3, "in-place-application-of-modifiers"]], "Data model": [[4, "data-model"]], "Particles": [[4, "particles"]], "Property objects": [[4, "property-objects"]], "Global attributes": [[4, "global-attributes"]], "Data tables": [[4, "data-tables"]], "Surface meshes": [[4, "surface-meshes"]], "Code examples": [[5, "code-examples"]], "Standalone automation scripts": [[5, "standalone-automation-scripts"]], "User-defined modifier functions": [[5, "user-defined-modifier-functions"]], "User-defined viewport layers": [[5, "user-defined-viewport-layers"]], "Example B2: Computing CNA bond indices": [[6, "example-b2-computing-cna-bond-indices"]], "Example B3: Creating particles and bonds programmatically": [[7, "example-b3-creating-particles-and-bonds-programmatically"]], "Example B4: Standalone trajectory viewer": [[8, "example-b4-standalone-trajectory-viewer"]], "Example B1: Computing Voronoi indices": [[9, "example-b1-computing-voronoi-indices"]], "Example M7: Displacement vectors with reference configuration": [[10, "example-m7-displacement-vectors-with-reference-configuration"]], "Example M6: Calculate local entropy": [[11, "example-m6-calculate-local-entropy"]], "Example M8: Compute trajectory average of a global attribute": [[12, "example-m8-compute-trajectory-average-of-a-global-attribute"]], "Example M1: Calculating mean square displacement": [[13, "example-m1-calculating-mean-square-displacement"]], "Example M2: Custom order parameter calculation": [[14, "example-m2-custom-order-parameter-calculation"]], "Example M4: Finding overlapping particles": [[15, "example-m4-finding-overlapping-particles"]], "Example M5: Shrink-wrap simulation box": [[16, "example-m5-shrink-wrap-simulation-box"]], "Example M3: Color mapping to visualize local lattice orientation": [[17, "example-m3-color-mapping-to-visualize-local-lattice-orientation"]], "Example O2: Including data plots in rendered images": [[18, "example-o2-including-data-plots-in-rendered-images"]], "Example O3: Highlight a particle": [[19, "example-o3-highlight-a-particle"]], "Example O1: Scale bar": [[20, "example-o1-scale-bar"]], "File I/O": [[21, "file-i-o"]], "Data import": [[21, "data-import"]], "Data export": [[21, "data-export"]], "Installation": [[22, "installation"]], "Using pip": [[22, "using-pip"]], "Using conda": [[22, "using-conda"]], "OVITO Pro integrated interpreter": [[22, "ovito-pro-integrated-interpreter"]], "Preloading session state": [[22, "preloading-session-state"]], "Graphical mode": [[22, "graphical-mode"]], "Number of CPU cores": [[22, "number-of-cpu-cores"]], "Installing third-party Python modules": [[22, "installing-third-party-python-modules"]], "Introduction": [[23, "introduction"]], "High-level API overview": [[24, "high-level-api-overview"]], "OVITO\u2019s data pipeline architecture": [[24, "ovito-s-data-pipeline-architecture"]], "Importing data from disk": [[24, "importing-data-from-disk"]], "Applying modifiers": [[24, "applying-modifiers"]], "Exporting data to disk": [[24, "exporting-data-to-disk"]], "Accessing computation results": [[24, "accessing-computation-results"]], "Accessing a pipeline\u2019s input data": [[24, "accessing-a-pipeline-s-input-data"]], "Rendering images and movies": [[24, "rendering-images-and-movies"]], "Further reading": [[24, "further-reading"]], "Data pipelines": [[25, "data-pipelines"]], "Processing simulation trajectories": [[25, "processing-simulation-trajectories"]], "Rendering & visualization": [[26, "rendering-visualization"]], "Visual elements": [[26, "visual-elements"]], "Viewports": [[26, "viewports"]], "Rendering": [[26, "rendering"]], "ovito": [[27, "module-ovito"]], "ovito.data": [[28, "module-ovito.data"]], "ovito.io": [[29, "module-ovito.io"]], "ovito.io.ase": [[30, "module-ovito.io.ase"]], "ovito.io.lammps": [[31, "module-ovito.io.lammps"]], "ovito.modifiers": [[32, "module-ovito.modifiers"]], "ovito.pipeline": [[33, "module-ovito.pipeline"]], "ovito.traits": [[34, "module-ovito.traits"]], "ovito.vis": [[35, "module-ovito.vis"]]}, "indexentries": {"scene (class in ovito)": [[27, "ovito.Scene"]], "enable_logging() (in module ovito)": [[27, "ovito.enable_logging"]], "load() (ovito.scene method)": [[27, "ovito.Scene.load"]], "module": [[27, "module-ovito"], [28, "module-ovito.data"], [29, "module-ovito.io"], [30, "module-ovito.io.ase"], [31, "module-ovito.io.lammps"], [32, "module-ovito.modifiers"], [33, "module-ovito.pipeline"], [34, "module-ovito.traits"], [35, "module-ovito.vis"]], "ovito": [[27, "module-ovito"]], "pipelines (ovito.scene property)": [[27, "ovito.Scene.pipelines"]], "save() (ovito.scene method)": [[27, "ovito.Scene.save"]], "scene (in module ovito)": [[27, "ovito.scene"]], "selected_pipeline (ovito.scene property)": [[27, "ovito.Scene.selected_pipeline"]], "version (in module ovito)": [[27, "ovito.version"]], "version_string (in module ovito)": [[27, "ovito.version_string"]], "bondtype (class in ovito.data)": [[28, "ovito.data.BondType"]], "bonds (class in ovito.data)": [[28, "ovito.data.Bonds"]], "bondsenumerator (class in ovito.data)": [[28, "ovito.data.BondsEnumerator"]], "cutoffneighborfinder (class in ovito.data)": [[28, "ovito.data.CutoffNeighborFinder"]], "datacollection (class in ovito.data)": [[28, "ovito.data.DataCollection"]], "dataobject (class in ovito.data)": [[28, "ovito.data.DataObject"]], "datatable (class in ovito.data)": [[28, "ovito.data.DataTable"]], "dislocationnetwork (class in ovito.data)": [[28, "ovito.data.DislocationNetwork"]], "dislocationsegment (class in ovito.data)": [[28, "ovito.data.DislocationSegment"]], "elementtype (class in ovito.data)": [[28, "ovito.data.ElementType"]], "nearestneighborfinder (class in ovito.data)": [[28, "ovito.data.NearestNeighborFinder"]], "particletype (class in ovito.data)": [[28, "ovito.data.ParticleType"]], "particles (class in ovito.data)": [[28, "ovito.data.Particles"]], "property (class in ovito.data)": [[28, "ovito.data.Property"]], "propertycontainer (class in ovito.data)": [[28, "ovito.data.PropertyContainer"]], "simulationcell (class in ovito.data)": [[28, "ovito.data.SimulationCell"]], "surfacemesh (class in ovito.data)": [[28, "ovito.data.SurfaceMesh"]], "surfacemeshtopology (class in ovito.data)": [[28, "ovito.data.SurfaceMeshTopology"]], "trajectorylines (class in ovito.data)": [[28, "ovito.data.TrajectoryLines"]], "trianglemesh (class in ovito.data)": [[28, "ovito.data.TriangleMesh"]], "voxelgrid (class in ovito.data)": [[28, "ovito.data.VoxelGrid"]], "add_bond() (ovito.data.bonds method)": [[28, "ovito.data.Bonds.add_bond"]], "add_particle() (ovito.data.particles method)": [[28, "ovito.data.Particles.add_particle"]], "adjacent_face() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.adjacent_face"]], "angles (ovito.data.particles property)": [[28, "ovito.data.Particles.angles"]], "apply() (ovito.data.datacollection method)": [[28, "ovito.data.DataCollection.apply"]], "attributes (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.attributes"]], "axis_label_x (ovito.data.datatable property)": [[28, "ovito.data.DataTable.axis_label_x"]], "backface_culling (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.backface_culling"]], "bond_types (ovito.data.bonds property)": [[28, "ovito.data.Bonds.bond_types"]], "bonds (ovito.data.particles property)": [[28, "ovito.data.Particles.bonds"]], "bonds_of_particle() (ovito.data.bondsenumerator method)": [[28, "ovito.data.BondsEnumerator.bonds_of_particle"]], "cell (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.cell"]], "clone() (ovito.data.datacollection method)": [[28, "ovito.data.DataCollection.clone"]], "cluster_id (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.cluster_id"]], "color (ovito.data.elementtype property)": [[28, "ovito.data.ElementType.color"]], "colors (ovito.data.bonds property)": [[28, "ovito.data.Bonds.colors"]], "colors (ovito.data.particles property)": [[28, "ovito.data.Particles.colors"]], "component_count (ovito.data.property property)": [[28, "ovito.data.Property.component_count"]], "component_names (ovito.data.property property)": [[28, "ovito.data.Property.component_names"]], "connect_opposite_halfedges() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.connect_opposite_halfedges"]], "count (ovito.data.propertycontainer property)": [[28, "ovito.data.PropertyContainer.count"]], "count_face_edges() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.count_face_edges"]], "count_manifolds() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.count_manifolds"]], "count_vertex_edges() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.count_vertex_edges"]], "create_bonds() (ovito.data.particles method)": [[28, "ovito.data.Particles.create_bonds"]], "create_cell() (ovito.data.datacollection method)": [[28, "ovito.data.DataCollection.create_cell"]], "create_face() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.create_face"]], "create_faces() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.create_faces"]], "create_particles() (ovito.data.datacollection method)": [[28, "ovito.data.DataCollection.create_particles"]], "create_property() (ovito.data.propertycontainer method)": [[28, "ovito.data.PropertyContainer.create_property"]], "create_vertices() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.create_vertices"]], "custom_color (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.custom_color"]], "delete_elements() (ovito.data.propertycontainer method)": [[28, "ovito.data.PropertyContainer.delete_elements"]], "delete_indices() (ovito.data.propertycontainer method)": [[28, "ovito.data.PropertyContainer.delete_indices"]], "delta_vector() (ovito.data.particles method)": [[28, "ovito.data.Particles.delta_vector"]], "delta_vector() (ovito.data.simulationcell method)": [[28, "ovito.data.SimulationCell.delta_vector"]], "dihedrals (ovito.data.particles property)": [[28, "ovito.data.Particles.dihedrals"]], "dislocations (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.dislocations"]], "domain (ovito.data.surfacemesh property)": [[28, "ovito.data.SurfaceMesh.domain"]], "domain (ovito.data.voxelgrid property)": [[28, "ovito.data.VoxelGrid.domain"]], "edge_count (ovito.data.surfacemeshtopology property)": [[28, "ovito.data.SurfaceMeshTopology.edge_count"]], "enabled (ovito.data.elementtype property)": [[28, "ovito.data.ElementType.enabled"]], "face_count (ovito.data.surfacemeshtopology property)": [[28, "ovito.data.SurfaceMeshTopology.face_count"]], "face_count (ovito.data.trianglemesh property)": [[28, "ovito.data.TriangleMesh.face_count"]], "faces (ovito.data.surfacemesh property)": [[28, "ovito.data.SurfaceMesh.faces"]], "find() (ovito.data.cutoffneighborfinder method)": [[28, "ovito.data.CutoffNeighborFinder.find"]], "find() (ovito.data.nearestneighborfinder method)": [[28, "ovito.data.NearestNeighborFinder.find"]], "find_all() (ovito.data.cutoffneighborfinder method)": [[28, "ovito.data.CutoffNeighborFinder.find_all"]], "find_all() (ovito.data.nearestneighborfinder method)": [[28, "ovito.data.NearestNeighborFinder.find_all"]], "find_at() (ovito.data.cutoffneighborfinder method)": [[28, "ovito.data.CutoffNeighborFinder.find_at"]], "find_at() (ovito.data.nearestneighborfinder method)": [[28, "ovito.data.NearestNeighborFinder.find_at"]], "find_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.find_edge"]], "first_edge_vertex() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.first_edge_vertex"]], "first_face_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.first_face_edge"]], "first_face_vertex() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.first_face_vertex"]], "first_vertex_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.first_vertex_edge"]], "forces (ovito.data.particles property)": [[28, "ovito.data.Particles.forces"]], "get_clipping_planes() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.get_clipping_planes"]], "get_face_vertices() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.get_face_vertices"]], "get_faces() (ovito.data.trianglemesh method)": [[28, "ovito.data.TriangleMesh.get_faces"]], "get_vertices() (ovito.data.trianglemesh method)": [[28, "ovito.data.TriangleMesh.get_vertices"]], "grid_type (ovito.data.voxelgrid property)": [[28, "ovito.data.VoxelGrid.grid_type"]], "grids (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.grids"]], "has_opposite_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.has_opposite_edge"]], "has_opposite_face() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.has_opposite_face"]], "highlight_edges (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.highlight_edges"]], "id (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.id"]], "id (ovito.data.elementtype property)": [[28, "ovito.data.ElementType.id"]], "identifier (ovito.data.dataobject property)": [[28, "ovito.data.DataObject.identifier"]], "identifiers (ovito.data.particles property)": [[28, "ovito.data.Particles.identifiers"]], "impropers (ovito.data.particles property)": [[28, "ovito.data.Particles.impropers"]], "interval (ovito.data.datatable property)": [[28, "ovito.data.DataTable.interval"]], "inverse (ovito.data.simulationcell property)": [[28, "ovito.data.SimulationCell.inverse"]], "is2d (ovito.data.simulationcell property)": [[28, "ovito.data.SimulationCell.is2D"]], "is_closed (ovito.data.surfacemeshtopology property)": [[28, "ovito.data.SurfaceMeshTopology.is_closed"]], "is_infinite_line (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.is_infinite_line"]], "is_loop (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.is_loop"]], "length (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.length"]], "load_defaults() (ovito.data.particletype method)": [[28, "ovito.data.ParticleType.load_defaults"]], "load_shape() (ovito.data.particletype method)": [[28, "ovito.data.ParticleType.load_shape"]], "locate_point() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.locate_point"]], "make_mutable() (ovito.data.dataobject method)": [[28, "ovito.data.DataObject.make_mutable"]], "mass (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.mass"]], "masses (ovito.data.particles property)": [[28, "ovito.data.Particles.masses"]], "mesh (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.mesh"]], "name (ovito.data.elementtype property)": [[28, "ovito.data.ElementType.name"]], "name (ovito.data.property property)": [[28, "ovito.data.Property.name"]], "neighbor_distances() (ovito.data.cutoffneighborfinder method)": [[28, "ovito.data.CutoffNeighborFinder.neighbor_distances"]], "neighbor_vectors() (ovito.data.cutoffneighborfinder method)": [[28, "ovito.data.CutoffNeighborFinder.neighbor_vectors"]], "next_face_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.next_face_edge"]], "next_manifold_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.next_manifold_edge"]], "next_vertex_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.next_vertex_edge"]], "objects (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.objects"]], "opposite_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.opposite_edge"]], "opposite_face() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.opposite_face"]], "orientations (ovito.data.particles property)": [[28, "ovito.data.Particles.orientations"]], "ovito.data": [[28, "module-ovito.data"]], "particle_ids (ovito.data.trajectorylines property)": [[28, "ovito.data.TrajectoryLines.particle_ids"]], "particle_types (ovito.data.particles property)": [[28, "ovito.data.Particles.particle_types"]], "particles (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.particles"]], "pbc (ovito.data.simulationcell property)": [[28, "ovito.data.SimulationCell.pbc"]], "pbc_vectors (ovito.data.bonds property)": [[28, "ovito.data.Bonds.pbc_vectors"]], "plot_mode (ovito.data.datatable property)": [[28, "ovito.data.DataTable.plot_mode"]], "points (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.points"]], "positions (ovito.data.particles property)": [[28, "ovito.data.Particles.positions"]], "positions (ovito.data.trajectorylines property)": [[28, "ovito.data.TrajectoryLines.positions"]], "prev_face_edge() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.prev_face_edge"]], "radius (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.radius"]], "regions (ovito.data.surfacemesh property)": [[28, "ovito.data.SurfaceMesh.regions"]], "remap_indices() (ovito.data.particles method)": [[28, "ovito.data.Particles.remap_indices"]], "second_edge_vertex() (ovito.data.surfacemeshtopology method)": [[28, "ovito.data.SurfaceMeshTopology.second_edge_vertex"]], "segments (ovito.data.dislocationnetwork property)": [[28, "ovito.data.DislocationNetwork.segments"]], "selection (ovito.data.bonds property)": [[28, "ovito.data.Bonds.selection"]], "selection (ovito.data.particles property)": [[28, "ovito.data.Particles.selection"]], "set_clipping_planes() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.set_clipping_planes"]], "set_faces() (ovito.data.trianglemesh method)": [[28, "ovito.data.TriangleMesh.set_faces"]], "set_segment() (ovito.data.dislocationnetwork method)": [[28, "ovito.data.DislocationNetwork.set_segment"]], "set_vertices() (ovito.data.trianglemesh method)": [[28, "ovito.data.TriangleMesh.set_vertices"]], "shape (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.shape"]], "shape (ovito.data.voxelgrid property)": [[28, "ovito.data.VoxelGrid.shape"]], "space_filling_region (ovito.data.surfacemesh property)": [[28, "ovito.data.SurfaceMesh.space_filling_region"]], "spatial_burgers_vector (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.spatial_burgers_vector"]], "structure_types (ovito.data.particles property)": [[28, "ovito.data.Particles.structure_types"]], "surfaces (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.surfaces"]], "tables (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.tables"]], "time_stamps (ovito.data.trajectorylines property)": [[28, "ovito.data.TrajectoryLines.time_stamps"]], "title (ovito.data.propertycontainer property)": [[28, "ovito.data.PropertyContainer.title"]], "to_triangle_mesh() (ovito.data.surfacemesh method)": [[28, "ovito.data.SurfaceMesh.to_triangle_mesh"]], "topology (ovito.data.bonds property)": [[28, "ovito.data.Bonds.topology"]], "topology (ovito.data.surfacemesh property)": [[28, "ovito.data.SurfaceMesh.topology"]], "trajectories (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.trajectories"]], "triangle_meshes (ovito.data.datacollection property)": [[28, "ovito.data.DataCollection.triangle_meshes"]], "true_burgers_vector (ovito.data.dislocationsegment property)": [[28, "ovito.data.DislocationSegment.true_burgers_vector"]], "type_by_id() (ovito.data.property method)": [[28, "ovito.data.Property.type_by_id"]], "type_by_name() (ovito.data.property method)": [[28, "ovito.data.Property.type_by_name"]], "types (ovito.data.property property)": [[28, "ovito.data.Property.types"]], "use_mesh_color (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.use_mesh_color"]], "vdw_radius (ovito.data.particletype property)": [[28, "ovito.data.ParticleType.vdw_radius"]], "velocities (ovito.data.particles property)": [[28, "ovito.data.Particles.velocities"]], "vertex_count (ovito.data.surfacemeshtopology property)": [[28, "ovito.data.SurfaceMeshTopology.vertex_count"]], "vertex_count (ovito.data.trianglemesh property)": [[28, "ovito.data.TriangleMesh.vertex_count"]], "vertices (ovito.data.surfacemesh property)": [[28, "ovito.data.SurfaceMesh.vertices"]], "vis (ovito.data.dataobject property)": [[28, "ovito.data.DataObject.vis"]], "volume (ovito.data.simulationcell property)": [[28, "ovito.data.SimulationCell.volume"]], "volume2d (ovito.data.simulationcell property)": [[28, "ovito.data.SimulationCell.volume2D"]], "x (ovito.data.datatable property)": [[28, "ovito.data.DataTable.x"]], "xy() (ovito.data.datatable method)": [[28, "ovito.data.DataTable.xy"]], "y (ovito.data.datatable property)": [[28, "ovito.data.DataTable.y"]], "export_file() (in module ovito.io)": [[29, "ovito.io.export_file"]], "import_file() (in module ovito.io)": [[29, "ovito.io.import_file"]], "ovito.io": [[29, "module-ovito.io"]], "ase_to_ovito() (in module ovito.io.ase)": [[30, "ovito.io.ase.ase_to_ovito"]], "ovito.io.ase": [[30, "module-ovito.io.ase"]], "ovito_to_ase() (in module ovito.io.ase)": [[30, "ovito.io.ase.ovito_to_ase"]], "lammps_to_ovito() (in module ovito.io.lammps)": [[31, "ovito.io.lammps.lammps_to_ovito"]], "ovito.io.lammps": [[31, "module-ovito.io.lammps"]], "acklandjonesmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.AcklandJonesModifier"]], "affinetransformationmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.AffineTransformationModifier"]], "ambientocclusionmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.AmbientOcclusionModifier"]], "assigncolormodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.AssignColorModifier"]], "atomicstrainmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.AtomicStrainModifier"]], "bondanalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.BondAnalysisModifier"]], "calculatedisplacementsmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CalculateDisplacementsModifier"]], "centrosymmetrymodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CentroSymmetryModifier"]], "chillplusmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ChillPlusModifier"]], "clearselectionmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ClearSelectionModifier"]], "clusteranalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ClusterAnalysisModifier"]], "colorbytypemodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ColorByTypeModifier"]], "colorcodingmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ColorCodingModifier"]], "combinedatasetsmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CombineDatasetsModifier"]], "commonneighboranalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CommonNeighborAnalysisModifier"]], "computepropertymodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ComputePropertyModifier"]], "constructsurfacemodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ConstructSurfaceModifier"]], "coordinationanalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CoordinationAnalysisModifier"]], "coordinationpolyhedramodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CoordinationPolyhedraModifier"]], "createbondsmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CreateBondsModifier"]], "createisosurfacemodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.CreateIsosurfaceModifier"]], "deleteselectedmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.DeleteSelectedModifier"]], "dislocationanalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.DislocationAnalysisModifier"]], "elasticstrainmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ElasticStrainModifier"]], "expandselectionmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ExpandSelectionModifier"]], "expressionselectionmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ExpressionSelectionModifier"]], "freezepropertymodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.FreezePropertyModifier"]], "generatetrajectorylinesmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier"]], "grainsegmentationmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.GrainSegmentationModifier"]], "histogrammodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.HistogramModifier"]], "isf (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.ISF"]], "identifydiamondmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.IdentifyDiamondModifier"]], "identifyfccplanarfaultsmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier"]], "identifyfccplanarfaultsmodifier.types (class in ovito.modifiers)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types"]], "invertselectionmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.InvertSelectionModifier"]], "loadtrajectorymodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.LoadTrajectoryModifier"]], "multi (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.MULTI"]], "nonhcp (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.NONHCP"]], "other (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.OTHER"]], "polyhedraltemplatematchingmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier"]], "pythonscriptmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.PythonScriptModifier"]], "renderlammpsregionsmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.RenderLAMMPSRegionsModifier"]], "replicatemodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.ReplicateModifier"]], "selecttypemodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.SelectTypeModifier"]], "slicemodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.SliceModifier"]], "smoothtrajectorymodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.SmoothTrajectoryModifier"]], "spatialbinningmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.SpatialBinningModifier"]], "spatialcorrelationfunctionmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier"]], "structureidentificationmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.StructureIdentificationModifier"]], "twin (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.TWIN"]], "timeaveragingmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.TimeAveragingModifier"]], "timeseriesmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.TimeSeriesModifier"]], "unwraptrajectoriesmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.UnwrapTrajectoriesModifier"]], "vorotopmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.VoroTopModifier"]], "voronoianalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.VoronoiAnalysisModifier"]], "wignerseitzanalysismodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.WignerSeitzAnalysisModifier"]], "wrapperiodicimagesmodifier (class in ovito.modifiers)": [[32, "ovito.modifiers.WrapPeriodicImagesModifier"]], "adjust_box (ovito.modifiers.replicatemodifier property)": [[32, "ovito.modifiers.ReplicateModifier.adjust_box"]], "algorithm (ovito.modifiers.grainsegmentationmodifier property)": [[32, "ovito.modifiers.GrainSegmentationModifier.algorithm"]], "apply_window (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.apply_window"]], "auto_adjust_range (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.auto_adjust_range"]], "axial_ratio (ovito.modifiers.elasticstrainmodifier property)": [[32, "ovito.modifiers.ElasticStrainModifier.axial_ratio"]], "bin_count (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.bin_count"]], "bin_count (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.bin_count"]], "bins (ovito.modifiers.bondanalysismodifier property)": [[32, "ovito.modifiers.BondAnalysisModifier.bins"]], "bond_type (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.bond_type"]], "bonds_vis (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.bonds_vis"]], "buffer_resolution (ovito.modifiers.ambientocclusionmodifier property)": [[32, "ovito.modifiers.AmbientOcclusionModifier.buffer_resolution"]], "calculate_deformation_gradients (ovito.modifiers.elasticstrainmodifier property)": [[32, "ovito.modifiers.ElasticStrainModifier.calculate_deformation_gradients"]], "calculate_misorientation() (ovito.modifiers.polyhedraltemplatematchingmodifier static method)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.calculate_misorientation"]], "calculate_strain_tensors (ovito.modifiers.elasticstrainmodifier property)": [[32, "ovito.modifiers.ElasticStrainModifier.calculate_strain_tensors"]], "circuit_stretchability (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.circuit_stretchability"]], "clear_selection (ovito.modifiers.colorbytypemodifier property)": [[32, "ovito.modifiers.ColorByTypeModifier.clear_selection"]], "cluster_coloring (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.cluster_coloring"]], "color (ovito.modifiers.assigncolormodifier property)": [[32, "ovito.modifiers.AssignColorModifier.color"]], "color_by_type (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.color_by_type"]], "color_by_type (ovito.modifiers.structureidentificationmodifier property)": [[32, "ovito.modifiers.StructureIdentificationModifier.color_by_type"]], "color_isf (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_isf"]], "color_multi (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_multi"]], "color_other (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_other"]], "color_particles (ovito.modifiers.grainsegmentationmodifier property)": [[32, "ovito.modifiers.GrainSegmentationModifier.color_particles"]], "color_twin (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[32, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_twin"]], "commands (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[32, "ovito.modifiers.RenderLAMMPSRegionsModifier.commands"]], "compute_com (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.compute_com"]], "compute_distances (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.compute_distances"]], "compute_gyration (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.compute_gyration"]], "compute_indices (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.compute_indices"]], "cosine_mode (ovito.modifiers.bondanalysismodifier property)": [[32, "ovito.modifiers.BondAnalysisModifier.cosine_mode"]], "cutoff (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.cutoff"]], "cutoff (ovito.modifiers.chillplusmodifier property)": [[32, "ovito.modifiers.ChillPlusModifier.cutoff"]], "cutoff (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.commonneighboranalysismodifier property)": [[32, "ovito.modifiers.CommonNeighborAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.coordinationanalysismodifier property)": [[32, "ovito.modifiers.CoordinationAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.cutoff"]], "cutoff (ovito.modifiers.expandselectionmodifier property)": [[32, "ovito.modifiers.ExpandSelectionModifier.cutoff"]], "cutoff_radius (ovito.modifiers.computepropertymodifier property)": [[32, "ovito.modifiers.ComputePropertyModifier.cutoff_radius"]], "defect_mesh_smoothing_level (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.defect_mesh_smoothing_level"]], "defect_vis (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.defect_vis"]], "delegate (ovito.modifiers.pythonscriptmodifier property)": [[32, "ovito.modifiers.PythonScriptModifier.delegate"]], "destination_property (ovito.modifiers.freezepropertymodifier property)": [[32, "ovito.modifiers.FreezePropertyModifier.destination_property"]], "direct_summation (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.direct_summation"]], "direction (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.direction"]], "disloc_vis (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.disloc_vis"]], "distance (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.distance"]], "edge_threshold (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.edge_threshold"]], "end_value (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.end_value"]], "expression (ovito.modifiers.expressionselectionmodifier property)": [[32, "ovito.modifiers.ExpressionSelectionModifier.expression"]], "expressions (ovito.modifiers.computepropertymodifier property)": [[32, "ovito.modifiers.ComputePropertyModifier.expressions"]], "face_threshold (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.face_threshold"]], "filter_file (ovito.modifiers.vorotopmodifier property)": [[32, "ovito.modifiers.VoroTopModifier.filter_file"]], "first_derivative (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.first_derivative"]], "fix_xrange (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.fix_xrange"]], "frame_interval (ovito.modifiers.generatetrajectorylinesmodifier property)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.frame_interval"]], "freeze_at (ovito.modifiers.freezepropertymodifier property)": [[32, "ovito.modifiers.FreezePropertyModifier.freeze_at"]], "function (ovito.modifiers.pythonscriptmodifier property)": [[32, "ovito.modifiers.PythonScriptModifier.function"]], "generate() (ovito.modifiers.generatetrajectorylinesmodifier method)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.generate"]], "generate_bonds (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.generate_bonds"]], "generate_polyhedra (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.generate_polyhedra"]], "get_pairwise_cutoff() (ovito.modifiers.createbondsmodifier method)": [[32, "ovito.modifiers.CreateBondsModifier.get_pairwise_cutoff"]], "gradient (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.gradient"]], "grid_resolution (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.grid_resolution"]], "grid_spacing (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.grid_spacing"]], "grid_vis (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.grid_vis"]], "gridslice_vis (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.gridslice_vis"]], "handle_stacking_faults (ovito.modifiers.grainsegmentationmodifier property)": [[32, "ovito.modifiers.GrainSegmentationModifier.handle_stacking_faults"]], "identify_regions (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.identify_regions"]], "input_crystal_structure (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.input_crystal_structure"]], "input_crystal_structure (ovito.modifiers.elasticstrainmodifier property)": [[32, "ovito.modifiers.ElasticStrainModifier.input_crystal_structure"]], "intensity (ovito.modifiers.ambientocclusionmodifier property)": [[32, "ovito.modifiers.AmbientOcclusionModifier.intensity"]], "interval (ovito.modifiers.timeaveragingmodifier property)": [[32, "ovito.modifiers.TimeAveragingModifier.interval"]], "interval (ovito.modifiers.timeseriesmodifier property)": [[32, "ovito.modifiers.TimeSeriesModifier.interval"]], "intra_molecule_only (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.intra_molecule_only"]], "inverse (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.inverse"]], "isolevel (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.isolevel"]], "isolevel (ovito.modifiers.createisosurfacemodifier property)": [[32, "ovito.modifiers.CreateIsosurfaceModifier.isolevel"]], "iterations (ovito.modifiers.expandselectionmodifier property)": [[32, "ovito.modifiers.ExpandSelectionModifier.iterations"]], "lattice_constant (ovito.modifiers.elasticstrainmodifier property)": [[32, "ovito.modifiers.ElasticStrainModifier.lattice_constant"]], "length_cutoff (ovito.modifiers.bondanalysismodifier property)": [[32, "ovito.modifiers.BondAnalysisModifier.length_cutoff"]], "line_coarsening_enabled (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.line_coarsening_enabled"]], "line_point_separation (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.line_point_separation"]], "line_smoothing_enabled (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.line_smoothing_enabled"]], "line_smoothing_level (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.line_smoothing_level"]], "lower_cutoff (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.lower_cutoff"]], "map_particles_to_regions (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.map_particles_to_regions"]], "merging_threshold (ovito.modifiers.grainsegmentationmodifier property)": [[32, "ovito.modifiers.GrainSegmentationModifier.merging_threshold"]], "mesh_vis (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.mesh_vis"]], "method (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.method"]], "miller (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.miller"]], "min_grain_size (ovito.modifiers.grainsegmentationmodifier property)": [[32, "ovito.modifiers.GrainSegmentationModifier.min_grain_size"]], "minimum_image_convention (ovito.modifiers.smoothtrajectorymodifier property)": [[32, "ovito.modifiers.SmoothTrajectoryModifier.minimum_image_convention"]], "mode (ovito.modifiers.centrosymmetrymodifier property)": [[32, "ovito.modifiers.CentroSymmetryModifier.mode"]], "mode (ovito.modifiers.commonneighboranalysismodifier property)": [[32, "ovito.modifiers.CommonNeighborAnalysisModifier.mode"]], "mode (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.mode"]], "mode (ovito.modifiers.expandselectionmodifier property)": [[32, "ovito.modifiers.ExpandSelectionModifier.mode"]], "neighbor_bins (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.neighbor_bins"]], "neighbor_cutoff (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.neighbor_cutoff"]], "neighbor_expressions (ovito.modifiers.computepropertymodifier property)": [[32, "ovito.modifiers.ComputePropertyModifier.neighbor_expressions"]], "neighbor_mode (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.neighbor_mode"]], "normal (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.normal"]], "num_neighbors (ovito.modifiers.centrosymmetrymodifier property)": [[32, "ovito.modifiers.CentroSymmetryModifier.num_neighbors"]], "num_neighbors (ovito.modifiers.expandselectionmodifier property)": [[32, "ovito.modifiers.ExpandSelectionModifier.num_neighbors"]], "num_x (ovito.modifiers.replicatemodifier property)": [[32, "ovito.modifiers.ReplicateModifier.num_x"]], "num_y (ovito.modifiers.replicatemodifier property)": [[32, "ovito.modifiers.ReplicateModifier.num_y"]], "num_z (ovito.modifiers.replicatemodifier property)": [[32, "ovito.modifiers.ReplicateModifier.num_z"]], "number_of_bins (ovito.modifiers.coordinationanalysismodifier property)": [[32, "ovito.modifiers.CoordinationAnalysisModifier.number_of_bins"]], "only_perfect_dislocations (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.only_perfect_dislocations"]], "only_selected (ovito.modifiers.affinetransformationmodifier property)": [[32, "ovito.modifiers.AffineTransformationModifier.only_selected"]], "only_selected (ovito.modifiers.centrosymmetrymodifier property)": [[32, "ovito.modifiers.CentroSymmetryModifier.only_selected"]], "only_selected (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.colorbytypemodifier property)": [[32, "ovito.modifiers.ColorByTypeModifier.only_selected"]], "only_selected (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.only_selected"]], "only_selected (ovito.modifiers.computepropertymodifier property)": [[32, "ovito.modifiers.ComputePropertyModifier.only_selected"]], "only_selected (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.only_selected"]], "only_selected (ovito.modifiers.coordinationanalysismodifier property)": [[32, "ovito.modifiers.CoordinationAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.generatetrajectorylinesmodifier property)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.only_selected"]], "only_selected (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.only_selected"]], "only_selected (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.only_selected"]], "only_selected (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.only_selected"]], "only_selected (ovito.modifiers.structureidentificationmodifier property)": [[32, "ovito.modifiers.StructureIdentificationModifier.only_selected"]], "only_selected (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.only_selected"]], "operate_on (ovito.modifiers.affinetransformationmodifier property)": [[32, "ovito.modifiers.AffineTransformationModifier.operate_on"]], "operate_on (ovito.modifiers.assigncolormodifier property)": [[32, "ovito.modifiers.AssignColorModifier.operate_on"]], "operate_on (ovito.modifiers.clearselectionmodifier property)": [[32, "ovito.modifiers.ClearSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.colorbytypemodifier property)": [[32, "ovito.modifiers.ColorByTypeModifier.operate_on"]], "operate_on (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.operate_on"]], "operate_on (ovito.modifiers.computepropertymodifier property)": [[32, "ovito.modifiers.ComputePropertyModifier.operate_on"]], "operate_on (ovito.modifiers.createisosurfacemodifier property)": [[32, "ovito.modifiers.CreateIsosurfaceModifier.operate_on"]], "operate_on (ovito.modifiers.deleteselectedmodifier property)": [[32, "ovito.modifiers.DeleteSelectedModifier.operate_on"]], "operate_on (ovito.modifiers.expressionselectionmodifier property)": [[32, "ovito.modifiers.ExpressionSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.freezepropertymodifier property)": [[32, "ovito.modifiers.FreezePropertyModifier.operate_on"]], "operate_on (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.operate_on"]], "operate_on (ovito.modifiers.invertselectionmodifier property)": [[32, "ovito.modifiers.InvertSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.replicatemodifier property)": [[32, "ovito.modifiers.ReplicateModifier.operate_on"]], "operate_on (ovito.modifiers.selecttypemodifier property)": [[32, "ovito.modifiers.SelectTypeModifier.operate_on"]], "operate_on (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.operate_on"]], "operate_on (ovito.modifiers.timeaveragingmodifier property)": [[32, "ovito.modifiers.TimeAveragingModifier.operate_on"]], "operate_on (ovito.modifiers.timeseriesmodifier property)": [[32, "ovito.modifiers.TimeSeriesModifier.operate_on"]], "orphan_adoption (ovito.modifiers.grainsegmentationmodifier property)": [[32, "ovito.modifiers.GrainSegmentationModifier.orphan_adoption"]], "output_deformation_gradient (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_deformation_gradient"]], "output_deformation_gradients (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.output_deformation_gradients"]], "output_displaced (ovito.modifiers.wignerseitzanalysismodifier property)": [[32, "ovito.modifiers.WignerSeitzAnalysisModifier.output_displaced"]], "output_interatomic_distance (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_interatomic_distance"]], "output_nonaffine_squared_displacements (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.output_nonaffine_squared_displacements"]], "output_ordering (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_ordering"]], "output_orientation (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_orientation"]], "output_property (ovito.modifiers.computepropertymodifier property)": [[32, "ovito.modifiers.ComputePropertyModifier.output_property"]], "output_rmsd (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_rmsd"]], "output_rotations (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.output_rotations"]], "output_strain_tensors (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.output_strain_tensors"]], "output_stretch_tensors (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.output_stretch_tensors"]], "ovito.modifiers": [[32, "module-ovito.modifiers"]], "partial (ovito.modifiers.coordinationanalysismodifier property)": [[32, "ovito.modifiers.CoordinationAnalysisModifier.partial"]], "partition (ovito.modifiers.bondanalysismodifier property)": [[32, "ovito.modifiers.BondAnalysisModifier.partition"]], "per_type_occupancies (ovito.modifiers.wignerseitzanalysismodifier property)": [[32, "ovito.modifiers.WignerSeitzAnalysisModifier.per_type_occupancies"]], "plane_vis (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.plane_vis"]], "prevent_hh_bonds (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.prevent_hh_bonds"]], "property (ovito.modifiers.colorbytypemodifier property)": [[32, "ovito.modifiers.ColorByTypeModifier.property"]], "property (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.property"]], "property (ovito.modifiers.createisosurfacemodifier property)": [[32, "ovito.modifiers.CreateIsosurfaceModifier.property"]], "property (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.property"]], "property (ovito.modifiers.selecttypemodifier property)": [[32, "ovito.modifiers.SelectTypeModifier.property"]], "property (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.property"]], "property1 (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.property1"]], "property2 (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[32, "ovito.modifiers.SpatialCorrelationFunctionModifier.property2"]], "push_strain_tensors_forward (ovito.modifiers.elasticstrainmodifier property)": [[32, "ovito.modifiers.ElasticStrainModifier.push_strain_tensors_forward"]], "radius (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.radius"]], "radius_scaling (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.radius_scaling"]], "reduced_coords (ovito.modifiers.affinetransformationmodifier property)": [[32, "ovito.modifiers.AffineTransformationModifier.reduced_coords"]], "reduction_operation (ovito.modifiers.spatialbinningmodifier property)": [[32, "ovito.modifiers.SpatialBinningModifier.reduction_operation"]], "relative_face_threshold (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.relative_face_threshold"]], "relative_mode (ovito.modifiers.affinetransformationmodifier property)": [[32, "ovito.modifiers.AffineTransformationModifier.relative_mode"]], "render_plane (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.render_plane"]], "rmsd_cutoff (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[32, "ovito.modifiers.PolyhedralTemplateMatchingModifier.rmsd_cutoff"]], "sample_count (ovito.modifiers.ambientocclusionmodifier property)": [[32, "ovito.modifiers.AmbientOcclusionModifier.sample_count"]], "sample_particle_property (ovito.modifiers.generatetrajectorylinesmodifier property)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.sample_particle_property"]], "sampling_frequency (ovito.modifiers.generatetrajectorylinesmodifier property)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.sampling_frequency"]], "sampling_frequency (ovito.modifiers.timeaveragingmodifier property)": [[32, "ovito.modifiers.TimeAveragingModifier.sampling_frequency"]], "sampling_frequency (ovito.modifiers.timeseriesmodifier property)": [[32, "ovito.modifiers.TimeSeriesModifier.sampling_frequency"]], "select (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.select"]], "select_atoms (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[32, "ovito.modifiers.RenderLAMMPSRegionsModifier.select_atoms"]], "select_invalid_particles (ovito.modifiers.atomicstrainmodifier property)": [[32, "ovito.modifiers.AtomicStrainModifier.select_invalid_particles"]], "select_surface_particles (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.select_surface_particles"]], "set_pairwise_cutoff() (ovito.modifiers.createbondsmodifier method)": [[32, "ovito.modifiers.CreateBondsModifier.set_pairwise_cutoff"]], "slab_width (ovito.modifiers.slicemodifier property)": [[32, "ovito.modifiers.SliceModifier.slab_width"]], "smoothing_level (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.smoothing_level"]], "sort_by_size (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.sort_by_size"]], "source (ovito.modifiers.combinedatasetsmodifier property)": [[32, "ovito.modifiers.CombineDatasetsModifier.source"]], "source (ovito.modifiers.loadtrajectorymodifier property)": [[32, "ovito.modifiers.LoadTrajectoryModifier.source"]], "source_property (ovito.modifiers.freezepropertymodifier property)": [[32, "ovito.modifiers.FreezePropertyModifier.source_property"]], "start_value (ovito.modifiers.colorcodingmodifier property)": [[32, "ovito.modifiers.ColorCodingModifier.start_value"]], "structures (ovito.modifiers.structureidentificationmodifier property)": [[32, "ovito.modifiers.StructureIdentificationModifier.structures"]], "target_cell (ovito.modifiers.affinetransformationmodifier property)": [[32, "ovito.modifiers.AffineTransformationModifier.target_cell"]], "time_attribute (ovito.modifiers.timeseriesmodifier property)": [[32, "ovito.modifiers.TimeSeriesModifier.time_attribute"]], "transfer_properties (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.transfer_properties"]], "transfer_values (ovito.modifiers.createisosurfacemodifier property)": [[32, "ovito.modifiers.CreateIsosurfaceModifier.transfer_values"]], "transformation (ovito.modifiers.affinetransformationmodifier property)": [[32, "ovito.modifiers.AffineTransformationModifier.transformation"]], "trial_circuit_length (ovito.modifiers.dislocationanalysismodifier property)": [[32, "ovito.modifiers.DislocationAnalysisModifier.trial_circuit_length"]], "types (ovito.modifiers.selecttypemodifier property)": [[32, "ovito.modifiers.SelectTypeModifier.types"]], "unique_ids (ovito.modifiers.replicatemodifier property)": [[32, "ovito.modifiers.ReplicateModifier.unique_ids"]], "unwrap_particles (ovito.modifiers.clusteranalysismodifier property)": [[32, "ovito.modifiers.ClusterAnalysisModifier.unwrap_particles"]], "unwrap_trajectories (ovito.modifiers.generatetrajectorylinesmodifier property)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.unwrap_trajectories"]], "use_radii (ovito.modifiers.vorotopmodifier property)": [[32, "ovito.modifiers.VoroTopModifier.use_radii"]], "use_radii (ovito.modifiers.voronoianalysismodifier property)": [[32, "ovito.modifiers.VoronoiAnalysisModifier.use_radii"]], "vis (ovito.modifiers.calculatedisplacementsmodifier property)": [[32, "ovito.modifiers.CalculateDisplacementsModifier.vis"]], "vis (ovito.modifiers.constructsurfacemodifier property)": [[32, "ovito.modifiers.ConstructSurfaceModifier.vis"]], "vis (ovito.modifiers.coordinationpolyhedramodifier property)": [[32, "ovito.modifiers.CoordinationPolyhedraModifier.vis"]], "vis (ovito.modifiers.createbondsmodifier property)": [[32, "ovito.modifiers.CreateBondsModifier.vis"]], "vis (ovito.modifiers.createisosurfacemodifier property)": [[32, "ovito.modifiers.CreateIsosurfaceModifier.vis"]], "vis (ovito.modifiers.generatetrajectorylinesmodifier property)": [[32, "ovito.modifiers.GenerateTrajectoryLinesModifier.vis"]], "vis (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[32, "ovito.modifiers.RenderLAMMPSRegionsModifier.vis"]], "window_size (ovito.modifiers.smoothtrajectorymodifier property)": [[32, "ovito.modifiers.SmoothTrajectoryModifier.window_size"]], "working_dir (ovito.modifiers.pythonscriptmodifier property)": [[32, "ovito.modifiers.PythonScriptModifier.working_dir"]], "xrange_end (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.xrange_end"]], "xrange_start (ovito.modifiers.histogrammodifier property)": [[32, "ovito.modifiers.HistogramModifier.xrange_start"]], "filesource (class in ovito.pipeline)": [[33, "ovito.pipeline.FileSource"]], "modifier (class in ovito.pipeline)": [[33, "ovito.pipeline.Modifier"]], "modifierinterface (class in ovito.pipeline)": [[33, "ovito.pipeline.ModifierInterface"]], "modifierinterface.inputslot (class in ovito.pipeline)": [[33, "ovito.pipeline.ModifierInterface.InputSlot"]], "pipeline (class in ovito.pipeline)": [[33, "ovito.pipeline.Pipeline"]], "pythonscriptsource (class in ovito.pipeline)": [[33, "ovito.pipeline.PythonScriptSource"]], "referenceconfigurationmodifier (class in ovito.pipeline)": [[33, "ovito.pipeline.ReferenceConfigurationModifier"]], "staticsource (class in ovito.pipeline)": [[33, "ovito.pipeline.StaticSource"]], "add_to_scene() (ovito.pipeline.pipeline method)": [[33, "ovito.pipeline.Pipeline.add_to_scene"]], "affine_mapping (ovito.pipeline.referenceconfigurationmodifier property)": [[33, "ovito.pipeline.ReferenceConfigurationModifier.affine_mapping"]], "compute() (ovito.pipeline.filesource method)": [[33, "ovito.pipeline.FileSource.compute"]], "compute() (ovito.pipeline.modifierinterface.inputslot method)": [[33, "ovito.pipeline.ModifierInterface.InputSlot.compute"]], "compute() (ovito.pipeline.pipeline method)": [[33, "ovito.pipeline.Pipeline.compute"]], "compute() (ovito.pipeline.staticsource method)": [[33, "ovito.pipeline.StaticSource.compute"]], "data (ovito.pipeline.filesource property)": [[33, "ovito.pipeline.FileSource.data"]], "data (ovito.pipeline.staticsource property)": [[33, "ovito.pipeline.StaticSource.data"]], "enabled (ovito.pipeline.modifier property)": [[33, "ovito.pipeline.Modifier.enabled"]], "frame_offset (ovito.pipeline.referenceconfigurationmodifier property)": [[33, "ovito.pipeline.ReferenceConfigurationModifier.frame_offset"]], "function (ovito.pipeline.pythonscriptsource property)": [[33, "ovito.pipeline.PythonScriptSource.function"]], "input_caching_hints() (ovito.pipeline.modifierinterface method)": [[33, "ovito.pipeline.ModifierInterface.input_caching_hints"]], "load() (ovito.pipeline.filesource method)": [[33, "ovito.pipeline.FileSource.load"]], "minimum_image_convention (ovito.pipeline.referenceconfigurationmodifier property)": [[33, "ovito.pipeline.ReferenceConfigurationModifier.minimum_image_convention"]], "modifiers (ovito.pipeline.pipeline property)": [[33, "ovito.pipeline.Pipeline.modifiers"]], "modify() (ovito.pipeline.modifierinterface method)": [[33, "ovito.pipeline.ModifierInterface.modify"]], "num_frames (ovito.pipeline.filesource property)": [[33, "ovito.pipeline.FileSource.num_frames"]], "num_frames (ovito.pipeline.modifierinterface.inputslot property)": [[33, "ovito.pipeline.ModifierInterface.InputSlot.num_frames"]], "ovito.pipeline": [[33, "module-ovito.pipeline"]], "reference (ovito.pipeline.referenceconfigurationmodifier property)": [[33, "ovito.pipeline.ReferenceConfigurationModifier.reference"]], "reference_frame (ovito.pipeline.referenceconfigurationmodifier property)": [[33, "ovito.pipeline.ReferenceConfigurationModifier.reference_frame"]], "remove_from_scene() (ovito.pipeline.pipeline method)": [[33, "ovito.pipeline.Pipeline.remove_from_scene"]], "source (ovito.pipeline.pipeline property)": [[33, "ovito.pipeline.Pipeline.source"]], "source_path (ovito.pipeline.filesource property)": [[33, "ovito.pipeline.FileSource.source_path"]], "use_frame_offset (ovito.pipeline.referenceconfigurationmodifier property)": [[33, "ovito.pipeline.ReferenceConfigurationModifier.use_frame_offset"]], "colortrait (class in ovito.traits)": [[34, "ovito.traits.ColorTrait"]], "ovitoobjecttrait (class in ovito.traits)": [[34, "ovito.traits.OvitoObjectTrait"]], "ovito.traits": [[34, "module-ovito.traits"]], "bondsvis (class in ovito.vis)": [[35, "ovito.vis.BondsVis"]], "colorlegendoverlay (class in ovito.vis)": [[35, "ovito.vis.ColorLegendOverlay"]], "coordinatetripodoverlay (class in ovito.vis)": [[35, "ovito.vis.CoordinateTripodOverlay"]], "datavis (class in ovito.vis)": [[35, "ovito.vis.DataVis"]], "dislocationvis (class in ovito.vis)": [[35, "ovito.vis.DislocationVis"]], "osprayrenderer (class in ovito.vis)": [[35, "ovito.vis.OSPRayRenderer"]], "openglrenderer (class in ovito.vis)": [[35, "ovito.vis.OpenGLRenderer"]], "particlesvis (class in ovito.vis)": [[35, "ovito.vis.ParticlesVis"]], "pythonviewportoverlay (class in ovito.vis)": [[35, "ovito.vis.PythonViewportOverlay"]], "pythonviewportoverlay.arguments (class in ovito.vis)": [[35, "ovito.vis.PythonViewportOverlay.Arguments"]], "simulationcellvis (class in ovito.vis)": [[35, "ovito.vis.SimulationCellVis"]], "surfacemeshvis (class in ovito.vis)": [[35, "ovito.vis.SurfaceMeshVis"]], "tachyonrenderer (class in ovito.vis)": [[35, "ovito.vis.TachyonRenderer"]], "textlabeloverlay (class in ovito.vis)": [[35, "ovito.vis.TextLabelOverlay"]], "trajectoryvis (class in ovito.vis)": [[35, "ovito.vis.TrajectoryVis"]], "trianglemeshvis (class in ovito.vis)": [[35, "ovito.vis.TriangleMeshVis"]], "vectorvis (class in ovito.vis)": [[35, "ovito.vis.VectorVis"]], "viewport (class in ovito.vis)": [[35, "ovito.vis.Viewport"]], "viewportoverlay (class in ovito.vis)": [[35, "ovito.vis.ViewportOverlay"]], "voxelgridvis (class in ovito.vis)": [[35, "ovito.vis.VoxelGridVis"]], "alignment (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.alignment"]], "alignment (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.alignment"]], "alignment (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.alignment"]], "alignment (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.alignment"]], "ambient_brightness (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.ambient_brightness"]], "ambient_light_enabled (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.ambient_light_enabled"]], "ambient_occlusion (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.ambient_occlusion"]], "ambient_occlusion_brightness (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.ambient_occlusion_brightness"]], "ambient_occlusion_samples (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.ambient_occlusion_samples"]], "antialiasing (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.antialiasing"]], "antialiasing_level (ovito.vis.openglrenderer property)": [[35, "ovito.vis.OpenGLRenderer.antialiasing_level"]], "antialiasing_samples (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.antialiasing_samples"]], "aperture (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.aperture"]], "aperture (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.aperture"]], "aspect_ratio (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.aspect_ratio"]], "axis1_color (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis1_color"]], "axis1_dir (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis1_dir"]], "axis1_enabled (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis1_enabled"]], "axis1_label (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis1_label"]], "axis2_color (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis2_color"]], "axis2_dir (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis2_dir"]], "axis2_enabled (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis2_enabled"]], "axis2_label (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis2_label"]], "axis3_color (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis3_color"]], "axis3_dir (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis3_dir"]], "axis3_enabled (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis3_enabled"]], "axis3_label (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis3_label"]], "axis4_color (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis4_color"]], "axis4_dir (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis4_dir"]], "axis4_enabled (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis4_enabled"]], "axis4_label (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.axis4_label"]], "backface_culling (ovito.vis.trianglemeshvis property)": [[35, "ovito.vis.TriangleMeshVis.backface_culling"]], "background_color (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.background_color"]], "background_enabled (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.background_enabled"]], "border_color (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.border_color"]], "border_enabled (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.border_enabled"]], "burgers_vector_color (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.burgers_vector_color"]], "burgers_vector_scaling (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.burgers_vector_scaling"]], "burgers_vector_width (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.burgers_vector_width"]], "camera_dir (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.camera_dir"]], "camera_pos (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.camera_pos"]], "camera_up (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.camera_up"]], "cap_color (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.cap_color"]], "cap_transparency (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.cap_transparency"]], "clip_at_domain_boundaries (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.clip_at_domain_boundaries"]], "color (ovito.vis.bondsvis property)": [[35, "ovito.vis.BondsVis.color"]], "color (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.color"]], "color (ovito.vis.trianglemeshvis property)": [[35, "ovito.vis.TriangleMeshVis.color"]], "color (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.color"]], "color_mapping_gradient (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.voxelgridvis property)": [[35, "ovito.vis.VoxelGridVis.color_mapping_gradient"]], "color_mapping_interval (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.voxelgridvis property)": [[35, "ovito.vis.VoxelGridVis.color_mapping_interval"]], "color_mapping_mode (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.color_mapping_mode"]], "color_mapping_property (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.color_mapping_property"]], "color_mapping_property (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.color_mapping_property"]], "color_mapping_property (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.color_mapping_property"]], "color_mapping_property (ovito.vis.voxelgridvis property)": [[35, "ovito.vis.VoxelGridVis.color_mapping_property"]], "color_mapping_source (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.color_mapping_source"]], "coloring_mode (ovito.vis.bondsvis property)": [[35, "ovito.vis.BondsVis.coloring_mode"]], "coloring_mode (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.coloring_mode"]], "create_jupyter_widget() (ovito.vis.viewport method)": [[35, "ovito.vis.Viewport.create_jupyter_widget"]], "create_qt_widget() (ovito.vis.viewport method)": [[35, "ovito.vis.Viewport.create_qt_widget"]], "denoising_enabled (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.denoising_enabled"]], "depth_of_field (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.depth_of_field"]], "direct_light (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.direct_light"]], "direct_light_angular_diameter (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.direct_light_angular_diameter"]], "direct_light_enabled (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.direct_light_enabled"]], "direct_light_intensity (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.direct_light_intensity"]], "direct_light_intensity (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.direct_light_intensity"]], "dof_enabled (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.dof_enabled"]], "enabled (ovito.vis.datavis property)": [[35, "ovito.vis.DataVis.enabled"]], "enabled (ovito.vis.viewportoverlay property)": [[35, "ovito.vis.ViewportOverlay.enabled"]], "flat_shading (ovito.vis.bondsvis property)": [[35, "ovito.vis.BondsVis.flat_shading"]], "flat_shading (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.flat_shading"]], "focal_length (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.focal_length"]], "focal_length (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.focal_length"]], "font (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.font"]], "font (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.font"]], "font (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.font"]], "font_size (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.font_size"]], "font_size (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.font_size"]], "font_size (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.font_size"]], "format_string (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.format_string"]], "format_string (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.format_string"]], "fov (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.fov"]], "fov (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.fov"]], "frame (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.frame"]], "function (ovito.vis.pythonviewportoverlay property)": [[35, "ovito.vis.PythonViewportOverlay.function"]], "highlight_edges (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.highlight_edges"]], "highlight_edges (ovito.vis.trianglemeshvis property)": [[35, "ovito.vis.TriangleMeshVis.highlight_edges"]], "highlight_grid_lines (ovito.vis.voxelgridvis property)": [[35, "ovito.vis.VoxelGridVis.highlight_grid_lines"]], "interpolate_colors (ovito.vis.voxelgridvis property)": [[35, "ovito.vis.VoxelGridVis.interpolate_colors"]], "is_perspective (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.is_perspective"]], "label1 (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.label1"]], "label2 (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.label2"]], "label_size (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.label_size"]], "legend_size (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.legend_size"]], "line_width (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.line_width"]], "line_width (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.line_width"]], "line_width (ovito.vis.simulationcellvis property)": [[35, "ovito.vis.SimulationCellVis.line_width"]], "material_shininess (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.material_shininess"]], "material_specular_brightness (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.material_specular_brightness"]], "max_ray_recursion (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.max_ray_recursion"]], "modifier (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.modifier"]], "offset (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.offset"]], "offset_x (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.offset_x"]], "offset_x (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.offset_x"]], "offset_x (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.offset_x"]], "offset_y (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.offset_y"]], "offset_y (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.offset_y"]], "offset_y (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.offset_y"]], "orientation (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.orientation"]], "outline_color (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.outline_color"]], "outline_color (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.outline_color"]], "outline_color (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.outline_color"]], "outline_enabled (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.outline_enabled"]], "outline_enabled (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.outline_enabled"]], "outline_enabled (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.outline_enabled"]], "overlays (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.overlays"]], "ovito.vis": [[35, "module-ovito.vis"]], "painter (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.painter"]], "proj_tm (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.proj_tm"]], "project_point() (ovito.vis.pythonviewportoverlay.arguments method)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.project_point"]], "project_size() (ovito.vis.pythonviewportoverlay.arguments method)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.project_size"]], "property (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.property"]], "radius (ovito.vis.particlesvis property)": [[35, "ovito.vis.ParticlesVis.radius"]], "refinement_iterations (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.refinement_iterations"]], "render_anim() (ovito.vis.viewport method)": [[35, "ovito.vis.Viewport.render_anim"]], "render_cell (ovito.vis.simulationcellvis property)": [[35, "ovito.vis.SimulationCellVis.render_cell"]], "render_image() (ovito.vis.viewport method)": [[35, "ovito.vis.Viewport.render_image"]], "rendering_color (ovito.vis.simulationcellvis property)": [[35, "ovito.vis.SimulationCellVis.rendering_color"]], "reverse (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.reverse"]], "reverse_orientation (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.reverse_orientation"]], "rotate_title (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.rotate_title"]], "samples_per_pixel (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.samples_per_pixel"]], "scaling (ovito.vis.particlesvis property)": [[35, "ovito.vis.ParticlesVis.scaling"]], "scaling (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.scaling"]], "scene (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.scene"]], "shading (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.shading"]], "shading (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.shading"]], "shadows (ovito.vis.tachyonrenderer property)": [[35, "ovito.vis.TachyonRenderer.shadows"]], "shape (ovito.vis.particlesvis property)": [[35, "ovito.vis.ParticlesVis.shape"]], "show_burgers_vectors (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.show_burgers_vectors"]], "show_cap (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.show_cap"]], "show_line_directions (ovito.vis.dislocationvis property)": [[35, "ovito.vis.DislocationVis.show_line_directions"]], "size (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.size"]], "size (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.size"]], "sky_albedo (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.sky_albedo"]], "sky_brightness (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.sky_brightness"]], "sky_light_enabled (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.sky_light_enabled"]], "sky_turbidity (ovito.vis.osprayrenderer property)": [[35, "ovito.vis.OSPRayRenderer.sky_turbidity"]], "smooth_shading (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.smooth_shading"]], "source_pipeline (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.source_pipeline"]], "style (ovito.vis.coordinatetripodoverlay property)": [[35, "ovito.vis.CoordinateTripodOverlay.style"]], "surface_color (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.surface_color"]], "surface_transparency (ovito.vis.surfacemeshvis property)": [[35, "ovito.vis.SurfaceMeshVis.surface_transparency"]], "text (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.text"]], "text_color (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.text_color"]], "text_color (ovito.vis.textlabeloverlay property)": [[35, "ovito.vis.TextLabelOverlay.text_color"]], "ticks_enabled (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.ticks_enabled"]], "ticks_spacing (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.ticks_spacing"]], "title (ovito.vis.colorlegendoverlay property)": [[35, "ovito.vis.ColorLegendOverlay.title"]], "title (ovito.vis.datavis property)": [[35, "ovito.vis.DataVis.title"]], "transparency (ovito.vis.trianglemeshvis property)": [[35, "ovito.vis.TriangleMeshVis.transparency"]], "transparency (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.transparency"]], "transparency (ovito.vis.voxelgridvis property)": [[35, "ovito.vis.VoxelGridVis.transparency"]], "type (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.type"]], "underlays (ovito.vis.viewport property)": [[35, "ovito.vis.Viewport.underlays"]], "upto_current_time (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.upto_current_time"]], "view_tm (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.view_tm"]], "viewport (ovito.vis.pythonviewportoverlay.arguments property)": [[35, "ovito.vis.PythonViewportOverlay.Arguments.viewport"]], "width (ovito.vis.bondsvis property)": [[35, "ovito.vis.BondsVis.width"]], "width (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.width"]], "width (ovito.vis.vectorvis property)": [[35, "ovito.vis.VectorVis.width"]], "wrapped_lines (ovito.vis.trajectoryvis property)": [[35, "ovito.vis.TrajectoryVis.wrapped_lines"]], "zoom_all() (ovito.vis.viewport method)": [[35, "ovito.vis.Viewport.zoom_all"]]}})